vim (2:9.0.0626-1) unstable; urgency=medium

  * Merge upstream patch v9.0.0626
    + Various CVE fixes (Closes: #1019590)
      - 9.0.0246: using freed memory when 'tagfunc' deletes the buffer,
        CVE-2022-2946
      - 9.0.0260: using freed memory when using 'quickfixtextfunc'
        recursively, CVE-2022-2982
      - 9.0.0322: crash when no errors and 'quickfixtextfunc' is set,
        CVE-2022-3037
      - 9.0.0360: crash when invalid line number on :for is ignored,
        CVE-2022-3099
      - 9.0.0389: crash when 'tagfunc' closes the window, CVE-2022-3134
      - 9.0.0483: illegal memory access when replacing in virtualedit mode,
        CVE-2022-3234
      - 9.0.0490: using freed memory with cmdwin and BufEnter autocmd,
        CVE-2022-3235
      - 9.0.0530: using freed memory when autocmd changes mark, CVE-2022-3256
      - 9.0.0577: buffer underflow with unexpected :finally, CVE-2022-3296
      - 9.0.0598: using negative array index with negative width window,
        CVE-2022-3324
      - 9.0.0614: CVE-2022-3352
    + 9.0.0509: confusing error for "saveas" command with "nofile" buffer
      (Closes: #796872)

 -- James McCoy <jamessan@debian.org>  Fri, 30 Sep 2022 00:38:50 -0400

vim (2:9.0.0242-1) unstable; urgency=medium

  * Merge upstream patch v9.0.0242
   + 9.0.241/242: Install the shared syntax files (Closes: #1017856)
  * Add historic changelog entry for #947120 fix
  * Adjust lintian overrides for new []-format
  * Declare compliance with Policy 4.6.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Mon, 22 Aug 2022 22:46:33 -0400

vim (2:9.0.0229-1) unstable; urgency=medium

  * Merge upstream patch v9.0.0229
    + Various CVE fixes
      - 9.0.0211: invalid memory access when compiling :lockvar, CVE-2022-2819
      - 9.0.0212: invalid memory access when compiling :unlet, CVE-2022-2816
      - 9.0.0213: using freed memory with error in assert argument,
        CVE-2022-2817
      - 9.0.0218: reading before the start of the line, CVE-2022-2845
      - 9.0.0220: invalid memory access with for loop over NULL string,
        CVE-2022-2849
      - 9.0.0221: accessing freed memory if compiling nested function fails,
        CVE-2022-2862
      - 9.0.0225: using freed memory with multiple line breaks in expression,
        CVE-2022-2889
  * Add Recommends: xxd to vim-common
  * Minor fixes for vim-tiny's fake help file (Closes: #1017715)
  * Revert "Temporarily skip Test_Debugger_breakadd_expr", test fixed upstream

 -- James McCoy <jamessan@debian.org>  Sat, 20 Aug 2022 09:56:52 -0400

vim (2:9.0.0135-1) unstable; urgency=medium

  * Merge upstream patch v8.2.5172
    + ftplugin/perl.vim: Only add : to 'isfname' in Perl buffers.  (Closes:
      #761800)
    + ftplugin/tap.vim: Set fold-related options local to the buffer. (Closes:
      #954113)
    + syntax/debcontrol.vim: Fix highlighting of sections with a slash (e.g.,
      "non-free/utils").  (Closes: #1010839)
    + syntax/tap.vim: Match TODO/SKIP markers case-insensitively. (Closes:
      #954016)
    + syntax/perl.vim: Properly highlight code on the same line as the start
      of a here-doc block.  (Closes: #136455)
    + Various CVE fixes (Closes: #1015984, #1016068)
      - 8.2.5043: can open a cmdline window from a substitute expression,
        CVE-2022-1942
      - 8.2.5050: using freed memory when searching for pattern in path,
        CVE-2022-1968
      - 8.2.5063: error for a command may go over the end of IObuff,
        CVE-2022-2000
      - 8.2.5120: searching for quotes may go over the end of the line,
        CVE-2022-2124
      - 8.2.5122: lisp indenting may run over the end of the line,
        CVE-2022-2125
      - 8.2.5123: using invalid index when looking for spell suggestions,
        CVE-2022-2126
      - 8.2.5126: substitute may overrun destination buffer, CVE-2022-2129
      - 9.0.0018: going over the end of the typeahead, CVE-2022-2285
      - 9.0.0025: accessing beyond allocated memory with the cmdline window,
        CVE-2022-2288
      - 9.0.0035: spell dump may go beyond end of an array, CVE-2022-2304
      - 8.2.5162: reading before the start of the line with BS in Replace
        mode, CVE-2022-2207
      - 8.2.4895: buffer overflow with invalid command with composing chars,
        CVE-2022-1616
      - 8.2.4899: with latin1 encoding CTRL-W might go before the cmdline,
        CVE-2022-1619
      - 8.2.4919: can add invalid bytes with :spellgood, CVE-2022-1621
      - 8.2.4956: reading past end of line with "gf" in Visual block mode,
        CVE-2022-1720
      - 8.2.4977: memory access error when substitute expression changes
        window, CVE-2022-1785
      - 8.2.5013: after text formatting cursor may be in an invalid position,
        CVE-2022-1851
      - 8.2.5023: substitute overwrites allocated buffer, CVE-2022-1897
      - 8.2.5024: using freed memory with "]d", CVE-2022-1898
      - 9.0.0060: accessing uninitialized memory when completing long line,
        CVE-2022-2522
  * Temporarily skip Test_Debugger_breakadd_expr

 -- James McCoy <jamessan@debian.org>  Wed, 03 Aug 2022 19:00:35 -0400

vim (2:8.2.4793-1) unstable; urgency=medium

  * Merge upstream patch v8.2.4793

 -- James McCoy <jamessan@debian.org>  Wed, 20 Apr 2022 20:23:54 -0400

vim (2:8.2.4659-1) unstable; urgency=medium

  * Merge upstream patch v8.2.4659
    + 8.2.4151: reading beyond end of a line (Closes: #1004859, CVE-2022-0318)
    + autoload/phpcomplete.vim: Fix E565 error in omni-completion (Closes:
      #1008710)
  * Remove outdated NEWS and README.Debian entries
  * README.Debian: Fix links to vim-policy
  * Improve docs about purpose and effect of defaults.vim (Closes: #856273)
  * Define system (g)vimrc location as /etc/vim/(g)vimrc, rather than
    symlinking from /usr/share/vim/(g)vimrc -> /etc/vim/(g)vimrc.
  * Replace vim-athena with vim-motif, Athena GUI deprecated upstream
  * Remove lintian override for rgb.txt, removed upstream
  * Declare compliance with Policy 4.6.0, no changes needed
  * Remove vim-gtk transitional package

 -- James McCoy <jamessan@debian.org>  Sun, 03 Apr 2022 10:44:13 -0400

vim (2:8.2.3995-1) unstable; urgency=medium

  * Merge upstream patch v8.2.3918
    + 8.2.3610: crash when ModeChanged triggered too early (Closes: #1001900,
      CVE-2021-3968)
    + 8.2.3611: crash when using CTRL-W f without finding a file name (Closes:
      #1001899, CVE-2021-3973)
    + 8.2.3612: using freed memory with regexp using a mark (Closes: #1001897,
      CVE-2021-3974)
    + 8.2.3625: illegal memory access when C-indenting (Closes: #1001896,
      CVE-2021-3984)
    + 8.2.3847: illegal memory access when using a lambda with an error
      (Closes: #1002534, CVE-2021-4136)
    + autoload/zip.vim: Use URI syntax for pseudo-filename to avoid empty
      buffer after 8.2.3468 (Closes: #1000767)
  * Revert "Disable Test_very_large_count since it fails on 32-bit systems",
    fixed upstream

 -- James McCoy <jamessan@debian.org>  Mon, 03 Jan 2022 17:57:10 -0500

vim (2:8.2.3565-1) unstable; urgency=medium

  * Merge upstream patch v8.2.3565
    + 8.2.3489: ml_get error after search with range (Closes: #996593,
      CVE-2021-3875)
    + syntax/{debchangelog,debsources}.vim: Add jammy as a recognized Ubuntu
      release (Closes: #996760)
  * Drop patches applied upstream
    + Fix test_recover.vim's checks for endianness and size of long
    + Use explicitly signed type for tt_min_argcount to fix unsigned char
      systems
  * Revert "Temporarily depend on xxd for build tests/autopkgtests"
  * Disable Test_very_large_count since it fails on 32-bit systems

 -- James McCoy <jamessan@debian.org>  Sat, 30 Oct 2021 10:56:38 -0400

vim (2:8.2.3455-2) unstable; urgency=medium

  * Fix test_recover.vim's checks for endianness and size of long
  * Use explicitly signed type for tt_min_argcount to fix unsigned char systems

 -- James McCoy <jamessan@debian.org>  Sun, 03 Oct 2021 09:17:57 -0400

vim (2:8.2.3455-1) unstable; urgency=medium

  * Merge upstream patch v8.2.3455
    + 8.2.2761: Don't add current_syn_inc_tag to topgrp. (Closes: #947120)
    + 8.2.3022: Add support for xchacha20 encryption, using libsodium
    + 8.2.3068: Update Unicode support to Unicode 13
    + 8.2.3402, 8.2.3403: invalid memory access when using :retab with large
      value (Closes: CVE-2021-3770, #994076)
    + 8.2.3409: reading beyond end of line with invalid utf-8 character
      (Closes: CVE-2021-3778, #994498)
    + 8.2.3428: using freed memory when replacing (Closes: CVE-2021-3796,
      #994497)
    + 8.2.3430: Add the ModeChanged autocommand event
    + ftplugin/scala.vim: Fix syntax of includeexpr option  (Closes: #895629)
    + syntax/{debchangelog,debsources}.vim: Add impish as a recognized Ubuntu
      release (Closes: #995151)
  * Vim addons policy
    + Automatically publish policy to https://vim-team.pages.debian.net/vim/
      (Closes: #989223)
    + Rewrite policy to document use of dh_vim-addon instead of
      vim-addon-manager
  * Explicitly Depend on lynx to ensure docbook2txt works
  * Build against libsodium for non-tiny builds
  * Define a writable $HOME for the tests
  * Temporarily depend on xxd for build tests/autopkgtests, otherwise
    new tests for the xchacha20 encryption fail.
  * Switch to salsa-ci-team pipeline for CI

 -- James McCoy <jamessan@debian.org>  Thu, 30 Sep 2021 12:54:53 -0400

vim (2:8.2.2434-3) unstable; urgency=medium

  * Add pkg.vim.noruby Build-Profile
  * Disable ruby interpreter on alpha and ia64 (Closes: #983308)
  * Re-enable ruby for vim-gtk3 on Ubuntu, since it is no longer in main

 -- James McCoy <jamessan@debian.org>  Mon, 01 Mar 2021 21:58:09 -0500

vim (2:8.2.2434-2) unstable; urgency=medium

  * Only enable sound support for GUI builds (Closes: #982856)

 -- James McCoy <jamessan@debian.org>  Sat, 20 Feb 2021 13:46:51 -0500

vim (2:8.2.2434-1) unstable; urgency=medium

  * Merge upstream patch v8.2.2434
    + 8.2.2428: Fix handling of focus events when 'ttymouse' is unset.
      (Closes: #980449)

 -- James McCoy <jamessan@debian.org>  Sat, 30 Jan 2021 23:47:07 -0500

vim (2:8.2.2367-1) unstable; urgency=medium

  * Merge upstream patch v8.2.2367
    + 8.2.2367: Fix test failures on armel/armhf/mipsel

 -- James McCoy <jamessan@debian.org>  Sun, 17 Jan 2021 10:53:54 -0500

vim (2:8.2.2344-2) unstable; urgency=medium

  * rules: Add dummy command to test target to fix make error when
    DEB_BUILD_OPTIONS=nocheck

 -- James McCoy <jamessan@debian.org>  Thu, 14 Jan 2021 22:25:21 -0500

vim (2:8.2.2344-1) unstable; urgency=medium

  * Merge upstream patch v8.2.2344
    + ftplugin/spec.vim: Fix missing ":let"  (Closes: #977429)
    + syntax/cabal.vim: Add build-tools-depends keyword  (Closes: #973548)
  * rules: Sanitize locale-related environment variables (Closes: #973943)

 -- James McCoy <jamessan@debian.org>  Thu, 14 Jan 2021 21:40:26 -0500

vim (2:8.2.1913-1) unstable; urgency=medium

  [ James McCoy ]
  * Merge upstream tag v8.2.1913
    + syntax/sh.vim: Highlight "local var" appropriately when /bin/sh is dash.
      (Closes: #796282)
    + plugin/netrwPlugin.vim: Fix directory navigation with
      g:netrw_liststyle=3 and g:netrw_list_hide='^\..*'.  (Closes: #942549)
    + 8.2.1909: Remove the limit on items in 'statusline'  (Closes: #688258)
    + 8.2.1912: Fix test failures with Python 3 >= 3.9 (Closes: #972777)
  * rules: Provide path to vim when building vim.pot
  * Add procps and cscope to (autopkg)test Depends
  * d/tests: Use dpkg-query rather than dpkg-parsechangelog to get upstream version
  * d/tests: Use runtime/ from source tree
  * d/tests: Force TERM=xterm when running upstreamtest
  * Stop installing vim2html.pl
  * Stop installing README.txt files in vim-runtime
  * Lintian
    + Add national-encoding overrides for files intentionally in non-UTF8
      encodings
    + Add package-contains-documentation-outside-usr-share-doc overrides for
      builtin help
    + Rename binary-without-manpage override to no-manual-page
    + Rename manpage-without-executable override to spare-manual-page
    + Override repeated-path-segment for dvorak plugin
    + Add package-contains-documentation-outside-usr-share-doc override for
      rgb.txt

  [ Pino Toscano ]
  * Remove unused XPM icons.
  * Remove do not ship gvim.svg in /usr/share/pixmaps.

 -- James McCoy <jamessan@debian.org>  Tue, 27 Oct 2020 21:38:24 -0400

vim (2:8.2.0716-3) unstable; urgency=medium

  * Version the vim/gvim/etc Provides for the vim binary packages.  This
    allows versioned Depends on vim to be satisfied by any of the binary
    packages instead of trying to install Package: vim.  (Closes: #960119)

 -- James McCoy <jamessan@debian.org>  Mon, 11 May 2020 22:37:13 -0400

vim (2:8.2.0716-2) unstable; urgency=medium

  * Build vim-basic for arch-all builds, needed for install targets

 -- James McCoy <jamessan@debian.org>  Sat, 09 May 2020 11:27:39 -0400

vim (2:8.2.0716-1) unstable; urgency=medium

  * Merge upstream tag v8.2.0716
    + syntax/make.vim: Fix mis-highlighting of targets that start with the
      word "overrule".  (Closes: #958993)
  * rules: Switch to dh
  * Remove src/po/vim.pot during clean

 -- James McCoy <jamessan@debian.org>  Sat, 09 May 2020 09:20:09 -0400

vim (2:8.2.0510-1) unstable; urgency=medium

  * Merge upstream tag v8.2.0510
    + 8.2.0444: Improve reliability of Test_swap_prompt_splitwin
    + 8.2.0447: Improve reliability of Test_terminal_scroll
    + 8.2.0454: Improve reliability of Test_state
    + 8.2.0456, 8.2.0461, 8.2.0470: Improve reliability of Test_confirm_cmd
    + 8.2.0462: Fix invalid assertion in Test_popup_and_previewwindow_dump
    + 8.2.0474: Allow ":write" to overwrite an existing file when used via
      BufWriteCmd, fixing breakage of plugins like vim-gnupg
  * Add lintian overrides for manpage-without-executable
  * Remove obsolete vim-common.preinst

 -- James McCoy <jamessan@debian.org>  Sat, 04 Apr 2020 23:20:13 -0400

vim (2:8.2.0439-1) unstable; urgency=medium

  * Merge upstream tag v8.2.0439
    + 8.2.0398: Fix FTBFS due to Test_profile_func() failure
    + 8.2.0436: Fix FTBFS in test_vim9_disassemble.vim due to type mismatches
      in format strings

 -- James McCoy <jamessan@debian.org>  Mon, 23 Mar 2020 23:21:40 -0400

vim (2:8.2.0397-1) unstable; urgency=medium

  * Merge upstream tag v8.2.0397
    + 8.2.0382: Fix Test_terminal_in_popup failures by disabling the ruler
    + syntax/resolv.vim: Refresh list of known options.  (Closes: #626371)

 -- James McCoy <jamessan@debian.org>  Tue, 17 Mar 2020 08:31:45 -0400

vim (2:8.2.0378-1) unstable; urgency=medium

  * Merge upstream tag v8.2.0378
    + 8.2.0374: Fix test failures on 32-bit archs.  (Closes: #953742)

 -- James McCoy <jamessan@debian.org>  Fri, 13 Mar 2020 23:40:47 -0400

vim (2:8.2.0368-1) unstable; urgency=medium

  * Merge upstream patch v8.2.0368
    + New "vim9script" syntax available for scripts, c.f. ":help vim9-script"
    + syntax/debchangelog.vim: Stop highlighting space before "UNRELEASED" as
      an error (Closes: #944781)
    + syntax/markdown.vim: Don't treat a bare "<" as the start of an HTML tag.
      (Closes: #892172)
    + syntax/resolv.vim: Highlight IPv6 addresses (Closes: #626371)
    + 8.2.0271: Correctly format 64-bit numbers for status messages in
      vim-tiny on 32-bit systems (Closes: #951380)
  * Declare compliance with Policy 4.5.0, no changes needed
  * Build-Depend on debhelper-compat (= 12)

 -- James McCoy <jamessan@debian.org>  Tue, 10 Mar 2020 22:54:00 -0400

vim (2:8.1.2269-1) unstable; urgency=medium

  * Merge upstream patch v8.1.2269
    + 8.1.2261: Disable modifyOtherKeys while in Insert mode when 'noesckeys'
      is set. (Closes: #944132)

 -- James McCoy <jamessan@debian.org>  Sat, 09 Nov 2019 07:59:40 -0500

vim (2:8.1.2244-1) unstable; urgency=medium

  * Merge upstream patch v8.1.2244
    + syntax/debchangelog.vim: Highlight unsupported releases differently than
      supported releases.  (Closes: #847933)
    + "mouse" feature is now always enabled.
    + Improve support for chorded mappings in xterm, when xterm's
      modifyOtherKeys mode is enabled, c.f. :help modifyOtherKeys.
  * Revert "Move /usr/bin/vim.* into /usr/libexec/vim/"
    (Closes: #943328, #942225).  The change broke user preferences for
    alternatives and sensible-editor.
  * Add /var/lib/addons to 'runtimepath' at build time (Closes: #943967)
  * Use dh_missing instead of dh_install --list-missing (Closes: #942277)

 -- James McCoy <jamessan@debian.org>  Sun, 03 Nov 2019 20:52:36 -0500

vim (2:8.1.2136-1) unstable; urgency=medium

  * Merge upstream patch v8.1.2136
    + Farsi support was removed
    + syntax/debcontrol.vim: Recognize "Files-Excluded(-<component>)" fields
      (Closes: #932894)
    + Swap files are automatically deleted if the file was unmodified and the
      process which generated the swap file isn't running.  (Closes: #375989)
    + Fix incorrect over-indenting when auto-indent is enabled for XML files.
      (Closes: #918672)
    + Fix indentation of bash scripts with nested if blocks.  (Closes:
      #939369)
    + New popup window support, via the "popup_*()" APIs
    + New sound support, via the "sound_*()" APIs
    + "localmap", "visual", "visualextra", "visualedit", "user_commands",
      "multi_byte", "cmdline_compl", "insert_expand", "modify_fname",
      and "comments" features are now always enabled.
    + Fix test_compiler.vim failure when locale isn't available.  (Closes:
      #917859)
  * control:
    + Remove obsolete versioned Build-Depends on dpkg-dev
  * rules:
    + Use dh_install --list-missing
  * Turn vim-gtk into a transitional package to vim-gtk3  (Closes: #930576
    since the IA__gdk_drawable_get_size assertions don't happen in the GTK3
    build)
  * Declare compliance with Policy 4.4.1, no changes needed
  * Move /usr/bin/vim.* into /usr/libexec/vim/
  * autopkgtest:
    + Mark the "$variant --version" tests superficial
    + Add new tests which run the build time tests against the installed
      binary/runtime.  Mark it flaky for now, since there are some tests which
      are more prone to fail in the LXC environment.
    + Run autopkgtests as a dedicated user, to avoid false negative failures
      with upstream tests which check permissions

 -- James McCoy <jamessan@debian.org>  Fri, 11 Oct 2019 21:37:58 -0400

vim (2:8.1.0875-5) unstable; urgency=medium

  * gbp.conf: Set debian-tag to debian/%(version)s
  * Backport 'modelineexpr' patches to further restrict modelines
    + 8.1.1366: Using expressions in a modeline is unsafe
    + 8.1.1367: can set 'modelineexpr' in modeline
    + 8.1.1368: Modeline test fails with python but without pythonhome
    + 8.1.1382: Error when editing test file
    + 8.1.1401: misspelled mkspellmem as makespellmem (test fix)

 -- James McCoy <jamessan@debian.org>  Sat, 15 Jun 2019 12:41:15 -0400

vim (2:8.1.0875-4) unstable; urgency=high

  * Backport 8.1.1046 and 8.1.1365 to fix CVE-2019-12735  (Closes: #930020)
    + 8.1.1365: source command doesn't check for the sandbox

 -- James McCoy <jamessan@debian.org>  Fri, 07 Jun 2019 06:49:19 -0400

vim (2:8.1.0875-3) unstable; urgency=medium

  * syntax/deb{changelog,sources}: Update release names for Debian/Ubuntu
    (Closes: #927167)

 -- James McCoy <jamessan@debian.org>  Sun, 05 May 2019 23:41:10 -0400

vim (2:8.1.0875-2) unstable; urgency=medium

  * Backport 8.1.0878 and 8.1.0884 to fix test failures on kFreeBSD.
  * Backport 8.1.0948 to avoid enabling filetype detection when the +eval
    feature isn't present.  (Closes: #922106)

 -- James McCoy <jamessan@debian.org>  Fri, 22 Feb 2019 07:55:04 -0500

vim (2:8.1.0875-1) unstable; urgency=medium

  * Merge upstream patch v8.1.0875
    + "autocmd", "multi_byte", "virtualedit", and "visualextra" features are
      now always enabled.
    + New Blob type, for working with raw bytes.
    + Support a 3rd character for the "tab" setting in the 'listchars' option.
    + *.com files under /etc/apache2/sites-* are properly recognized as apache
       filetype.  (Closes: #740387)
    + syntax/debchangelog.vim: Recognize "emergency" as a valid urgency.
      (Closes: #920522)
    + Support 64-bit offsets for xxd.  (Closes: #771456)
  * rules:
    + Remove --enable-multibyte since it is always enabled
  * debian.vim:
    + Remove has('autocmd') checks since it is always enabled
  * gvimrc:
    + Adapt gui check to work for gtk2/gtk3

 -- James McCoy <jamessan@debian.org>  Mon, 04 Feb 2019 23:11:09 -0500

vim (2:8.1.0693-2) unstable; urgency=medium

  * Separate /etc/vim and /usr/share/vim/vimfiles.  The former should be for
    the sysadmin, while the latter is used by packages.
    + Make /usr/share/vim/vimfiles a directory, not a symlink to /etc/vim
    + Add /etc/vim to the default 'runtimepath'

 -- James McCoy <jamessan@debian.org>  Sat, 05 Jan 2019 15:53:12 -0500

vim (2:8.1.0693-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0693
  * control:
    + Remove obsolete vim-gnome package
    + Remove ${shlibs:Depends} from vim-common, since it is Arch: all
    + Build-Depend on libtool-bin to run libterm tests
    + Replace libtinfo-dev Build-Depends with libncurses-dev
    + Change Homepage to https://www.vim.org/
  * Use debian/clean to cleanup files/directories
  * rules:
    + Rename stamp files so dh_clean deletes them automatically
    + Ensure helptags are generated before running tests
  * Declare compliance with Policy 4.3.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 05 Jan 2019 12:34:12 -0500

vim (2:8.1.0549-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0549
    + Built-in support for performing diffs, via the libxdiff library, which
      allows setting the diff algorithm (:help 'diffopt').
    + Fix formatting of example output in translated xxd man pages.  (Closes:
      #909217)
  * gitlab-ci.yml: Run build as non-root user
  * Mark vim-common Multi-Arch: foreign (Closes: #910732)

 -- James McCoy <jamessan@debian.org>  Tue, 27 Nov 2018 20:38:28 -0500

vim (2:8.1.0320-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0320
    - syntax/debcontrol.vim:
      + Recognize riscv64 as an architecture (Closes: #905435)
    - syntax/sh.vim:
      + Fix syntax highlighting of curly braces inside parameter expansion
        (Closes: #904875)
  * rules:
    + Stop using --dbgsym-migration
    + Stop overriding default dpkg-deb compression
  * Declare compliance with Policy 4.2.0, no changes needed
  * control: Add cscope to Build-Depends to test cscope integration

 -- James McCoy <jamessan@debian.org>  Wed, 22 Aug 2018 19:46:39 -0400

vim (2:8.1.0229-1) unstable; urgency=medium

  [ upstream ]
  * Unicode 11 support
  * New options ('vartabstop'/'varsofttabstop') to define variable width tab
    stops.
  * Danish translation

  [ James McCoy ]
  * Change "Compiled by" string to team+vim@tracker.d.o
  * rules:
    + Only run scratch target, not distclean, in autoconf-stamp to avoid FTBFS
      with parallel builds.
    + Allow defining VARIANT from the environment.  Thanks to Guillem Jover
      for the suggestion (Closes: #903927)
  * Change vim-python Provides to vim-python3.  While Vim only supports py2 or
    py3, Neovim supports both so the change in provides allows
    python(3)-neovim to differentiate the supported Python version.

 -- James McCoy <jamessan@debian.org>  Thu, 02 Aug 2018 21:44:43 -0400

vim (2:8.1.0089-1) unstable; urgency=medium

  * New upstream release
    + New syntax highlighting for machine-readable debian/copyright files.
      (Closes: #869965)
    + Fix mis-highlighting of architectures in debian/control files.  (Closes:
      #900476)
  * Change Maintainer to team+vim@tracker.debian.org
  * Add wildcard to binaries-have-file-conflict override between
    vim-tiny/vim-runtime to account for upstream releases.

 -- James McCoy <jamessan@debian.org>  Tue, 19 Jun 2018 22:44:05 -0400

vim (2:8.0.1766-1) unstable; urgency=medium

  [ David Rabel ]
  * d/copyright: Fix path to tee.c

  [ upstream ]
  * 8.0.1477: Avoid cursor flicker when changing (de)focusing the terminal.
    (Closes: #890642)
  * 8.0.1491: New 'pumwidth' option allows controlling the width of the popup
    menu.  (Closes: #450481)
  * 8.0.1744: Skip Test_writefile_sync_dev_stdout when /dev/stdout isn't
    writable.  (Closes: #894565)
  * syntax/config.vim: Fix highlighting matching paren for AC_MSG_* syntax
    items.  (Closes: #881654)
  * syntax/debcontrol.vim: Recognize Testsuite and Testsuite-Triggers fields.
    (Closes: #886230)
  * syntax/sh.vim: Do not highlight substring processing as an error for POSIX
    sh.  (Closes: #885938)

  [ James McCoy ]
  * watch: Track git tags instead of major releases
  * Declare compliance with Policy 4.1.4, no changes needed
  * control: Use 11~ for minimum debhelper version to ease backporting
  * rules:
    + Fold config.mk handling into autoconf-stamp target
    + Use C.UTF-8 locale when running tests to avoid an upstream bug in the
      tests.  When not run in a UTF-8 locale, a child Vim used by the tests
      displays some unicode characters incorrectly, breaking the test.

 -- James McCoy <jamessan@debian.org>  Thu, 26 Apr 2018 22:08:08 -0400

vim (2:8.0.1453-1) unstable; urgency=medium

  [ upstream ]
  * 8.0.1452: terminal test fails on some systems
    + This should fix the massive FTBFS on the buildds
  * 8.0.1453: terminal test fails on some slow terminals

 -- James McCoy <jamessan@debian.org>  Fri, 02 Feb 2018 15:37:32 -0500

vim (2:8.0.1451-1) unstable; urgency=medium

  [ David Rabel ]
  * Update Standards-Version to 4.1.3

  [ upstream ]
  * 8.0.1444: missing -D_FILE_OFFSET_BITS=64 may cause problems
    This should work around the inconsistent handling of large file support in
    glibc (#888566), which closes: #827319.

  [ James McCoy ]
  * Re-enable Perl bindings on kFreeBSD
  * Change Vcs-* to salsa.d.o
  * Bump debhelper compat to 11
  * Set R³ to no
  * d/control: Use https URL for Homepage
  * vim-doc: Move documentation under /usr/share/doc/vim, per §12.3
  * Remove doc/<arch pkg> → doc/<all pkg> symlinks
  * d/rules: Set .NOTPARALLEL to avoid dh_prep clobbering each other

 -- James McCoy <jamessan@debian.org>  Thu, 01 Feb 2018 19:07:29 -0500

vim (2:8.0.1401-2) unstable; urgency=medium

  * debian.vim: Move a function definition inside an :if so it doesn't cause
    vim-tiny to spew lots of errors.  (Closes: #885073)

 -- James McCoy <jamessan@debian.org>  Sun, 24 Dec 2017 08:21:33 -0500

vim (2:8.0.1401-1) unstable; urgency=medium

  [ upstream ]
  * syntax/sh.vim:
    + Fix syntax highlighting of $() when the /bin/sh is detected as
      POSIX-compliant.  (Closes: #848663)
    + Correctly highlight escaped single-quotes inside test expressions.
      (Closes: #761064)

  [ James McCoy ]
  * runtime/debian.vim:
    + Fix mechanism used to check for <S-Insert> mappings, since maparg()
      doesn't understand multiple modes in the {mode} argument.  Thanks to
      Sergey Vlasov for the patch!  (Closes: #883422)
  * syntax/debcontrol.vim:
    + Fix highlighting of "Section: javascript" … again.  (Closes: #884495)

 -- James McCoy <jamessan@debian.org>  Sun, 17 Dec 2017 22:32:25 -0500

vim (2:8.0.1257-2) unstable; urgency=medium

  * Add patch to fix flakiness in test_search.vim
  * syntax/debcontrol.vim:
    + Recognize golang section.  Thanks to Guillem Jover.  (Closes: #880698)

 -- James McCoy <jamessan@debian.org>  Sat, 04 Nov 2017 00:17:46 -0400

vim (2:8.0.1257-1) unstable; urgency=medium

  [ upstream ]
  * 8.0.1246: Fix flaky popup test, which should fix the various FTBFS from
    the last upload.

  [ James McCoy ]
  * syntax/debsources.vim:
    + Fix syntax error in definition of unsupported releases.  Thanks to Josh
      Triplett.  (Closes: #879986)
  * Declare compliance with Policy 4.1.1, no changes needed.

 -- James McCoy <jamessan@debian.org>  Thu, 02 Nov 2017 21:27:13 -0400

vim (2:8.0.1226-1) unstable; urgency=medium

  [ upstream ]
  * 8.0.1154: Fix indentation when 'indentkeys' is in use.  (Closes: #877262)

  [ James McCoy ]
  * syntax/debcontrol.vim:
    + Add support for all fields in deb-src-control(5).  (Closes: #878970)
  * syntax/deb{sources,changelog}.vim:
    + Add bionic release and mark yakkety & squeeze unsupported.

 -- James McCoy <jamessan@debian.org>  Fri, 27 Oct 2017 08:27:27 -0400

vim (2:8.0.1144-1) unstable; urgency=medium

  [ upstream ]
  * Fix detection/enabling of cursor blink state.  (Closes: #872302)
  * ftplugin/perl.vim: Set 'iskeyword' local to the buffer so it doesn't
    affect subsequently opened buffers.  (Closes: #873755)
  * syntax/mason.vim: Correctly highlight mason files again.  (Closes:
    #700016)

  [ James McCoy ]
  * debcontrol.vim:
    + Recognize Testsuite field  (Closes: #872360)
    + Treat tabs as valid whitespace  (Closes: #872557)
  * Declare compliance with Policy 4.1.0, no changes needed
  * Add basic autopkgtests
  * Add missing postrm for symlink_to_dir maintscripts

 -- James McCoy <jamessan@debian.org>  Sun, 24 Sep 2017 22:02:28 -0400

vim (2:8.0.0946-1) unstable; urgency=medium

  [ upstream ]
  * 8.0.0939, 8.0.0940: Handle flakiness in terminal tests.  (Closes: #872164)
  * 8.0.0944: test_profile: Accept a match when self and total time are the
    same.
  * 8.0.0946: Don't rely on PATH_MAX.  Fixes FTBFS on hurd.

 -- James McCoy <jamessan@debian.org>  Mon, 14 Aug 2017 22:41:29 -0400

vim (2:8.0.0937-1) unstable; urgency=medium

  [ upstream ]
  * 8.0.0210 et.al.: Add support for bracketed paste.  (Closes: #504244)
  * 8.0.0421: Fix display in diff mode when adding a line at the end of a
    buffer.  (Closes: #846993)
  * 8.0.0693 et.al.: Implement a terminal emulator.
  * 8.0.0698: Fix a crash on exit when using a Python function from a timer.
    (Closes: #868767)
  * 8.0.0737: Crash when X11 selection is very big  (Closes: #606957)

  [ James McCoy ]
  * vim-policy:
    + Specify the "addon", not "name", field is used to declare the addon.
      Thanks to Reiner Herrmann.
  * Merge changes from Ubuntu, dependent on DEB_VENDOR=Ubuntu:
    + Remove --disable-python3interp on Ubuntu for vim-basic
    + Disable ruby for vim-gtk3
  * d/rules:
    + Remove src/po/vim.pot and *.pyc during clean
    + Remove explicit setting of SOURCE_DATE_EPOCH since dpkg's pkg-info.mk
      provides it.
  * debcontrol.vim:
    + Add highlighting for Build-(Depends|Conflicts)-Arch
    + Fix syntax highlighting of "javascript" section.  (Closes: #867307)
  * Rewrite d/copyright in machine readable format.  (Closes: #819734)
    + Properly document xxd's license.  (Closes: #776191)
  * Mark vim-doc and xxd Multi-Arch: foreign.  Thanks to Helmut Grohne for the
    patch.  (Closes: #852722)
  * Declare compliance with policy 4.0.1
    + Change Priority: extra packages to optional
  * Reference Python 3 instead of Python in long descriptions.  (Closes:
    #868020)
  * Bump debhelper compat to 10.
  * debian/control:
    + Remove version constraints that are satisifed in oldstable.

 -- James McCoy <jamessan@debian.org>  Sun, 13 Aug 2017 16:06:37 -0400

vim (2:8.0.0197-5) unstable; urgency=high

  * Backport upstream patches to fix CVE-2017-11109  (Closes: #867720)
    + 8.0.0703: Illegal memory access with empty :doau command
    + 8.0.0706: Crash when cancelling the cmdline window in Ex mode
    + 8.0.0707: Freeing wrong memory when manipulating buffers in autocommands

 -- James McCoy <jamessan@debian.org>  Tue, 11 Jul 2017 23:11:25 -0400

vim (2:8.0.0197-4) unstable; urgency=medium

  * Backport upstream patch v8.0.0550 to fix a regression in tag lookups for
    ctags-generated emacs style tags files.  (Closes: #859426)
  * Add Artful Aardvark, jessie-backports-sloppy, and
    stretch-backports/security to deb{changelog,sources} syntax files.
  * debsources.vim: Require word boundaries around distribution name.
    (Closes: #859247)
  * Set $TERM to a known sane value when running tests to avoid test failures
    due to an unknown $TERM.

 -- James McCoy <jamessan@debian.org>  Sun, 23 Apr 2017 08:10:29 -0400

vim (2:8.0.0197-3) unstable; urgency=high

  * Backport upstream patches v8.0.0377 & v8.0.0378, to fix buffer overflows
    when reading corrupted undo files.  (Closes: #856266, CVE-2017-6349,
    CVE-2017-6350)

 -- James McCoy <jamessan@debian.org>  Mon, 06 Mar 2017 22:33:23 -0500

vim (2:8.0.0197-2) unstable; urgency=high

  * Backport upstream patch v8.0.0322, to fix buffer overflow if a spellfile
    has an invalid length in it.  (Closes: #854969, CVE-2017-5953)

 -- James McCoy <jamessan@debian.org>  Sun, 12 Feb 2017 19:56:16 -0500

vim (2:8.0.0197-1) unstable; urgency=medium

  [ upstream ]
  * 8.0.0190: Improve performance of tag lookup  (Closes: #673130)

 -- James McCoy <jamessan@debian.org>  Mon, 16 Jan 2017 20:26:10 -0500

vim (2:8.0.0134-1) unstable; urgency=medium

  * Merge upstream tag v8.0.0134
  * Bump minimum version of debhelper for --dbgsym-migration option.  (Closes:
    #846183)
  * debian/rules: Remove '=' from "define" directive to maintain compatibility
    with make < 3.82.  (Closes: #846312)
  * syntax/debcontrol.vim: Add sections for Rust and JavaScript.  Thanks to
    Josh Triplett for the patch!  (Closes: #847539)
  * Add an (old) NEWS.Debian entry describing the switch from py2 -> py3 for
    Vim's python language bindings.

 -- James McCoy <jamessan@debian.org>  Wed, 14 Dec 2016 22:33:53 -0500

vim (2:8.0.0095-1) unstable; urgency=high

  * Merge upstream tag v8.0.0095
    + 8.0.0056: Only allow valid characters in 'filetype', 'syntax' and
      'keymap'.  (CVE-2016-1248)
    + 8.0.0089: Fix problems with Gtk 3.22.2. This replaces the proposed
      patches applied earlier.  (#842070)

 -- James McCoy <jamessan@debian.org>  Tue, 22 Nov 2016 13:23:07 -0500

vim (2:8.0.0049-1) unstable; urgency=medium

  * Merge upstream tag v8.0.0049
    + 8.0.0038: Define OPEN_CHR_FILES for kFreeBSD to fix Test_read_fifo_utf8
      test failure.  (Part of #827319)
  * Disable Perl bindings for kfreebsd-* until #827319 is resolved since the
    FTBFS was blocking bootstrapping of kfreebsd systems.
  * Add Zesty Zapus to deb{changelog,sources} syntax files
  * Cherry-pick two proposed patches to fix vim-gtk3's widget sizing, while
    upstream Vim and Gtk figure out what the right fix is.  (Related to
    #842070)

 -- James McCoy <jamessan@debian.org>  Sat, 12 Nov 2016 13:17:06 -0500

vim (2:8.0.0022-1) unstable; urgency=medium

  * syntax/debsources: Recognize https URLs.  Thanks to Joe Stein for the
    patch!
  * Add information about defaults.vim to NEWS.Debian and /etc/vim/vimrc.
    (Closes: #837761)
  * Update vim-tiny patch to not source defaults.vim when vim.tiny is invoked
    as vi.
  * Bump priority of vim-tiny's vi alternative, so it's higher than e3vi.
    (Closes: #839265)

 -- James McCoy <jamessan@debian.org>  Tue, 04 Oct 2016 23:34:23 -0400

vim (2:8.0.0003-1) unstable; urgency=medium

  [ upstream ]
  * Vim 8 released!
  * v8.0.0003: Fix test failures on big-endian architectures.

 -- James McCoy <jamessan@debian.org>  Mon, 12 Sep 2016 21:54:12 -0400

vim (2:7.4.2347-1) unstable; urgency=medium

  [ upstream ]
  * Fix test failure due to relying on modelines.  (Closes: #837130)

  [ James McCoy ]
  * Move xxd into its own package.  This allows other packages to express a
    relationship on xxd itself, rather than vim-common, and also enables
    turning vim-common into an Arch: all package.
  * Remove dpkg-dev Build-Depends, since the version is satisifed prior to
    oldstable.

 -- James McCoy <jamessan@debian.org>  Sat, 10 Sep 2016 23:35:08 -0400

vim (2:7.4.2330-1) unstable; urgency=medium

  [ upstream ]
  * Highlighted changes:
    + 7.4.1976: Support 64-bit number variables in VimL.  Use has('num64') to
      test for presence of the functionality.  (Closes: #788055)
    + runtime/ftplugin/man.vim:
      - Use the width of the current window when formatting a man page.
        (Closes: #827634)
    + runtime/syntax/rst.vim:
      - Use underline for emphasized text.  (Closes: #547537)
    + runtime/tutor/tutor.es:
      - Fix misspelling of seguido.  (Closes: #834336)

  [ James McCoy ]
  * Switch from Python2 to Python3 language bindings.  All packaged
    addons which use Python support both 2 & 3.  (Closes: #729924)
  * Add mips64el as a recognized architecture in debcontrol files.  Thanks to
    Reiner Herrmann for the patch.  (Closes: #830545)
  * Update supported Ubuntu releases in debsources files.
  * Remove vim-gnome (which uses deprecated gnome2 libraries) in favor of
    vim-gtk3.  (Closes: #820239)
  * Run tests during build targets to avoid test failures related to running
    as (fake)root.

 -- James McCoy <jamessan@debian.org>  Wed, 07 Sep 2016 22:12:11 -0400

vim (2:7.4.1829-1) unstable; urgency=medium

  * Merge upstream tag v7.4.1829
    + 7.4.1713: Force use of X11 backend under Wayland.  (Closes: #819954)
    + 7.4.1802: Improve handling of long lines in quickfix lists.  (Closes:
      #815976)
    + LogiPat plugin's :ELP command renamed to :LPE, so it doesn't shadow :E.
      (Closes: #796075)

 -- James McCoy <jamessan@debian.org>  Mon, 09 May 2016 23:06:14 -0400

vim (2:7.4.1689-3) unstable; urgency=medium

  * helpztags: Fix regression in previous upload where the doc file isn't
    opened, so no tags file is generated.  (Closes: #820313)

 -- James McCoy <jamessan@debian.org>  Thu, 07 Apr 2016 22:37:20 -0400

vim (2:7.4.1689-2) unstable; urgency=medium

  * Stop installing a dangling symlink at
    /usr/share/vim/addons/doc/matchit.txt.  (Closes: #819796)
  * Lintian:
    + Provide more details in vim-doc's long description.  Thanks to Elimar
      Riesebieter for the patch.  (Closes: #819733)
  * helpztags:
    + Don't try to read a file if it can't be opened.  (Closes: #819764)
    + Don't error if the specified directory doesn't exist.  (Closes: #819809)
  * Generate vim-policy in a consistent locale.

 -- James McCoy <jamessan@debian.org>  Sun, 03 Apr 2016 09:25:18 -0400

vim (2:7.4.1689-1) unstable; urgency=medium

  * Merge upstream tag v7.4.1689.
    + Highlighted changes:
      - 7.4.1142: “:syn iskeyword” command to define the set of keyword
        characters for syntax highlighting, rather than changing the buffer's
        'iskeyword' option.
      - 7.4.1154 et.al.: Support converting between JSON
        and VimL.  See json_decode(), json_encode(), js_decode(), and
        js_encode().
      - 7.4.1169 et.al.: Support async communication with external processes
        using the new channel and job features.
      - 7.4.1384 et.al.: Provide native support for managing Vim
        addons/packages with the :packadd command and 'packpath' option.
      - 7.4.1402: GTK3 GUI support
      - 7.4.1578: Support running a function on a periodic basis with the
        timer_start()/timer_start() functions.
      - runtime/syntax/sh.vim
        + Fix incorrect highlighting when case/esac are embedded in a word.
          (Closes: #818137)
      - runtime/syntax/sshdconfig.vim
        + Update with recent keywords, including VersionAddendum.  (Closes:
          #776834)
  * Add a vim-gtk3 package.  (Closes: #815750)
  * Improve reproducibility of Vim builds.  (Closes: #787327)
    + Use $SOURCE_DATE_EPOCH to set the compilation time displayed in :version
    + Set a static value for configure's --with-compiledby argument
  * Migrate to automatic -dbgsym packages
  * Declare compliance with Policy 3.9.7, no changes needed.
  * Stop installing empty icon directories in vim-common.  Thanks to Elimar
    Riesebieter for the patch.  (Closes: #819653)

 -- James McCoy <jamessan@debian.org>  Thu, 31 Mar 2016 21:57:48 -0400

vim (2:7.4.963-1) unstable; urgency=medium

  * Merge upstream tag v7.4.963.
    + Remove merged patches:
      - Typo in Spanish translation of swapfile recovery.
    + Highlighted changes:
      - 7.4.849: New Insert mode command to maintain the undo sequence across
        cursor movements (c.f., :help i_CTRL-G_U).
      - 7.4.858: New quickfix-related commands (:ldo, :lfdo, :cdo, and :cfdo).
      - indent/yaml.vim: Maintain indent of mapping key when mapping is
        contained in a list.  (Closes: #713066)
      - 7.4.941: New 'tagcase' option to control whether tag searches are case
        insensitive.
  * Rewrite vim-tiny's help.txt.
    + Clarify the reasoning for the package and why the help isn't available.
    + Explicitly mention what the more featureful Vim packages are.
    + Point to vimhelp.appspot.com for online help, since it is better kept
      updated.
  * Update Vcs-* URLs to point to Git.
  * Install upstream's patchlist as the changelog.  (Closes: #622827)
  * Fix a typo in vim-policy.  Thanks to Jakuyo Friel for the patch.  (Closes:
    #773531)
  * Fix FTBFS when running “dpkg-buildpackage -A”.  (Closes: #806875)
  * Stop installing menu files.
  * Install upstream's desktop files and drop the ones from debian/.
  * Mark vim-runtime/vim-gui-common as Multi-Arch: foreign.  (Closes: #806535)

 -- James McCoy <jamessan@debian.org>  Wed, 09 Dec 2015 23:31:36 -0500

vim (2:7.4.826-1) unstable; urgency=medium

  * Merge upstream tag v7-4-826. Remove merged patches.
    + Recognize bash completion files for syntax highlighting.  (Closes:
      #628494)
    + Update declared license for xxd.  (Closes: #776191)
  * Enable <S-Insert> mappings when gvim is started via “:gui”.  Based on a
    patch from Daniel Shahaf.  (Closes: #793781)

 -- James McCoy <jamessan@debian.org>  Sun, 16 Aug 2015 22:17:45 -0400

vim (2:7.4.712-3) unstable; urgency=medium

  * Change Suggests: ttf-dejavu → fonts-dejavu.  (Closes: #783969)
  * Welcome, wily werewolf.
  * Remove vim-lesstif transitional package.
  * Remove obsolete Breaks/Replaces from vim-gui-common.
  * Lintian:
    + Add override to vim-common for desktop-command-not-in-package, since vim
      is provided by the other binary packages.
    + Remove spelling-error-in-binary overrides for tEH
    + Remove empty /usr/share/pixmaps directory from vim-gui-common
  * Declare compliance with policy 3.9.6
  * Fix FTBFS with newer ghostscript by using ps2write device.  (Closes:
    #785221)
  * Make build resilient to changes in the default tcl version.
  * Update description of vim-tiny to clarify it only exists to provide the vi
    binary for the base install.  (Closes: #784268)

 -- James McCoy <jamessan@debian.org>  Sat, 13 Jun 2015 01:16:02 -0400

vim (2:7.4.712-2) unstable; urgency=medium

  * Add stretch to Debian syntax files.  (Closes: #783506)
  * syntax/debsources.vim: Recognize all Debian/Ubuntu releases, but highlight
    unsupported releases differently.
  * Add patch upstream/lcs_space-overflow.patch, which fixes an integer
    overflow when determining whether to apply listchar's space setting.  This
    fixes the test_listchars failure on certain architectures when PIE is
    enabled.

 -- James McCoy <jamessan@debian.org>  Thu, 30 Apr 2015 20:25:42 -0400

vim (2:7.4.712-1) unstable; urgency=medium

  * Merge upstream tag v7-4-712
    + 7.4.586: Remove a cyclic dependency when generating documentation, which
      results in unreproducible builds.  (Closes: #775562)
    + 7.4.609: Use a stack of dicts and lists to be marked for garbage
      collection, thus making it iterative instead of recursive.  Fixes crash
      with some plugins written in other languages (e.g., lua).  (Closes:
      #778821)
    + runtime/syntax/registry.vim: Correct highlighting of comments.  (Closes:
      #687199)
    + runtime/syntax/strace.vim: Highlight 2-digit escape sequences the same
      as 1 or 3-digit escape sequences.  (Closes: #775113)
  * Remove backported patches upstream/v7-4-576.patch and
    upstream/netrwSavePosn.patch.
  * Add a Build-Conflict for autoconf2.13 to avoid a FTBFS if it's installed.
    (Closes: #781031)

 -- James McCoy <jamessan@debian.org>  Sat, 25 Apr 2015 09:00:09 -0400

vim (2:7.4.488-7) unstable; urgency=medium

  * Backport patch 7.4.576 to fix jarring toggling of 'linebreak' option when
    using the c command to change the buffer.  (Closes: #774492)
  * Backport upstream fix for call to unknown function in NetRW plugin.
    (Closes: #768467)

 -- James McCoy <jamessan@debian.org>  Tue, 31 Mar 2015 19:30:17 -0400

vim (2:7.4.488-6) unstable; urgency=medium

  * Build vim logo from the eps instead of pdf so the svg has the correct
    bounding box.  Thanks to Simon McVittie for the idea!  (Closes: #778477)
  * syntax/debchangelog.vim:
    + Recognize jessie, jessie-backports, and sid targets
    + Recognize binary-only=yes key value in debchangelogHeader

 -- James McCoy <jamessan@debian.org>  Sat, 21 Mar 2015 14:24:01 -0400

vim (2:7.4.488-5) unstable; urgency=medium

  * Install icons to the proper directory.  dh_install doesn't rename files,
    even though the last upload pretended it does.
    - Use upstream's icons and remove the ones in debian/
    - Add Build-Depends: pdf2svg to create a scalable icon

 -- James McCoy <jamessan@debian.org>  Wed, 11 Feb 2015 21:38:10 -0500

vim (2:7.4.488-4) unstable; urgency=medium

  * Move vim icon from vim-gui-common to vim-common since both vim.desktop and
    gvim.desktop use it.  (Closes: #773930)

 -- James McCoy <jamessan@debian.org>  Mon, 29 Dec 2014 23:13:17 -0500

vim (2:7.4.488-3) unstable; urgency=medium

  * Install icons to /usr/share/icons/hicolor to work around #765069.
    (Closes: #768256)

 -- James McCoy <jamessan@debian.org>  Sun, 30 Nov 2014 15:08:09 -0500

vim (2:7.4.488-2) unstable; urgency=medium

  * Actually fix the Name in vim.desktop.  (Closes: #769575)

 -- James McCoy <jamessan@debian.org>  Fri, 14 Nov 2014 21:06:27 -0500

vim (2:7.4.488-1) unstable; urgency=medium

  * Merge upstream tag v7-4-488
  * Fix the Name in vim.desktop.

 -- James McCoy <jamessan@debian.org>  Wed, 22 Oct 2014 21:07:59 -0400

vim (2:7.4.481-1) unstable; urgency=medium

  * Merge upstream tag v7-4-481
    + Updated Russian translation of vimtutor.  (Closes: #722673)
  * syntax/debcontrol.vim: Recognize https URLs for Vcs-Git.  (Closes:
    #763553)
  * debian/rules: Request all hardening features, other than fortify, from
    dpkg-buildflags.
  * Add codename for Ubuntu's next release, vivid.
  * Install a .desktop file for terminal vim.  (Closes: #760512)

 -- James McCoy <jamessan@debian.org>  Mon, 20 Oct 2014 23:26:20 -0400

vim (2:7.4.430-1) unstable; urgency=medium

  * Merge upstream tag v7-4-430
    + 7.4.397: Fix paren matching in zsh scripts.  (Closes: #754507)
    + Runtime updates:
      - Improve highlighting of Python's \N{…} sequences.  (Closes: #749175)
  * Add jessie release and remove EOLed saucy release from Debian runtime
    files.  (Closes: #753823)

 -- James McCoy <jamessan@debian.org>  Mon, 01 Sep 2014 04:11:24 -0400

vim (2:7.4.335-1) unstable; urgency=medium

  * Merge upstream tag v7-4-335
    + Avoid setting buftype=nofile for scp buffers.  (Closes: #743136)
    + Properly handle scp://user@host/ URLs  (Closes: #744111)
  * Remove EOLed Quantal release from Debian runtime files.
  * Transition from Lua 5.1 to Lua 5.2

 -- James McCoy <jamessan@debian.org>  Thu, 19 Jun 2014 23:02:17 -0400

vim (2:7.4.273-2) unstable; urgency=medium

  * syntax/debcontrol.vim:
    + Fix architecture orders to work with left-most regex matching.

 -- James McCoy <jamessan@debian.org>  Fri, 02 May 2014 00:17:48 -0400

vim (2:7.4.273-1) unstable; urgency=medium

  * Merge upstream tag v7-4-273
  * syntax/debcontrol.vim:
    + Correctly highlight any-x32 in Architecture field
    + Add ppc64el architecture
  * syntax/deb{changelog,sources}.vim:
    + Add codenames for Ubuntu's development release (devel, utopic)

 -- James McCoy <jamessan@debian.org>  Thu, 01 May 2014 21:50:24 -0400

vim (2:7.4.253-1) unstable; urgency=medium

  * Merge upstream tag v7-4-253
    + 7.4.252: Clear blink timer after removing it to avoid GLib-CRITICAL
      error.  (Closes: #743668)
  * rules: Explicitly disable SMACK on Linux, in favor of SELinux.

 -- James McCoy <jamessan@debian.org>  Mon, 07 Apr 2014 22:47:57 -0400

vim (2:7.4.225-1) unstable; urgency=medium

  * Merge upstream tag v7-4-225
    + Patches merged upstream:
      - upstream/python-ftplugin-include.patch and
        upstream/shadowdir-tests.diff
    + netrw: Don't try to access the clipboard when support isn't enabled.
      (Closes: #737530)
    + 7.4.209: Escape a repeated command when storing it for redo.  (Closes:
      #739656)
    + 7.4.222: Use RbConfig::CONFIG['rubyarchhdrdir'] to allow building Vim
      against Ruby 2.x.  (Closes: #739125)

 -- James McCoy <jamessan@debian.org>  Thu, 27 Mar 2014 22:13:31 -0400

vim (2:7.4.161-1) unstable; urgency=medium

  * Merge upstream tag v7-4-161
    + Fix loading of NetRW when editing a directory.  (Closes: #732091)
  * Update Ubuntu releases in Debian syntax files.
  * Add more debian-ports architectures to debcontrol syntax file.  (Closes:
    #722313)
  * ftplugin/debchangelog: Allow changing distribution from UNRELEASED.
    (Closes: #734267)
  * control: Bump Standards-Version to 3.9.5, no changes needed.
  * Add shadowdir-tests.diff to fix building in a shadow build directory.

 -- James McCoy <jamessan@debian.org>  Sun, 02 Feb 2014 19:27:58 -0500

vim (2:7.4.052-1) unstable; urgency=low

  * Merge upstream tag v7-4-052
    - Remove upstream/python-ftplugin-keywordprg.patch, merged upstream
  * debian/watch: Use the pasv option.
  * debian/control: Version the ruby1.8{,-dev} Build-Conflicts now that the
    Provides: have been dropped.

 -- James McCoy <jamessan@debian.org>  Wed, 09 Oct 2013 00:06:41 -0400

vim (2:7.4.027-1) unstable; urgency=low

  * Merge upstream tag v7-4-027
    + 7.4.003: Refresh a stale pointer in new regex engine to avoid
      dereferencing a freed pointer.  (Closes: #722081)
    + 7.4.024: Read an undo file owned by the current user, even if that
      differs from the owner of the edited file.  (Closes: #721944)
    + Use old regex engine for yamlBlockMappingKey highlighting to workaround
      performance problem with new engine.  (Closes: #719510)

 -- James McCoy <jamessan@debian.org>  Tue, 17 Sep 2013 20:29:24 -0400

vim (2:7.4.000-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Stop providing /usr/share/vim/vimcurrent.  It shouldn't be used by
    anything, since it's Debian specific, and the Vim packaging hasn't used it
    (other than documenting the location of debian.vim) for years.
  * Override spelling-error-in-binary … tEH the.

 -- James McCoy <jamessan@debian.org>  Sat, 10 Aug 2013 21:24:02 -0400

vim (2:7.4b.004-1) experimental; urgency=low

  * Merge upstream tag v7-4b-004
    + 7.4a.044: Clear window from b_wininfo in win_free().  (Closes: #717529)
  * debian/rules: Install Japanese translations of man pages.
  * Update path in binaries-have-file-conflict lintian override.
  * Use canonical URI for Vcs-*.

 -- James McCoy <jamessan@debian.org>  Fri, 02 Aug 2013 22:58:04 -0400

vim (2:7.4a.012-1) experimental; urgency=low

  * Merge upstream tag v7-4a-012
    + New NFA regex engine.  Vim automatically determines whether to use the
      new or old engine based on the pattern.  A specific engine can be
      forced with the 'regexengine' option or within a pattern using the \%#=
      atom.
    + Updated Perl syntax files
      - Adds support for Perl 5.10 syntax.  (Closes: #681606)
      - Fixes syntax highlighting when qq{} contains a } character.  (Closes:
        #598197)
    + Fix display of an empty entry in NetRW directory listing.  (Closes:
      #709101)
    + Recognize Ikiwiki's *.mdwn as markdown filetype.  (Closes: #672597)
    + 7.3.985: Call g_set_prgname() on startup to set a proper WM_CLASS.
      (Closes: #639925)
    + Source ~/.vim/vimrc or ~/.vim/gvimrc in favor of ~/.vimrc or ~/.gvimrc.
    + Update sh syntax file
      - Recognize when sh is dash and change the default behavior highlighting
        to be POSIX instead of Bourne.  (Closes: #712657, #699172)
      - Correctly highlight text after a "--".  (Closes: #713922)
  * debian/rules: Simplify version handling and bump for the pre-release.
  * Add shadowdir-fixes.patch, to fix test failures when building in a
    shadow directory.

 -- James McCoy <jamessan@debian.org>  Fri, 12 Jul 2013 22:30:28 -0400

vim (2:7.3.923-3) unstable; urgency=low

  * Build-Conflict against ruby1.8{,-dev} to work around incorrect ruby{,-dev}
    Provides (c.f., #710022).

 -- James McCoy <jamessan@debian.org>  Sun, 23 Jun 2013 22:12:29 -0400

vim (2:7.3.923-2) unstable; urgency=low

  * Fix FTBFS with M-A Python.  (Closes: #701513)

 -- James McCoy <jamessan@debian.org>  Sun, 26 May 2013 22:18:36 -0400

vim (2:7.3.923-1) unstable; urgency=low

  * Merge upstream tag v7-3-923
    + Updated documentation for Python syntax file.  (Closes: #613038)
    + NetRW no longer creates files in ~/.vim (or ~/.vim itself) if
      g:netrw_dirhistmax <= 0.  (Closes: #635984)
  * Remove EOLed Oneiric and Hardy releases from Debian runtime files.  Add
    Saucy and wheezy-backports.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Recognize “-b $branch” as part of a Vcs-Git field.  (Closes: #702751)

 -- James McCoy <jamessan@debian.org>  Sun, 05 May 2013 23:07:27 -0400

vim (2:7.3.831-1) experimental; urgency=low

  * Merge upstream tag v7-3-831
    + Merged patches:
      - upstream/debian-runtime-spell.patch, upstream/if_py-crash.patch,
        upstream/netrw-syntax-fix.patch, upstream/remove-py_config.patch
    + 7.3.607: Swap fg and bg colors for completion menu.  (Closes: #680772)
    + 7.3.750: Fix off-by-one error in justify macro.  (Closes: #620106)
    + 7.3.751: Retry test61 once if it fails.
      - Remove the explicit ignoring of test61 failures in debian/rules
  * Mark "DM-Upload-Allowed" in debian/control files as an "Error", since the
    field is no longer supported by the Debian archives.
  * Re-enable vim-gnome on m68k.
  * Update Ubuntu release names in Debian runtime files.

 -- James McCoy <jamessan@debian.org>  Thu, 21 Feb 2013 22:13:43 -0500

vim (2:7.3.547-7) unstable; urgency=low

  * Add vim-lesstif.preinst to handle transitioning /usr/share/doc/vim-lesstif
    from a symlink to a directory.  (Closes: #700069)
  * Add clarification to short description of vim-nox.  (Closes: #699780)

 -- James McCoy <jamessan@debian.org>  Sat, 09 Feb 2013 18:43:57 -0500

vim (2:7.3.547-6) unstable; urgency=low

  * Always enable ACL support.  (Closes: #693462)

 -- James McCoy <jamessan@debian.org>  Thu, 22 Nov 2012 09:37:52 -0500

vim (2:7.3.547-5) unstable; urgency=low

  * Use xz compression for all binary packages.  (Closes: #687265)
  * Backport patches 7.3.652 and 7.3.661 to fix crash in Python bindings when
    GCC 4.7 is used to build Vim.  (Closes: #678122)

 -- James McCoy <jamessan@debian.org>  Sat, 15 Sep 2012 23:59:18 -0400

vim (2:7.3.547-4) unstable; urgency=low

  * Add remove-py_config.patch, removing the dependence on Python's config.c.
    (Closes: #681599)

 -- James McCoy <jamessan@debian.org>  Mon, 23 Jul 2012 22:55:51 -0400

vim (2:7.3.547-3) unstable; urgency=low

  * Add netrw-syntax-fix.patch to fix a syntax error in NetRead's ftp
    handling.  (Closes: #678513)

 -- James McCoy <jamessan@debian.org>  Tue, 26 Jun 2012 19:14:28 -0400

vim (2:7.3.547-2) unstable; urgency=low

  * Work around GCC 4.7 optimization bug, #678122, by explicitly using gcc-4.6

 -- James McCoy <jamessan@debian.org>  Thu, 21 Jun 2012 22:28:51 -0400

vim (2:7.3.547-1) unstable; urgency=low

  * Merge upstream tag v7-3-547
  * Change ruby(-dev) Build-Depends to use unversioned package names in order
    to build with the default ruby version.
  * Add spell-check support to Debian control syntax file.

 -- James McCoy <jamessan@debian.org>  Wed, 06 Jun 2012 20:20:05 -0400

vim (2:7.3.524-1) unstable; urgency=low

  * Merge upstream tag v7-3-524
    + Recognize git commit files in submodules. (Closes: #663735)
    + Fix NetRW's munging of options when opening files.  (Closes: #661720)
    + 7.3.485: Use environment's LDFLAGS when building xxd.  (Closes: #663605)
    + Update recognized keywords for dircolors syntax.  (Closes: #660632)
  * Exclude the tools directory from the install.
    + Stop shipping scripts which use Perl4 functionality.  (Closes: #659431)
    + Remove lintian overrides for csh scripts.
    + Remove patch debian/awk-shebang.patch
  * Remove EOLed Lenny/Maverick releases, add Quantal release to runtime
    files.
  * Remove upstream/po-syntax-cpo.patch, merged upstream.
  * Remove upstream/debian-runtime-*.patch, merged upstream.
  * Remove upstream/fr-manpage-fixes.patch, merged upstream.
  * Remove upstream/xdefaults-syntax-define.patch, merged upstream.
  * Add lintian override for binaries-have-file-conflict.  vim-runtime diverts
    vim-tiny's doc/help.txt and doc/tags.
  * Remove unused menu-icon-missing override.

 -- James McCoy <jamessan@debian.org>  Thu, 24 May 2012 21:37:40 -0400

vim (2:7.3.429-2) unstable; urgency=low

  * Ignore failures in test61 since it is highly sensitive to timing.
    Slow/heavily loaded systems will cause the test to fail.  (Closes:
    #625941)
  * Install bug scripts with correct permissions.
    + Use dh_bugfiles to simplify process
    + Bump debhelper B-D to >= 7.2.3~

 -- James McCoy <jamessan@debian.org>  Fri, 10 Feb 2012 22:47:19 -0500

vim (2:7.3.429-1) unstable; urgency=low

  * Pull upstream tag v7-3-429
    + Updated sshconfig syntax file.  (Closes: #594296)
    + 7.3.365: Fix crash when using a large Unicode character with syntax
      highlighting.  (Closes: #657777)
    + Updated java indent file handles indentation of annotations.  (Closes:
      #519240)
  * Add new education and introspection sections to debcontrol syntax file.
    (Closes: #651381)
  * Update vim-common's mime information to handle only having vim-tiny
    installed.  (Closes: #654674)
    + Add test -x /usr/bin/vim for the vim entries.
    + Add lower-priority vi entries.
  * Use new --enable-fail-if-missing flag to make configure fail if an
    interpreter is enabled but configure test fails.
  * Add bug script to show what binaries the vi/vim/gvim symlinks point to.
  * Only use /u/s/dpkg/default.mk when available.
    + Reduce versioned B-D on dpkg-dev
    + Manually set relevant makefile variables if file isn't present
  * Add alternate libncurses5-dev B-D to ease backporting.

 -- James McCoy <jamessan@debian.org>  Sat, 04 Feb 2012 22:04:06 -0500

vim (2:7.3.363-1) unstable; urgency=low

  * Pull upstream tag v7-3-363
    + 7.3.358: Fix mouse handling since urxvt support.  (Closes: #647055)
  * Set vim-lesstif's section to oldlibs, as suggested by
    transitional-package-should-be-oldlibs-extra.

 -- James McCoy <jamessan@debian.org>  Wed, 30 Nov 2011 21:53:43 -0500

vim (2:7.3.346-1) unstable; urgency=low

  * Pull upstream tag v7-3-346
    + 7.3.337: Redraw the screen after resizing the terminal.  (Closes:
      #644668)
    + 7.3.343: Add mouse support for urxvt.
    + 7.3.344: Use read()/write() instead of fputs()/fread() to detect when
      the child GUI process has started.  (Closes: #644639)
  * Don't build vim-gnome on m68k, since the dependencies aren't available.
  * Update Debian runtime files for Precise Pangolin.  (Closes: #644489)
  * Use correct DEB_VERSION_* make variable for update-orig target.
  * Also use CPPFLAGS and LDFLAGS from /u/s/dpkg/buildflags.mk
  * Change libncurses5-dev B-D to libtinfo-dev.
  * Remove patch de.po-lesen.patch, merged upstream.
  * Set DEB_BUILD_MAINT_OPTIONS=hardening=-fortify so we don't override
    upstream's handling.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- James McCoy <jamessan@debian.org>  Thu, 20 Oct 2011 22:17:16 -0400

vim (2:7.3.333-1) unstable; urgency=low

  * Pull upstream tag v7-3-333
    + 7.3.318: Fix behavior of C on empty last line.  (Closes: #642432)
    + 7.3.323: Recognize a few more patterns for GCC error messages.  (Closes:
      #621693)
    + 7.3.333: Handle multi-byte characters when using `.' to repeat a
      command.  (Closes: #632542)
  * debian/rules: Remove debian/lintian/vim in clean-vim-basic
  * debian/rules: Include makefiles from dpkg-dev.
    + Bump dpkg-dev versioned B-D >= 1.16.1

 -- James Vega <jamessan@debian.org>  Tue, 04 Oct 2011 21:48:44 -0400

vim (2:7.3.315-1) unstable; urgency=low

  * Pull upstream tag v7-3-315.
    + 7.3.295: When select() is interrupted loop and try again.  (Closes:
      #627376)
    + 7.3.300: Python doesn't parse multi-byte argument correctly. (Closes:
      #638375)
  * Recognize armhf as an architecture in debcontrol files.  (Closes: #638873)
  * Fix typo in vim policy.  Thanks to Jakub Wilk for the patch.  (Closes:
    #640042)
  * Add GenericName field to desktop file. (Closes: #641037)
  * Use versioned ruby binary name to ensure we're getting the correct build
    flags.

 -- James Vega <jamessan@debian.org>  Sun, 18 Sep 2011 22:17:17 -0400

vim (2:7.3.280-1) unstable; urgency=low

  * Pull upstream tag v7-3-280.
    + Remove patches/crontab-syntax-case-ignore, merged upstream.
    + Remove patches/debcontrol-syntax-multiarch, merged upstream
    + Remove patches/dosini-syntax-hash, merged upstream
    + 7.3.261: Parse GCC 4.5+ "In file included from" messages correctly when
      using quickfix.  (Closes: #621693)
  * debian/control:
    + Add vim-lua Provides to packages which are built with lua bindings.
    + Add Lua to long description for the packages which provide the bindings.
  * Drop +hg~$hash from the version string now that upstream is tagging the
    minor updates.
  * Update Debian/Ubuntu codenames in debchangelog/debsources syntax files.
    (Closes: #624686)
  * Add support for architecture wildcards in debcontrol syntax file.  Thanks
    to Jakub Wilk for the patch.  (Closes: #624805)
  * Remove path and extension from Icon key in the desktop file.  Thanks to
    Michael Bienia for the patch.  (Closes: #624688, LP: #740842)
  * debian/watch: Change dversionmangle to just drop the patch version.
  * Make the leading XC- optional for the Package-Type header in debcontrol
    syntax file.  Thanks to Guillem Jover for the patch.  (Closes: #628763)
  * Improve syntax highlighting for automake files.  Based on a patch by
    Guillem Jover.  (Closes: #628759)

 -- James Vega <jamessan@debian.org>  Mon, 15 Aug 2011 06:35:08 -0400

vim (2:7.3.154+hg~74503f6ee649-2) unstable; urgency=low

  * Remove upstream/Makefile-parallel.patch as many parallel invocations of
    upstream's Makefile may result in multiple instances of cp trying to
    exclusively open src/auto/config.mk.
  * debian/rules: Add a src/auto/config.mk target which all configure-*
    targets have as a pre-requisite.

 -- James Vega <jamessan@debian.org>  Sun, 10 Apr 2011 17:43:21 -0400

vim (2:7.3.154+hg~74503f6ee649-1) unstable; urgency=low

  * Pull patches 036 - 154.  (Closes: #608390)
    + 7.3.042: Clear the spell checking info only when clearing the options
      for a buffer.  (Closes: #600688)
    + 7.3.088: Fix a sporadic crash when using Ruby bindings.  (Closes:
      #614336)
    + 7.3.091: Don't write special K_IGNORE codes when recording a Vim
      session.  (Closes: #608242)
  * debian/watch: Adjust dversionmangle to handle the hg naming.
  * Add upstream/es.po-recover.patch, which corrects the translation of the
    swap file recovery prompt.  Thanks to Vicente Couce Díaz for the patch.
    (Closes: #606947)
  * debian/rules:
    + Remove -Wl,--as-needed since upstream now uses that when available.
    + Disable dynamic loading of language bindings until a more robust method
      of handling their dependencies is determined.  (Closes: #611573)
  * Remove vim-lesstif package in favor of the new vim-athena package.
  * Add upstream/pythoncomplete-autoload-init.patch, which ensures PyParser's
    parserline variable is initialized.  Thanks to John Eikenberry for the
    patch.  (Closes: #608420)
  * Bump debhelper compatibility to 7.
    + Use dh_prep instead of dh_clean -k.
    + Bump debhelper Build-Depends to >= 7.
  * debian.vim: Remove BufRead autocmd which was incorrectly setting
    filetype=mail for reportbug.conf.  Reportbug's temp files are always
    reportbug-*.  (Closes: #621798)
  * Add upstream/debcontrol-syntax-multiarch.patch, which adds syntax
    highlighting of Multi-Arch fields in debian/control.  Thanks to Thomas
    Preud'homme for the patch.  (Closes: #621098)
  * debian/control:
    + Remove python3-dev Build-Depends since python3interp can only be enabled
      if dynamically loading the language binding libraries.
    + Change ruby Build-Depends to ruby1.8 since the unversioned packages are
      going away.
  * Add upstream/Makefile-parallel.patch, which adds the "shadow" target to
    the top-level Makefile so src/config.mk.dist is properly copied to
    src/auto/config.mk before invoking src/Makefile.  This fixes parallel
    builds since config.mk.dist was introduced.
  + Update Lintian overrides for the consistent path names in 2.5.0.

 -- James Vega <jamessan@debian.org>  Sat, 09 Apr 2011 19:18:27 -0400

vim (2:7.3.035+hg~8fdc12103333-1) unstable; urgency=low

  * Pull patches 001 - 035.
    + More robust YAML highlighting.  (Closes: #535682)
  * debian/rules:
    + Stop overriding CFLAGS on the command-line when invoking make.  Upstream
      enforces an upper-limit of 1 for _FORTIFY_SOURCE due to the use of
      flexible arrays in nested structs, which improperly cause Vim to crash
      with _FORTIFY_SOURCE=2.
    + Use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM to determine whether
      Linux-specific functionality is enabled.
    + Use dpkg-vendor to change build configuration when building on Ubuntu.
      Thanks to Michael Bienia for the patch.
  * Make helpztags capable of generating tags files for non-English help
    files.  (Closes: #600248)
  * Debian runtime:
    + Add natty as a recognized distribution.  (Closes: #600560)
    + Add metapackages as a recognized section.  (Closes: #600562)
    + Remove etch as a recognized distribution.
  * debian/control: Add dpkg-dev (>= 1.15.1) Build-Depends for dpkg-vendor.

 -- James Vega <jamessan@debian.org>  Mon, 25 Oct 2010 00:48:58 -0400

vim (2:7.3.000+hg~ee53a39d5896-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Explicitly use the dynamic loading Python interfaces.
    + Remove cleanup from clean target which are now properly handled by
      upstream's Makefile.
  * Update version information in documentation.

 -- James Vega <jamessan@debian.org>  Sun, 15 Aug 2010 17:34:02 -0400

vim (2:7.3f.20100812+hg~20e83abf88b1-1) experimental; urgency=low

  * Merge latest 7.3f pre-release.
    + Correctly restore multi-byte terminal titles when exiting Vim.  (Closes:
      #558153)
    + Highlight text inside math zones correctly for tex files.  (Closes:
      #509908)
    + Recognize nested cite regions in tex files.  (Closes: #444288)
    + Support syntax highlighting of bash's $"".  (Closes: #473736)
  * Patches merged upstream:
    + perl-indent-block.patch
    + logcheck-ftplugin.patch
    + tex-syntax-verbatim-spell.patch
  * Enable Lua scripting.
    + Add liblua5.1-0-dev and lua5.1 to Build-Depends.
    + Enable lua interface via dynamic loading.
  * Switch Perl interface to dynamic loading.
  * debian/rules: Prefer running tests with the vim-nox binary if it's
    available.
  * Bump Standards-Version to 3.9.1.0 -- no changes needed.

 -- James Vega <jamessan@debian.org>  Thu, 12 Aug 2010 20:01:43 -0400

vim (2:7.3b.20100720+hg~7b7508ee56f1-1) experimental; urgency=low

  * Merge 7.3b pre-release.
    + Don't run autocommands when being killed to avoid overrunning the stack.
      (Closes: #580961)
    + Detect when the recovered buffer matches the on-disk file and notify the
      user.  (Closes: #89359)
    + Update CMake runtime files.  (Closes: #463715)
    + Correctly set timestamp for X selection transfers.  (Closes: #577035)
    + Improve 'cindent's handling of javascript.  (Closes: #588875)
    + Correctly displays characters inserted via digraph sequences which wrap
      to a new line.  (Closes: #442184)
  * Patches merged upstream:
    + it-manpage-fixes.patch
    + lang-breaks-floating-point.patch
    + python-modlibs.patch:
      - Remove autoconf Build-Depends as configure.in isn't being patched
        anymore.
      - Remove autoconf-stamp pre-requisite for configure-stamp-% target.
  * Update debian/rules to handle the snapshot versioning.
  * Enable Python3 language interface.
    + Add python3-dev to Build-Depends.
    + Pass --enable-python3interp to configure when building variants with
      language interfaces enabled.

 -- James Vega <jamessan@debian.org>  Wed, 21 Jul 2010 00:12:19 -0400

vim (2:7.2.445+hg~cb94c42c0e1a-1) unstable; urgency=low

  * debian/control:
    + Use Breaks instead of Conflicts for the gvimtutor move.
    + Use linux-any wildcards for linux-specific Build-Depends.  (Closes:
      #587866)
    + Bump Standards-Version to 3.9.0.0.
  * Pull patches 439 - 445.
  * runtime/ftplugin/debchangelog.vim: Use “silent!” to avoid errors when
    disabling the menu.  Thanks to Jan Christoph Ebersbach for the patch.

 -- James Vega <jamessan@debian.org>  Sun, 11 Jul 2010 22:14:53 -0400

vim (2:7.2.438+hg~d44112feb815-5) unstable; urgency=low

  * Rework the diversion handling again.
    + vim-runtime.preinst: Add diversion on major version upgrades.
    + vim-runtime.postrm: Remove old diversion on major version upgrades.
    + vim-runtime Breaks vim-tiny less than the current source version.

 -- James Vega <jamessan@debian.org>  Sun, 13 Jun 2010 21:40:37 -0400

vim (2:7.2.438+hg~d44112feb815-4) unstable; urgency=low

  * vim-runtime.preinst: Use the right function name for removing diversions
    when upgrading across major versions.

 -- James Vega <jamessan@debian.org>  Sat, 12 Jun 2010 17:46:32 -0400

vim (2:7.2.438+hg~d44112feb815-3) unstable; urgency=low

  * vim-runtime.preinst:
    + Remove code handling the Etch->Lenny diversion fixup.
    + Add handling of diversions when upgrading across major versions.
  * vim-runtime.postrm: Remove diversions on abort-install and disappear.
  * Move gvimtutor to vim-gui-common from vim-runtime. (LP: #484851)
  * debian/control: Remove versioned relationships which are satisified in
    Lenny.

 -- James Vega <jamessan@debian.org>  Sat, 12 Jun 2010 10:09:56 -0400

vim (2:7.2.438+hg~d44112feb815-2) unstable; urgency=low

  * Fix FTBFS with parallel builds and using the autoconf target to update the
    configure script.

 -- James Vega <jamessan@debian.org>  Sat, 29 May 2010 00:14:01 -0400

vim (2:7.2.438+hg~d44112feb815-1) unstable; urgency=low

  * Pull patches 437 - 438.
    + 7.2.438: Fix crash when running “vim -r”.  (Closes: #583122)
  * Cherry-pick upstream/lang-breaks-floating-point.patch from upstream to
    prevent floating point functionality from breaking when the :lang command
    is issued.  (Closes: #582421)
  * Fix building against Debian's Python 2.6 package.  (Closes: #566842)
    + Cherry-pick upstream/python-modlibs.patch from upstream.
    + debian/control: Add autoconf to Build-Depends.
    + debian/rules: Re-generate configure at build time and remove on clean.

 -- James Vega <jamessan@debian.org>  Wed, 26 May 2010 19:34:27 -0400

vim (2:7.2.436+hg~e12b9d992389-1) unstable; urgency=low

  * Pull patches 331 - 436.
    + 7.2.367: Make xxd follow documented behavior when using “-r -p”.
      (Closes: #567041)
    + 7.2.405: Re-enable default value for IncSearch to allow highlighting of
      matched text when using :substitute's c flag.  (Closes: #572994)
    + 7.2.413: Largefile support for all Vim packages.  (LP: #128494)
    + 7.2.426: Require literal commas be escaped in 'langmap'.  (Fixes
      #233008, obviating upstream/langmap-comma-parsing.patch)
    + 7.2.429: Specifically check for ENOENT to decide a file doesn't exist.
      Also fixes the check for EFBIG/EOVERFLOW.  (Closes: #430205, #139510)
    + Updated runtime files:
      - Fix sqlcomplete's <Left>/<Right> maps so they don't interfere with
        normal usage.  (Closes: #560083)
      - Recognize Perl 5.10's “state” keyword.  (Closes: #499644)
      - Handle a wider variety of quoting operators in Perl.  (Closes:
        #561080)
  * debian/control:
    + Update Vcs-* to point to the Mercurial repository.
    + Bump Standards-Version to 3.8.4, no changes needed.
  * vim-policy: Update links to package descriptions and repository.
  * Reword presubj to provide a few methods for narrowing down the bug's
    cause.
  * debian/rules:
    + Specify STRIP=: when running upstream's install targets to prevent
      upstream's automatic stripping.
    + Pass the --with-modified-by to the Debian Vim maintainers list.
    + Remove git helper targets.
    + Remove get-orig-source target and related variables, since we're just
      using the upstream Mercurial repository.
  * debian/source/format: Switch to “3.0 (quilt)”.
  * debian/README.source: Update description according to the change to
    Mercurial and use of “3.0 (quilt)” source format.
  * runtime/ftplugin/debchangelog.vim: Update completion of Ubuntu bugs based
    on a patch from Michael Bienia.  (Closes: #566841)
  * runtime/syntax/{debchangelog,debsources}.vim: Remove intrepid and add
    maverick to the set of Ubuntu releases.
  * Use case-insensitive matching for month and day of week names in crontab's
    syntax file.  Thanks to Chris Butler for the patch.  (Closes: #568378)

 -- James Vega <jamessan@debian.org>  Tue, 18 May 2010 18:40:17 -0400

vim (2:7.2.330-1) unstable; urgency=low

  * [34a85b6] Update README for patches 285 - 330
    - [1aee41b] [7.2.294] when using TEMPDIRS dir name could get too long
      (Closes: #544682)
    - [f3ea2c2] [7.2.300] file descriptors not closed when executing external
      command (Closes: #290507)
    - [f3ce928] [7.2.324] a negative column argument in setpos() may cause a
      crash (Closes: #563071)
  * [fd76420] Sync runtime files
    - NetRW updated to handle 'equalalways' being set, but window sizes not
      being equal.  (Closes: #346089)
  * debian/control:
    - [49f131e] Add Depends: ${misc:Depends} to all binary stanzas.
    - [8973628] Bump Standards-Version, no changes required
    - [12ac9a3] Remove Pierre Habouzit from Uploaders.

 -- James Vega <jamessan@debian.org>  Thu, 14 Jan 2010 00:21:04 -0500

vim (2:7.2.284-1) unstable; urgency=low

  * syntax/debcontrol.vim:
    - [b997413] Add highlighting of Breaks field (Closes: #541989)
    - [05a38bf] Recognize lpia and kopensolaris-i386. (Closes: #543207)
  * [a85b832] Update README for patches 246 - 259
    - [669e098] [7.2.256] GTK font dialog doesn't have a default when
      'guifont' not set  (Closes: #307158)
    - [f4ed8fc] [7.2.257] GTK 2.17: lots of assertion error messages (Closes:
      #545168)
  * [83583c3] Add Ubuntu's next release, lucid, to the Debian-related runtime
    files.
  * [87f3b00] update-runtime: Use -A option for git-add so deleted files
    are committed.
  * [60cbb45] Sync runtime files
    - Updated remind.vim syntax file. (Closes: #536770)
    - Fix typos in Japanese vimtutor. (Closes: #539577)
  * [96dca67] Move html docs from /u/s/d/vim-common/html to /u/s/d/vim-
    doc/html.
  * [9fec1cd] Use usr_toc.html for the usermanual Index page.
  * [fbacb18] Update README for patches 268 - 284
    - [76d3dad] [7.2.283] GTK: changing font doesn't keep the window maximized
      (Closes: #466088)
  * [6e51684] debsources.vim: Recognize rc-buggy (alias for experimental).
    (Closes: #553525)

 -- James Vega <jamessan@debian.org>  Sun, 08 Nov 2009 16:51:59 -0500

vim (2:7.2.245-2) unstable; urgency=low

  * [5263ec7] Add Suggests: indent to vim-tiny since it will invoke indent
    when the user tries to re-indent text without 'equalprg' set. (Closes:
    #531647)
  * [f24fadd] Restore previous behavior of Vim looking for its (g)vimrc in
    $VIM for non vim-tiny packages.  Only vim-tiny will look in /etc/vimrc.

 -- James Vega <jamessan@debian.org>  Thu, 30 Jul 2009 16:14:44 +0200

vim (2:7.2.245-1) unstable; urgency=low

  [ James Vega ]
  * debian/rules:
    - [b131ea4] Remove SHELL=/bin/bash (again) along with the bashisms
    - [ac8c907] Build Vim to look for its (g)vimrc at /etc/vim/(g)vimrc, not
      in $VIM.  This allows Vim to find the files even if /usr isn't mounted,
      in preparation for moving vim-tiny to /bin.
    - [24ab3e8] Remove calls to dh_desktop since desktop files are now handled
      by triggers.
    - [67f3b5b] Only install the UTF-8 versions of the man pages (Closes:
      #527744)
  * Debian-related runtime files:
    - [3071077] Remove gutsy as a valid distribution -- EOLed.
    - [be3e3b7] Add avr32 as a valid architecture. (Closes: #528438)
    - [1e21fa5] Fix the upload target highlighting so experimental isn't
      flagged as an error. (Closes: #532027)
    - [9ed9ffd] Syntax highlight X[SB]-Python-Version and
      XSBC-Original-Maintainer. (Closes: #536657)
    - [ab86bac] Properly highlight comments in multi-line fields in
      debian/control.
  * [ea1da8a] Update README for patches 149 - 191
  * [f0b6a54] Update README for patches 192 - 196
  * [6c7d809] Update README for patches 197 - 209
  * [7489ef5] vim-variant.prerm: Cleanup of mis-handled alternatives is
    no longer needed
  * [7be3c83] vim-variant.postinst: Remove directory->symlink code from
    Etch
  * Lintian cleanups:
    - [0be1067] debian/control: Remove Priority fields from binary package
      stanzas if they're the same as the source package stanza.
    - [bfba0d4] debian/control: Add version for debhelper Build-Depends
    - [6fb245c] debian/control: Remove version for make Build-Depends
    - [d62624b] debian/control: Drop make from Build-Depends since we the
      version we were Build-Depending on is available in Lenny and it is a
      build-essential package.
    - [2fd98ed] Use “set -e” instead of passing -e on the shebang line for
      maintainer scripts.
    - [1759cb6] Fix hyphen-used-as-minus-sign in French man pages
    - [a749e25] Fix hyphen-used-as-minus-sign/manpage-has-errors-from-man in
      Russian man pages
    - [b9533d9] Fix hyphen-used-as-minus-sign in English man pages
    - [64aeabe] Fix manpage-has-errors-from-man in Polish man pages
    - [7125002] Fix hyphen-used-as-minus-sign in Italian man page
    - [4f9d282] Install upstream's README file which describes the patches
      made since the last major upstream release as the upstream changelog.
  * [fe81bdf] Restrict spell checking in matlab filetype to
    strings/comments (Closes: #509123)
  * [567c06a] Add debian/update-runtime script to automate syncing the latest
    runtime files from upstream's ftp site.
  * [6082754] Update README for patches 210 - 239
    - [ef67fb5] [7.2.221] X cut_buffer0 text may be used in the wrong encoding
      (Closes: #531372)
  * [f8033cf] Sync runtime files from upstream's ftp
    - Support automatically reading/writing lzma files (Closes: #535665)
  * [8132670] Make NRead's behavior for HTTP consistent across backends.  They
    will all download source by default but some can be configured to download
    rendered text. (Closes: #525422)
  * [cb968f3] Update README for patches 240 - 245
  * [e1e7abe] Sync runtime files from upstream's ftp
    - Add LocalCommand keyword to sshconfig.vim (Closes: #536299)

  [ Stefano Zacchiroli ]
  * [5f48b8d] Removing myself from Uploaders list.

 -- James Vega <jamessan@debian.org>  Wed, 29 Jul 2009 20:18:17 +0200

vim (2:7.2.148-2) unstable; urgency=low

  * [0657c8d] debian/rules: SHELL really does need to be bash...

 -- James Vega <jamessan@debian.org>  Sat, 18 Apr 2009 21:21:30 -0400

vim (2:7.2.148-1) unstable; urgency=low

  * [a97ec6d] Remove transitional vim-{full,perl,python,ruby,tcl}
    packages as they were simply needed for Etch -> Lenny transitions.
  * debian/control:
    - [d92f9ec] Set vim-dbg to Section: debug to match the override.
    - [5677315] Bump S-V to 3.8.1.0; no changes needed.
  * syntax/debcontrol.vim:
    - [8089fae] Update list of valid sections.  (Closes: #520041)
    - [2301bbd] Add kfreebsd-amd64 to architecture list.
  * [5474b86] syntax/debsources.vim: Enable spell-checking only for
    comments
  * [33a8ff5] helpztags: Sanity check filenames being processed.
    (Closes: #523963)
  * [502102f] Update README for patches 131 - 148
    - [f4547c6] [7.2.147] cursor in wrong position after Tab for small version
      (Closes: #506658)
  * [ab97c3c] Sync runtime files from upstream.
    - Correct checks which determine whether to use the c filetype for header
      files.  (Closes: #524338)
    - Properly escape filenames when deleting a file from NetRW.
      (CVE-2008-6235)
  * [1baf458] Add karmic as a valid distribution for Debian-related
    runtime files.
  * debian/rules:
    - [e8715d6] Remove stale comment and unnecessary use of bash as $SHELL
    - [b11bf9f] Build vim.pot for translations.
    - [665588f] update-orig will tag/archive either the upstream or
      upstream-runtime branch as the upstream source based on whether there
      are differences between the two.
  * [fd87319] compiler/javac.vim: Remove automatic appending of filename
    to compiler command as that removes flexibility from the user.  Re-opens
    #408338.
  * [5ef47fb] README.source: Update text to match current practice regarding
    generating the orig.tar.gz and branch merging.

 -- James Vega <jamessan@debian.org>  Sat, 18 Apr 2009 15:40:09 -0400

vim (2:7.2.130-1) unstable; urgency=low

  * [3694d28] Update README for patches 80 - 093
  * [7a0baa7] update-patches: Redirect `which' output to /dev/null
  * [6313a2e] Remove sarge and add squeeze to the Debian syntax files
  * [5623ecb] Update README for patches 94 - 108
  * [a80edd8] syntax/fstab.vim: Recognize ext4 related options (Closes:
    #512550)
  * [813748e] Update README for patches 109 - 130
    - [9cff935] [7.2.130] Vim may haing until CTRL-C is typed when using
      CTRL-Z  (Closes: #516580)

 -- James Vega <jamessan@debian.org>  Thu, 05 Mar 2009 08:58:23 -0500

vim (2:7.2.079-1) unstable; urgency=low

  * [4d191a4] Update README for patches 50 - 065
  * [37bd8e4] Update README for patches 66 - 079
    - [43035e4] [7.2.068] error when Emacs tags file line is too long (Closes:
      #507116)
  * debian/update-patches:
    - [38e4f12] die if lftp isn't installed
    - [fe1a8f1] Set GIT_AUTHOR_DATE when committing upstream patches
  * [b5182c2] Fix a few typos in the French translation (Closes:
    #511002)
  * [75a19d8] vim-runtime: Remove old version diversions in postinst
    (Closes: #503757)
  * [b170d58] debian/rules: Call dh_desktop for vim-gui-common

 -- James Vega <jamessan@debian.org>  Sun, 11 Jan 2009 13:25:53 -0500

vim (2:7.2.049-2) unstable; urgency=low

  * [444b68d] syntax/python.vim: Add missing contained keyword for
    pythonDecoratorName (Closes: #504510)

 -- James Vega <jamessan@debian.org>  Sun, 30 Nov 2008 12:42:01 -0500

vim (2:7.2.049-1) unstable; urgency=low

  [ James Vega ]
  * [9525410] Remove EOLd feisty and add jaunty to
    syntax/{debchangelog,debsources}.vim
  * [c154fa3,606fc00] Update README for patches 026 - 049
  * [233b1c9] Add recognition of PRUNENAMES variable to syntax/updatedb.vim
    (Closes: #504084)
  * [f7bfa57] Don't install vim alternatives for vim-tiny.  vim-tiny is built
    to act like vi, so the vim alternative just causes more confusion than
    it's worth (by default).
  * [f0116b4] Make vim-runtime Conflict vim-tiny << ${source:Version} to
    ensure diversions don't cause problems when upgrading to a new major
    upstream version.  (Closes: #503757)
  * [401c913] Include rgb.txt in vim-runtime (Closes: #505069)
  * [045810d] Fix a typo in ftplugin/gitcommit.vim's comments... (Closes:
    #505165)
  * [b4fe540,3454e66] Correctly highlight Python decorator names. (Closes:
    #504510)

  [ Stefano Zacchiroli ]
  * [64d3690] policy: bump version and copyright year

 -- James Vega <jamessan@debian.org>  Tue, 25 Nov 2008 23:38:38 -0500

vim (2:7.2.025-2) unstable; urgency=low

  * Remove "deprecated" warnings about (g)vimrc.local from /etc/vim/(g)vimrc.
  * src/if_python.c: Strip empty directories from Python's sys.path to prevent
    Vim from using its current working directory as a module import path.
    (Closes: #493937)
  * debian/rules: Do not run tests in parallel as that may interfere with
    their results.

 -- James Vega <jamessan@debian.org>  Mon, 20 Oct 2008 12:13:42 -0400

vim (2:7.2.025-1) unstable; urgency=low

  [ James Vega ]
  * New upstream patches (011 - 025), see README for details.
  * debian/update-patches:
    - Clear $snapshot since 7.2 was released
    - Handle the -- arg that git-sh-setup adds.
    - Adjust git-sh-setup usage for git 1.6.
  * Add logcheck ftplugin/detection to set tw=0.  (Closes: #382986)
  * Fix a typo in the Spanish vimtutor.  (Closes: #495298)
  * Lintian fixes:
    - Remove gvim.desktop's "Encoding" key.
    - Add #DEBHELPER# to vim-common.preinst.
    - Add "set -e" to the maintainer scripts which were lacking it.
  * debian/rules: Remove the phony install-stamp target.  Thanks to Bernhard
    Link for pointing this out.
  * debian/control: Remove unnecessary lynx Build-Depends.
  * debian/policy/Makefile: Use $(INSTALL_STUFF) to refer to the generated
    files in all targets.
  * debian/runtime/vimrc.in:
    - Use lastest last-position-jump snippet and keep it on one line
    - Remove the "in terminals" qualification of the 'mouse' option
  * debian/runtime/debian.vim: Set the papersize without using the shell.
    Thanks to Matt Wozniski for the idea.
  * debian/vim-runtime.preinst.in: Actually populate $inst and compare it
    against a valid state.
  * runtime/ftplugin/perl.vim: Remove Debian-specific keywordprg setting since
    upstream added their own.

 -- James Vega <jamessan@debian.org>  Sun, 12 Oct 2008 15:16:18 -0400

vim (2:7.2.010-2) unstable; urgency=low

  * src/normal.c: Only use the word under the cursor when constructing the
    'keywordprg' command.
  * debian/control: Remove unnecessary lynx Build-Depends.
  * Add missing "set -e" to vim-common and vim-runtime maintainer scripts.

 -- James Vega <jamessan@debian.org>  Fri, 03 Oct 2008 12:03:03 -0400

vim (2:7.2.010-1) unstable; urgency=low

  * New upstream patches (1 - 10), see README.gz for details.
    - 7.2.010 correctly escapes the visually selected text used by the K
      command.  (CVE-2008-4101, Closes: #500381)
  * Add note to NEWS about how to re-enable filetype plugins.

 -- James Vega <jamessan@debian.org>  Sat, 27 Sep 2008 14:56:03 -0400

vim (2:7.2.000-3) unstable; urgency=low

  * Add vim-runtime.preinst to handle removing /etc/vim/vimrc.tiny when
    upgrading to 1:7.1.293-2 or later.  The conffile was moved to vim-tiny and
    therefore needs to be removed before the new vim-tiny is installed so dpkg
    forgets about it.  (Closes: #499451)

 -- James Vega <jamessan@debian.org>  Mon, 22 Sep 2008 02:01:47 -0400

vim (2:7.2.000-2) unstable; urgency=low

  * src/main.c: After further discussion with upstream, revert behavior of
    -N/-C causing (no)compatible to be set after all startup files/plugins are
     sourced, c.f. #438560.
  * debian/NEWS: Remove entry from a test build
  * debian.vim: Remove commented out settings since this isn't meant to be
    modified by users.
  * /etc/vim/vimrc: Update filetype plugin comment to correctly state that
    filetype plugins aren't enabled by default.

 -- James Vega <jamessan@debian.org>  Wed, 13 Aug 2008 21:09:06 -0400

vim (2:7.2.000-1) unstable; urgency=low

  * New upstream release (7.2)
  * debian/vim-runtime.preinst: Handle a couple of cases where files are
    left-behind or diversions setup incorrectly if vim-tiny was currently
    installed during the transition to vim-runtime Replacing vim-tiny.
    (Closes: #492450)

 -- James Vega <jamessan@debian.org>  Sun, 10 Aug 2008 20:22:02 -0400

vim (2:7.2c.000-1) experimental; urgency=low

  * New upstream release candidate.
    - 7.2b.026 fixes continuous disk activity after using GTK2's "Recent
      Files" selector.  (Closes: #456897)
    - runtime/syntax/zsh.vim: Fixed highlighting of "here-string" redirection.
      (Closes: #482373)
  * runtime/filetype.vim: Remove duplicate apache filetype detection.
  * runtime/autoload/netrw.vim: Fix deletion of incorrect file in wide display
    listing.  Using Jan Minář's patch from the vim-dev list.  (Closes:
    #492519)
  * debian.vim: Do not enable 'autoindent' and filetype plugins by default.
  * vim-runtime.preinst: Use proper invocation of dpkg-divert when removing
    diversions.
  * README.Debian: Note that securemodelines is in vim-scripts.
  * runtime/syntax/tex.vim: Revert diversions from upstream for packages
    upstream author doesn't support.
  * debian/rules: Instruct configure not to look at /usr/local for
    includes/libs.

 -- James Vega <jamessan@debian.org>  Thu, 07 Aug 2008 12:25:41 -0400

vim (2:7.2b.001-1) experimental; urgency=low

  [ James Vega ]
  * New upstream release candidate and patch (001), see README.gz for details.
    - 7.2a.004 use wget/curl/fetch if available for downloading spellfiles.
      (Closes: #487221)
    - runtime/autoload/netrw.vim:
      + No longer creates an "undeletable" buffer when 'hidden' is set.
        (Closes: #482776)
      + Screen is redrawn after invoking external file handler.  (Closes:
        #487120)
      + Hidden files are correctly opened when using NetRW's wide listing.
        (Closes: #487385)
      + Escaping of filenames cleaned-up which allows opening BTS attachments
        again.  (Closes: #488557)
    - runtime/autoload/netrwsettings.vim: Remove use of non-existent
      variables.  (Closes: #488881)
    - runtime/syntax/sh.vim
      + Use stricter matches for shell loop control.  (Closes: #486114)
  * Bump epoch and use a saner format for the snapshot versioning.
  * runtime/syntax/debcontrol.vim: Hilight DM-Upload-Allowed in control files
    (Closes: #485119)
  * runtime/filetype.vim:
    - Udev filetype detection should match /etc/udev/*.rules not /etc/udev.d
    - Remove duplicate debcontrol detection
    - Detect .ptl files as python.  Thanks to Santiago Ruano Rincón for the
      patch.  (Closes: #399784)
  * debian/control:
    - Add libxt-dev Build-Depends.
    - vim-runtime Depends dpkg (>= 1.14.20) for sane dpkg-divert behavior.
  * debian/rules:
    - Update handling of DEB_BUILD_OPTIONS according to policy 3.8.0
    - Explicitly call upstream's installgtutorbin target
    - Add a manpage for gvimtutor by symlinking to the vimtutor manpage.
    - Remove needless branch checkouts from update-orig target.
  * debian/update-patches:
    - Update for 7.2b beta.  Cleanup some code.
    - Redirect git-show's stderr to /dev/null.
    - Remove an erroneous comment.
    - Include the patch number in the summary.
    - Use git add debian/README instead of specifying the file to git-commit
    - Fix syntax of an if block.
    - Ignore leading 0's in patch numbers so they aren't treated as octal.
    - Improve handling when fetching the first patch to a new release.
  * debian/vim-runtime.links: Add gvimtutor.1 symlink.
  * debian/vim-runtime.install: Use the upstream-installed gvimtutor instead
    of the one from the src directory.
  * debian/vim-common.install: Explicitly list which manpages are installed to
    vim-common instead of installing all of /usr/share/man and sorting it out
    in debian/rules.
  * debian/vim-common.links: Remove listed symlinks which are generated by
    debian/rules.
  * runtime/syntax/debcontrol.vim: Accept http URIs as valid for Vcs-Git.
    Thanks to martin krafft for the patch.  (Closes: #489853)
  * runtime/tools/vimm: Use printf instead of echo to avoid bashisms.
    (Closes: 489667)
  * src/ui.c: Remove "#if defined" checks around check_col/check_row
    definitions to fix a compile error when building vim-tiny.
  * debian/vim-runtime.preinst, debian/vim-runtime.postrm:
    - Remove special handling of adding/removing diversions now that
      dpkg-divert behavior is fixed (and migrated).
    - Add vim72a to the list of previous diversions to remove on upgrade (if
      only dpkg handled diversions internally...)

  [ Gerfried Fuchs ]
  * runtime/syntax/debchangelog.vim: package names are allowed to start off
    with alphanumeric, not only alpha.

 -- James Vega <jamessan@debian.org>  Mon, 14 Jul 2008 10:38:52 -0400

vim (1:7.2.0~a-1) experimental; urgency=low

  * New upstream release candidate.
    - Setting 'pastetoggle' to a multi-key string works again.  (Closes:
      #424033)
    - Match offsets work correctly with multi-byte characters.  (Closes:
      #441785)
    - GNU Screen is detected as supporting xterm mouse codes.
  * Merged upstream:
    - src/spell.c: Check for EOF while reading the spelllang file in case it
      is a corrupt file.
  * debian/README:
    - Removed until upstream adds one for 7.2
  * debian/rules:
    - Update upstream version to 7.2a snapshot
  * debian/vim-runtime.preinst:
    - The diversions we use are under a versioned directory based on the major
      upstream version.  Need to remove the diversions for the vim71
      directory.
  * Change the shebang lines in all maintainer scripts back to #!/bin/sh since
    we no longer use bashisms.
  * debian/lintian/vim-runtime:
    - Generate this file in debian/rules so the override always has the right
      versioned directory.

 -- James Vega <jamessan@debian.org>  Thu, 26 Jun 2008 12:49:16 -0400

vim (1:7.1.314-3) unstable; urgency=high

  * Update runtime files affected by the filename escape vulnerability.
    (CVE 2008-2712, Closes: #486502)
  * debian/vim-runtime.preinst:
    - Only add the diversions if the preinst is called with the "install" or
      "upgrade" (to handle the previous mishandling in postrm) arguments.
  * debian/vim-runtime.postrm:
    - Only remove the diversions if the postrm is called with the "remove"
      argument.  (Closes: #486446)
  * runtime/menu.vim:
    - Escape the buffer name when using the "Window -> Split File Explorer"
      menu item.  (Closes: #486417)

 -- James Vega <jamessan@debian.org>  Tue, 17 Jun 2008 11:12:18 -0400

vim (1:7.1.314-2) unstable; urgency=low

  * debian/rules:
    - Tell configure to only check the GUI toolkit specific to the variant
      being built.  (Closes: #486319, #486336)
  * runtime/ftplugin/debchangelog.vim:
    - Merge Launchpad bug completion from Ubuntu.
    - Specify the full path when calling apt-listbugs instead of relying on
      /usr/sbin being in the user's path.
    - Improve error handling for Launchpad bug completion.

 -- James Vega <jamessan@debian.org>  Sun, 15 Jun 2008 12:42:38 -0400

vim (1:7.1.314-1) unstable; urgency=low

  * New upstream patches (294 - 314), see README.gz for details.
    - SELinux support merged upstream
  * Update NetRW to version 125n (pre-release).
    - Calculate length of multi-byte strings properly.  (Closes: #474609)
    - Display/navigate symlinks to directories properly.  (Closes: #474980)
  * Update vim-git runtime files.
  * debian/update-patches:
    - Fix determination of patch level from last commit.
    - Use debian:debian/README to determine current patch level.
    - Don't exit on error since that prevents correcting merges.
    - Use a standard commit message for debian/README.
  * runtime/ftplugin/debchangelog.vim:
    - NewVersion() should only call foldopen if folding is enabled.
  * runtime/macros/justify.vim:
    - Calculate strlen for multi-byte strings properly.  (Closes: #481115)
  * debian/rules:
    - Make use of upstream's "shadow" directories so the variants can be built
      in parallel.
    - Remove .NOTPARALLEL to allow parallel building.
    - Remove useless dh_shlibdeps call in the binary-indep target.
    - Remove autoconf-stamp target since we're no longer patching configure.
  * debian/vim-runtime.install:
    - Add new gvimtutor to vim-runtime package.
  * Very carefully divert vim-tiny's help.txt and helptags so they will still
    be in place if vim-runtime is removed.
  * debian/control:
    - Remove vim-runtime's Replaces of vim-tiny since the conflicting files
      are now handled by diversions.

 -- James Vega <jamessan@debian.org>  Tue, 10 Jun 2008 22:28:10 -0400

vim (1:7.1.293-3) unstable; urgency=low

  * runtime/syntax/debchangelog.vim,debsources.vim:
    - Update the list of supported Ubuntu releases.
  * debian/policy/vim-policy.xml:
    - Remove svn keywords since it's not being stored in svn anymore.
  * debian/vim-variant.postinst:
    - Remove switching on $1 since it's safe to always add the alternatives.
  * debian/vim-variants.prerm:
    - Add removal of alternatives during deconfigure.  (Closes: #411697)
  * debian/README.Debian:
    - Add information about mimicing Vim's default modeline behavior and the
      securemodelines plugin.  (Closes: #479060)
  * debian/rules:
    - Separate build-arch and build-indep targets so Vim's policy document
      aren't built on the buildd's (thus avoiding the openjade segfault on
      arm).
  * debian/control:
    - Move docbook-utils and docbook-xml to Build-Depends-Indep
  * src/if_python.c:
    - If building against Python 2.5, use ssize_t instead of int according to
      PEP 353.

 -- James Vega <jamessan@debian.org>  Sun, 04 May 2008 14:11:17 -0400

vim (1:7.1.293-2) unstable; urgency=low

  * debian/rules:
    - Fix expansion of @VIMCUR@ in vimrc.tiny.  Based off a patch by Daniel
      Hahler.  (Closes: #477379)
    - Create a separate install-stamp-vim-tiny target.
    - Add the proper lines for vimrc.tiny to vim-tiny.{install,links} in the
      install-stamp-vim-tiny target.
  * debian/control:
    - Correct the vim-common and vim-runtime descriptions with regard to
      vimtutor.
    - Add Conflicts/Replaces to vim-tiny against vim-common since
      /etc/vim/vimrc.tiny is moving to the vim-tiny package.
  * runtime/syntax/messages.vim:
    - Support highlighting of RFC3339 timestamps.  (Closes: #475568)
  * runtime/scripts.vim:
    - Detect Mozilla Thunderbird's mbox file as mail filetype.  Thanks to
      Kevin B. McCarty for the patch. (Closes: #475300)
  * runtime/filetype.vim:
    - Add detection of more passwd/shadow related files.  Based on a patch by
      Jarek Kamiński. (Closes: #420304)
    - Improve filetype detection of strace logs.  Thanks to Philipp Marek for
      the patch. (Closes: #473967)
    - Add filetype detection of more Apache config files.  Thanks to Josh
      Triplett and Xavier Guimard for the patch. (Closes: #421312)
    - Fix a missing comma in the cron filetype detection.

 -- James Vega <jamessan@debian.org>  Wed, 23 Apr 2008 13:46:26 -0400

vim (1:7.1.293-1) unstable; urgency=low

  * debian/control:
    - Add Provides for vim-{ruby,python,perl,tcl} to any variant that supports
      those language bindings since some packages benefit from being able to
      specify a Depends on a vim package with support for a specific language.
    - Only Build-Depend on libselinux1-dev for linux systems.
    - Remove Provides from the transition packages.
  * runtime/filetype.vim:
    - Use "setf" instead of "set ft" when setting the filetype to git so that
      we don't override another filetype which may have been set during
      filetype detection.
  * runtime/syntax/debchangelog.vim:
    - Cleanup the list of recognized releases and add
      oldstable-proposed-updates/proposed-updates.

 -- James Vega <jamessan@debian.org>  Tue, 15 Apr 2008 22:19:36 -0400

vim (1:7.1.291-1) unstable; urgency=low

  * Lintian cleanups
    - Change doc-base section to Editors.
    - Remove Encoding key from desktop entry.
  * New upstream patches (286 - 291), see README.gz for details.
  * Add SELinux support  (Closes: #474102)
    - Vim patch taken from Fedora's Vim packaging
    - Thanks to Vaclav Ovsik for the patch to the Debian packaging.
  * Fix indentation of Perl files when folding is enabled.  Thanks to Gregory
    Hainaut for the patch.  (Closes: #473660)
  * debian/control:
    - Add libselinux1-dev and autoconf Build-Depends.
  * debian/rules:
    - Rule & dependency added for rebuilding src/auto/configure.
    - Add update-orig target to prep a new upstream+patches orig.tar.gz for
      release.

 -- James Vega <jamessan@debian.org>  Tue, 08 Apr 2008 02:24:11 -0400

vim (1:7.1.285-1) unstable; urgency=low

  * Repack upstream tarball so we're no longer using tarball(s)-in-tarball.
  * New upstream patches (267 - 285), see README.gz for details.
    - 7.1.277 adds recognition of a few extra groff macros (TP, HP, Pp, Lp,
      and It) in the default 'paragraphs' option.  (Closes: #468924)
  * Updated runtime files:
    - syntax/sh.vim:
      + No longer mishighlight parenthetical expressions inside arithmetic
        expansions.  (Closes: #468366)
    - syntax/debcontrol.vim:
      + Fix syntax highlighting for Vcs-Svn field to accept svn+ssh and remove
        the leading "svn+" from http URLs.  (Closes: #472201)
    - syntax/debsource.vim:
      + Add lenny as a recognized distribution.
      + Add debtorrent, ssh, rsh, cdrom, and copy URIs.  (Closes: #471556)
    - filetype.vim
      + Add .dpkg-{old,dist} to the list of extensions which are ignored
        when determining filetype.  (Closes: #421314)
      + Recognize /etc/cron.d/* as crontab filetype. (Closes: #472375)
    - Change the debchangelog and debcontrol ftplugins to require enabling of
      folding instead of folding by default.
  * Make debian/tiny/vimrc.tiny.diff a proper patch that is always applied and
    update it to only be enabled when TINY_VIMRC is defined.
  * debian/rules:
    - Remove the special-case targets for vim-tiny and add -DTINY_VIMRC to the
      CFLAGS used when building vim-tiny.
    - Cleanup dead/useless code from the makefile.
    - Restrict 'make test' from running unless build and host types are the
      same.
    - Allow vim-gnome to build on non-linux-gnu systems.
    - Only enable gpm on linux-gnu systems.
    - Automatically specify the Vim version when generating helpztags.1.
    - Add .NOTPARALLEL target.
    - Only run 'make distclean' if configure has already been run.
    - Remove patch, unpatch, extract targets/prerequisites now that the
      upstream source is directly unpacked in the tarball.
    - Simplify get-orig-source so there's only one set of commands that
      are run regardless of whether it's a normal or snapshot release.
  * debian/control:
    - Remove the [!hurd-i386] qualifier from libgnomeui-dev Build-Depend.
    - Remove quilt from Build-Depends.
    - Change Vcs-* fields to point at the git repo.
  * Adjust 'modeline' help to indicate that Debian defaults it to off.
  * Update README.Debian and FAQ to reflect the deviation from
    upstream's 'modeline' default. (Closes: #472522)
  * Remove NEWS entries relevant to stable or earlier releases.

 -- James Vega <jamessan@debian.org>  Sun, 30 Mar 2008 12:39:51 -0400

vim (1:7.1-266+1) unstable; urgency=low

  [ James Vega ]
  * New upstream patches (246 - 266), see README.gz for details.
    - 7.1.265 fixes an infinite loop when <Space> is included in 'isfname' and
      the user tries to complete a filename.  (Closes: #465163)
    - 7.1.266 fixes an issue where Vim would stop parsing a terminal response
      early, causing the rest of the response to be interpreted as key presses
      from the user.  (Closes: #466789)
  * debian/control:
    - Build-Depend on tcl-dev instead of tcl8.4-dev per Tcl/Tk policy.
  * Added patches:
    - make.vim-syntax.diff:
      + Add recognition of more function names.  (Closes: #465912)
  * Removed patches:
    - configure-tcl_detection.diff:
      + Accepted upstream and merged as 7.1.257
  * Add debian/watch file.
  * debian/rules:
    - Add a get-orig-source target.

  [ martin f. krafft ]
  * add Tim Pope's vim-git integration (v1.1, commit a53cabb) to vim-runtime.

  [ James Vega ]
  * Correct a typo in /etc/vim/vimrc's (Closes: #467057) and eval.txt's (via
    new last-position-jump.diff patch) 'last-position-jump' code snippet which
    would cause it to fail if the g key were remapped.
  * runtime/syntax/debcontrol.vim:
    - Ignore case for control file keys
    - Match case for control file values
    - Improve syntax matching for Vcs-Svn, Vcs-Git, and Vcs-Cvs field values.
    - Match URLs for Vcs-Arch, Vcs-Bzr, Vcs-Darcs, Vcs-Hg.
    - Recognize more fields as multi-line.
    - Use the 'keepend' qualifier for the Vcs-* syntax regions to prevent
      mishighlighting of debcontrolHTTPUrl matches.  (Closes: #466338)
  * debian/control:
    - Add "Provides: vim" to all vim variant packages.  (Closes: #447714)

 -- James Vega <jamessan@debian.org>  Wed, 27 Feb 2008 12:12:26 -0500

vim (1:7.1-245+1) unstable; urgency=low

  * New upstream patches (242 - 245), see README.gz for details.
    - 7.1.244 fixes an issue where a maximized gvim window would size itself
      larger than the size of the workspace, cutting off part of the
      command-line.  (Closes: #378311)
  * debian/control:
    - Add libacl1-dev to Build-Depends so it actually builds with acl support.
      Thanks to Lucas Nussbaum's dirty chroot builds for noticing this.
    - Change TCL to Tcl in the package descriptions.
  * New patches:
    - option.c-langmap_comma.diff:
      + Improves parsing of 'langmap' to follow the behavior specified in the
        help.  Commas need to be escaped if they're being used literally
        instead of as a list separator.  (Closes: #233008)
    - commandline-compatible.diff:
      + If either -N/-C options are given on the command line, set
        'nocompatible'/'compatible' after sourcing of the startup files
        finishes.  (Closes: #438560)
  * Refreshed patches:
    - vimrc.tiny.diff
  * Register the justify and editexisting plugins for use with
    vim-addons-manager.
    - justify.vim right and left aligns text by inserting extra spaces into
      the specified text.  (Closes: #431945)
    - editexisting.vim will attempt to bring a running gvim to the foreground
      if 1) only one filename was given when invoking Vim and another Vim
      instance is editing it or 2) a swapfile for a file exists.  (Closes:
      #316541)
  * debian/rules:
    - Add patch/unpatch targets.
    - Fix how quilt is invoked so it doesn't use the local user's settings.
      Thanks to Teemu Likonen for the patch.  (Closes: #463775)
  * debian/copyright:
    - Adjust copyright string (capitalize the C) so it's recognized by
      Lintian.

 -- James Vega <jamessan@debian.org>  Mon, 11 Feb 2008 10:27:17 -0500

vim (1:7.1-241+1) unstable; urgency=low

  * New upstream patches (232 - 241), see README.gz for details.
  * Remove vim-gui-common.menu and provide one menu file for each gvim
    package.  (Closes: #461805)
  * debian/control:
    - Re-add ruby1.8 Build-Depends since that's required for Vim to detect
      that it can build with Ruby support.  (Closes: #462284)
  * Updated patches:
    - netrwPlugin.vim-bwipe.diff:
      + Do a full refresh of NetRW since the functionality is spread out among
        multiple files.
    - python.vim-ftplugin_include.diff:
      + Fix an unescaped backslash so the option correctly matches whitespace
        instead of the letter s.
  * Removed patches:
    - patches/ruby.vim-ftplugin_ri.diff:
      + The ruby.vim in 7.1 already handles what the feature the patch was
        adding.  (Closes: #462418)

 -- James Vega <jamessan@debian.org>  Thu, 24 Jan 2008 16:54:49 -0500

vim (1:7.1-231+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (176 - 231), see README.gz for details.
    - 7.1.227 fixes an issue where syntax highlighting could cause Vim to
      hang.  (Closes: #400771)

  [ James Vega ]
  * debian/control:
    - Bump policy version to 3.7.3.0 - no changes needed.
    - Drop Build-Conflicts on old version of libperl-dev.
    - Drop versioning from Build-Depends that are available in Sarge.
    - Drop unnecessary ruby and perl Build-Depends.
    - Suggest ttf-dejavu instead of ttf-bitstream-vera for the gvim packages.
      (Closes: #461295)
    - Remove dpkg Pre-Depends now that dak is accepting data.tar.bz2.
  * runtime/syntax/debchangelog.vim:
    - Adjust the "Closes" syntax highlighting to allow newlines as part of the
      whitespace.  (Closes: #460074)
    - Recognize lenny-backports/lenny-volatile.  (Closes: #461059)
  * runtime/syntax/debcontrol.vim: Add s390x, sh3, sh3eb, sh4, sh4eb to the
    list of recognized architectures.  (Closes: #455993)
  * Added patches:
    - configure-tcl_detection.diff:
      + Update Vim's configure script to detect Tcl again after the Tcl
        maintainers' decision to move /usr/lib/tcl8.4/ to
        /usr/share/tcltk/tcl8.4/.
    - tex.vim-syntax_additions.diff:
      + Disable spell checking for verbatim sections.  (Closes: #445295)
    - netrwPlugin.vim-bwipe.diff:
      + Call bwipe when opening file:// URLs to remove the extra buffers that
        get created.  Their creation is inevitable but this will clean up the
        buffer list.  (Closes: #370082)
    - filetype.vim-udev.d.diff:
      + Detect /etc/udev.d/*.rules files as 'udevrules' instead of 'hog'
        filetype.  (Closes: #437434)
    - vimspell.sh-typo.diff:
      + Fix a missing end-quote in tools/vimspell.sh.
    - mve.awk-interpreter.diff:
      + Adjust the #! line to use awk instead of nawk.
  * Updated patches:
    - fstab.vim-syntax.diff:
      + Added more sshfs support based on feedback from upstream.
  * Removed patches:
    - gui_gtk_x11.c_g_thread_init.diff:
      + This patch was initially added to silence a GLib warning (#428854)
        which isn't occurring anymore.
  * Stop removing vimspell, vim132, and maze from the runtime tools/
    directory.  The issues leading to their removal should be addressed
    instead of removing them from the package.
    - vimspell - The tempfile vulnerability (CAN-2005-0069) has been fixed
      upstream for some time now.
    - vim132 - Add lintian overrides for "csh is harmful" and not having a
      Depends/Recommends/Suggests on tcsh | csh.  This is the only file in the
      package that would use the shell and its an example script.
    - maze - maze.c doesn't work properly and its README suggests this may be
      the case on newer compilers and to use mazeansi.c, which does work.

 -- James Vega <jamessan@debian.org>  Thu, 17 Jan 2008 13:50:30 -0500

vim (1:7.1-175+2) unstable; urgency=low

  * runtime/syntax/debcontrol.vim:
    - Reworked the URL regex so that it should properly match any non-local
      domain name as specified in RFC 1738.
  * debian/rules:
    - Use bzip2 to compress the vim-runtime package.
  * Add tex.vim-update.diff, which syncs from upstream to fix some folding
    issues.  (Closes: #456168)
  * debian/control:
    - Add Pre-Depends on dpkg (>= 1.10.24) for vim-runtime to please dak even
      though Sarge has a newer dpkg.

 -- James Vega <jamessan@debian.org>  Tue, 18 Dec 2007 09:13:59 -0500

vim (1:7.1-175+1) unstable; urgency=low

  [ James Vega ]
  * debian/rules:
    - Add LDFLAGS="-Wl,--as-needed" when calling configure.
  * Fix a typo in debsources.vim-syntax.diff. (Closes: #454672)

  [ Debian Vim Maintainers ]
  * New upstream patches (168 - 175), see README.gz for details.

  [ James Vega ]
  * Add spellfile.vim-doc.diff, which explains that a writable spell directory
    must exist for the plugin to download spell files.  (Closes: #421045)
  * Lintian cleanup:
    - Remove /usr/share/vim/addons/plugins/ from vim-common.dirs.
    - Remove /usr/share/vim/vim71/tools/vim132 to silence a warning and error
      about csh.
    - Remove /usr/share/consolefonts/ from vim-runtime.dirs.
    - Remove /usr/share/doc/vim-common/html/policy/ from vim-doc.dirs.
    - Override the "desktop-command-not-in-package" warning for
      vim-gui-common.  We make use of TryExec which should prevent the menu
      entry from showing up if none of the gvim-providing packages are
      installed.
  * Move Vim's policy documentation to /usr/share/doc/vim-common/ instead of
    being under a separate policy/ directory.
  * runtime/ftplugin/debcontrol.vim: Correct a function definition to use !.
    (Closes: #454933)
  * runtime/syntax/debcontrol.vim: Don't require a three part domain for the
    Homepage field.  (Closes: #455341)
  * Install the presubj file under /usr/share/bug/ for every vim variant, not
    just vim.
  * Add versioned Conflicts/Replaces on vim-common for the vim package since
    it contains /usr/share/bug/vim/presubj now.

 -- James Vega <jamessan@debian.org>  Sun, 09 Dec 2007 17:42:17 -0500

vim (1:7.1-167+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (139 - 167), see README.gz for details.
    - 7.1.147 fixes a crash when tab completing a user's home directory.
      (Closes: #453049)
    - 7.1.167 fixes a crash with large values for the -c option of xxd
      (Closes: #452789)

  [ James Vega ]
  * runtime/ftplugin/debchangelog.vim:
    - Fix NewVersion() to use the distribution from the previous changelog
      entry.  (Closes: #446728)
    - Fix NewVersion() to increment the version of the first changelog entry
      regardless of how 'startofline' is set.
  * runtime/syntax/debchangelog.vim:
    - Recognize oldstable* upload targets.
  * Refreshed patches:
    - vimrc.tiny.diff
  * Added patches:
    - sh.vim_syntax.diff, which fixes the syntax highlighting of escaped
      single-quotes and comments.  (Closes: #425443, #425797)
    - gnuada.diff, which updates the ada runtime files so they gracefully
      handle the user not having certain variables defined.  (Closes: #440221)
  * syntax/debcontrol.vim:
    - Add syntax highlighting for Vcs-* control fields.  (Closes: #448543)
  * Bump debhelper compat to 5.
  * debian/vim-runtime.install:
    - Remove usr/share/consolefonts/* since that's not shipped any more.
  * debian/control:
    - Add vim-dbg package to supply debugging symbols for the various vim
      packages.
    - Fix a typo in the long description for the vim package.
    - Make use of multi-line (Build-)Depends support.
  * debian/rules:
    - Add binary-arch target for the vim-dbg package.
  * debian/gvim.desktop:
    - Add TryExec key so the menu entry is only shown if the gvim alternative
      has been setup.
  * Merges from Ubuntu:
    - runtime/syntax/debcontrol.vim:
      + Recognize restricted, universe, multiverse as part of the Section
        field.
      + Recognize XSBC-Original-Maintainer as a legal field.
    - runtime/syntax/debchangelog.vim:
      + Recognize Ubuntu releases as upload targets.
      + Recognize syntax for closing Launchpad bugs.
    - Add debsources.vim-syntax.diff:
      + Recognize restricted, universe, multiverse Sections.
      + Add more recent Ubuntu releases as recognized distributions.

  [ Stefano Zacchiroli ]
  * debian/README.Debian
    - fix typo in vim policy URL (Closes: #452555)

  [ James Vega ]
  * Add lhaskell.vim-syntax.diff, which restricts the matching of % to the
    beginning of the line when determining if the file is a TeX document.
    Thanks to Chung-chieh Shan for the patch.  (Closes: #451440)
  * Add fstab.vim-syntax.diff, which adds support for sshfs syntax.
    (Closes: #451754)
  * Add filetype.vim-debfiles.diff, which improves detection of debcontrol and
    debsources files.  Thanks to Loïc Minier for the debsources part of the
    patch.  (Closes: #435552)
  * debian/control:
    - Remove Norbert Tretowski from Uploaders with his permission.  Thanks for
      all your work.

 -- James Vega <jamessan@debian.org>  Mon, 03 Dec 2007 15:53:27 -0500

vim (1:7.1-138+1) unstable; urgency=medium

  [ Debian Vim Maintainers ]
  * New upstream patches (136 - 138), see README.gz for details.

  [ James Vega ]
  * Fix the lintian override files to match Lintian's output.
  * debian/rules
    - Remove a useless command from the variant clean target
    - Clean vim-tiny's generated debhelper files
    - Clean generated vim-policy files
  * Brown-paper bag bug in vim-full.preinst.  Need to grep for bin/vim.full
    not vim/vim.full.  (Closes: #446462)

 -- James Vega <jamessan@debian.org>  Sat, 13 Oct 2007 12:45:04 -0400

vim (1:7.1-135+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (057 - 135), see README.gz for details.
    - Patch 125 corrects Vim's TermResponse autocmd behavior.
      (Closes: #436452)

  [ Stefano Zacchiroli ]
  * debian/control
    - removing idle contributors from the Uploaders field

  [ James Vega ]
  * Add a slave link for gnome-text-editor.1.gz when we add the
    gnome-text-editor alternative.  (Closes: #439549)
  * Update debcontrol.vim.diff to recognize "Homepage:" (Closes: #443444) and
    "XS-Vcs-*:" fields.
  * Update patches/filetype.vim-better_tex_vs_plaintex.diff so it properly
    escapes the pattern alternator (|) when determining whether the file is
    latex.  Thanks Martin Krafft.  (Closes: #444346)
  * Update patches/debchangelog-ftplugin.vim.diff to remove an extra
    "foldopen" command.  (Closes: #441315)
  * Add de.po.diff to fix the translation of "Load File".  Thanks Torsten
    Werner.  (Closes: #443529)
  * Add samba.vim.diff which fixes the highlighting for "smb ports".  Thanks
    Alberto Reyes.  (Closes: #386064)
  * Add tex.vim-syntax_additions.diff, which adds syntax highlighting for
    acronyms, URLs, and citetest.  (Closes: #444411, #444408, #444301)
  * Update menu file to use Applications instead of Apps and to require the
    gvim package to be installed in order to display the entry.
  * Update desktop file to remove legacy category.
  * debian/rules:
    - Remove vim-{python,perl,tcl,ruby,full} variants.
    - Add vim-nox which has all language bindings but no X requirement.
    - Include all language bindings when building vim-gtk.
  * debian/control:
    - Add Homepage field.
    - Remove Build-Depends on dpkg and dpkg-dev since the specific versions we
      need are older than what's in stable.
    - Make vim-full a transition package Depending on vim-gnome.
    - Make vim-{python,perl,tcl,ruby} transition packages Depending on
      vim-gtk.

 -- James Vega <jamessan@debian.org>  Sun, 07 Oct 2007 15:47:26 -0400

vim (1:7.1-056+2) unstable; urgency=low

  * Brown paper bag release -- vimrc.tiny should not be calling :let since
    vim.tiny doesn't support that command.  Copy the 'runtimepath' setting to
    vimrc.tiny since that was the only reason we needed the :let and
    "runtime!  debian.vim" commands.  (Closes: #436925)

 -- James Vega <jamessan@debian.org>  Thu, 09 Aug 2007 10:57:51 -0400

vim (1:7.1-056+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (023 - 056), see README.gz for details.

  [ Pierre Habouzit ]
  * Make sure reportbug vim/presubj is named that way, without a `vim.` prefix
    making reporbug skip it.

  [ Stefano Zacchiroli ]
  * Add a entry to debian/NEWS describing why /usr/share/vim/addons/ is no
    longer in the runtimepath and pointing to the appropriate documentation

  [ James Vega ]
  * Add verilog.vim_ftplugin-cpoptions.diff, which locally enables line
    continuations for the ftplugin in order to prevent an error when being run
    in vi-compatible mode.  (Closes: #430372)
  * Build vim with the huge feature set to pull in +profile (the only
    difference between the big and huge feature sets).
  * Remove the !hurd-i386 restriction from the tcl8.4-dev Build-Depends now
    that the package exists on hurd-i386.  This allows building the vim-tcl
    package for hurd-i386.  (Closes: #434435)
  * Remove the hacks we were doing to try and build vim-tiny with extra
    features.  Simply build vim-tiny using Vim's "small" feature set.  This
    removes a number of features but allows the package to build with the
    current upstream patches.  This also lessens the maintenance burden since
    we no longer have to figure out which features to enable via trial and
    error.
  * debian/rules:
    - Separate out {clean,configure,build}-stamp-vim-tiny targets
    - Move the handling of the vimrc.tiny patch to the new *-vim-tiny targets.
    - Remove configure-stamp* files in the clean target.
    - Move the fake help files for vim-tiny from /usr/share/vim/doc to
      /usr/share/vim/$VIMCUR so the user can actually see them when invoking
      :help.
  * Add ruby.vim_indent.diff, which fixes some improper indenting for Ruby
    files.  (Closes: #431212)
  * Refresh vimrc.tiny.diff
  * Add index.txt.diff, which adds some missing cross-references to the index
    of Vim commands.  (Closes: #434447)
  * debian/control:
    - Remove Conflicts/Replaces on packages that are older than Etch.
    - Add a Replaces to vim-runtime since it ships files that overwrite files
      in vim-tiny.
    - Add a Conflicts to vim-tiny for earlier versions of vim-runtime to make
      sure we don't attempt to overwrite files in versions of vim-runtime that
      don't Replace vim-tiny.

 -- James Vega <jamessan@debian.org>  Wed, 08 Aug 2007 00:18:16 -0400

vim (1:7.1-022+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (001 - 022), see README.gz for details.
    + Load all matching files in $VIMRUNTIME when using ":syn include"
      (Closes: #395517)

  [ James Vega ]
  * Add changelog.vim-date_end_entry.diff, which fixes a variable name which
    is let in changelog.vim.  (Closes: #424224)
  * Remove 'viminfo' and 'textwidth' settings from $VIMRUNTIME/debian.vim.  We
    were uselessly setting 'textwidth' to the default value and 'viminfo' to
    an almost-default but less useful value.
  * Add Makefile_no-strip.diff, which removes the calls to strip in upstream's
    makefile.  We'll handle that in debian/rules.
  * gvim.desktop should be using %F instead of %U to specify the filename.
    (Closes: #406586)
  * Remove debian/vim-{doc,variant,gui-common,common}.preinst,
    debian/vim-common.postinst as they all handled special procedures for
    upgrading from Sarge.
  * debian/control
    - Clarify the package description for the vim package to indicate it does
      not provide a GUI version of Vim.
  * debian/rules
    - Update the extract and clean targets to not fail if quilt exits with
      $? == 2.  Also, remove the .pc directory in the clean target.
    - Remove preinst from the list of per-variant files
  * Add spell.c_getc-eof.diff, which causes Vim to stop reading a truncated
    spellfile when it reaches EOF.
  * debian/runtime/debian.vim.in
    - set 'nomodeline' by default since modelines have historically been a
      source of security/resource vulnerabilities.  Users should have to
      explicitly enable the option to assume the associated risks.
  * Add gui_gtk_x11.c_g_thread_init.diff, which prevents a glib warning
    related to glib 2.10's Memory Slices and threads.  (Closes: #428854)

  [ Stefano Zacchiroli ]
  * Add javac_cmdline-vim.diff, which fixes the invocation of the javac
    compiler. (Closes: #408338)
  * Add debchangelog-closes_omni.vim.diff, which add omni completion support
    for "Closes: #..." retrieving data from the BTS via apt-listbugs
  * Added the new Debian Vim Policy to the "vim-doc" package, overriding the
    old unenforced one
  * debian/runtime/debian.vim.in
    - removing /usr/share/vim/addons/{,after/} from the vim runtimepath:
      according to the VIM policy addons should not be enabled per default,
      but manually using vim-addon-manager
  * debian/control
    - added build deps on docbook stuff to build the policy (note that this
      includes lynx, due to #387035)
  * Add map.vim-syntax.diff which ships syntax file for UMN map server
    (Closes: #355900)

 -- James Vega <jamessan@debian.org>  Sat, 07 Jul 2007 15:04:57 -0400

vim (1:7.1-000+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream release (7.1)

  [ James Vega ]
  * debian/rules:
    + Remove extraneous update-snapshot target since snapshots are being
      handled similar to normal releases, but in a different directory on the
      ftp server.
  * upstream/patches:
    + Remove all the 7.0 patches
  * Removed patches:
    + de.po.diff, applied upstream.
    + zsh.vim-nested_quotes.diff, New upstream rewrite fixes the same problem
      as our patch.
    + mp.vim-cmd_check.diff, applied upstream.
    + html.vim-syntax_spell.diff, applied upstream.
    + changelog.vim-ftplugin_buffer-split.diff, applied upstream.
    + netrw.vim-tmpfile_suffix_escape.diff, applied upstream.
  * Refreshed patches:
    + php.vim.diff, simple rediff against new upstream.
    + dosini.vim-hash_comment.diff, simple rediff against new upstream.
  * Updated patches:
    + debchangelog-ftplugin.diff
      - Call foldopen silently so Vim doesn't error if there are no folds.
        (Closes: #416184)
      - Allow users to "let g:debchangelog_fold_disabled" to disable automatic
        folding of debchangelogs.  'foldexpr' and 'foldtext' will still be set
        but 'foldmethod' will not be set to 'expr'.

 -- James Vega <jamessan@debian.org>  Sat, 12 May 2007 13:24:27 -0400

vim (1:7.0-219+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (165 - 219), see README.gz for details.

  [ Stefano Zacchiroli ]
  * vim-addons support:
    - converted to YAML the registry entry for matchit
  * debian/control
    - added XS-Vcs-Browser field

  [ James Vega ]
  * Fix the file test for deciding whether we need to remove alternatives to
    properly transition the Russian manpage alternatives.
  * Fix the handling of the stale diversion when /usr/bin/vim.org is already
    missing.
  * Fix the handling of alternatives which pointed at the stale alternative so
    the alternative isn't changed from auto to manual.
  * Remove the 'iskeyword' setting in Ruby's ftplugin as suggested by Tim
    Pope in #389332.
  * Add patches/netrw.vim-tmpfile_suffix_escape.diff, which escapes the suffix
    of the tmpfile filename.

 -- James Vega <jamessan@debian.org>  Tue, 20 Mar 2007 18:27:27 -0400

vim (1:7.0-164+3) unstable; urgency=low

  [ James Vega ]
  * Remove the patch notes for patches after 164 in debian/README.  Forgot
    about those when removing the patches from svn to prepare the last upload.

 -- James Vega <jamessan@debian.org>  Sun, 14 Jan 2007 10:13:00 -0500

vim (1:7.0-164+2) unstable; urgency=medium

  [ James Vega ]
  * debian/vim-variant.preinst:
    + Move diversion removal here from vim-variant.postinst.  Manually remove
      /usr/bin/vim in order to be able to remove the diversion.  Fixes
      upgrades from Sarge leaving behind stale binaries.  (closes: #401000)
    + Remove the alternatives for ru.{UTF-8,KOI8-R} manpages so the
      alternatives system doesn't attempt to keep the links around after the
      upgrade.  Fixes upgrades from Etch.  (closes: #399024)

 -- James Vega <jamessan@debian.org>  Thu,  4 Jan 2007 01:50:25 -0500

vim (1:7.0-164+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (159 - 164), see README.gz for details.

  [ James Vega ]
  * Shipped tags file was being regenerated (closes: #397837)
    - Do not pre-generate tags file, vim-runtime's postinst is already
      handling tag generation
    - Remove tags file in vim-runtime's postrm
  * Add Provides: editor to the gvim variants.  (closes: #398572)
  * Remove the empty vim-variant.postrm.
  * Move the Russian KOI8-R man pages to /usr/share/man/ru/man1 and remove the
    utf8 man pages.  man will handle the conversion.  (closes: #368754)

 -- James Vega <jamessan@debian.org>  Wed, 15 Nov 2006 08:48:51 -0500

vim (1:7.0-158+1) unstable; urgency=medium

  [ Debian Vim Maintainers ]
  * New upstream patches (153 - 158), see README.gz for details.
    - Do not let the fold level become negative. (closes: #395413)
  * Urgency medium since #396934 affects other packages.

  [ James Vega ]
  * Add vim-runtime.postinst which runs helpztags so that we don't break the
    help for other Vim addons everytime vim-runtime is upgraded.
    (closes: #396934)
  * Update the vim-basic install target in debian/rules to not rely on the
    vimcurrent symlink before it has been setup.

 -- James Vega <jamessan@debian.org>  Mon,  6 Nov 2006 22:41:59 -0500

vim (1:7.0-152+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (123 - 152), see README.gz for details.
    - Correct the button order in the GTK+ file chooser dialog so that it
      matches the GNOME Human Interface Guidelines. (closes: #367639)

  [ James Vega ]
  * Bump vim-common's priority to important to match the override.
  * Remove patch gui_gtk.c-abs_path.diff, merged upstream.
  * Remove patch gui_xmebw.c-lesstif_crash.diff, merged upstream.
  * Add patch html.vim-syntax_spell.diff, which adds support for highlighting
    of spelling mistakes. (closes: #393347)
  * Add patch changelog.vim-ftplugin_split-buffer.diff, which corrects an
    invalid command used for opening the changelog in a split window.
    (closes: #392840)

  [ Stefano Zacchiroli ]
  * Added patch dosini.vim-hash_comment.diff which adds support for # comments
    in dosini syntax highlighting, thanks to Adeodato Simó. (closes: #378952)
  * Added patch zh_TW.po-swap_recovery_typo.diff which fixes a typo in a
    traditional Chinese message when editing a file for which a swap file
    already exists. (closes: #347420)
  * debian/control
    - renamed svn info field to XS-Vcs-Svn, to match the forthcoming official
      name

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Oct 2006 17:07:37 +0200

vim (1:7.0-122+1) unstable; urgency=medium

  [ Debian Vim Maintainers ]
  * New upstream patches (095 - 122), see README.gz for details.
  * Urgency medium for RC bug fixes.

  [ James Vega ]
  * Since vim-gui-common no longer depends on vim-common (to allow for
    binNMUing), make /usr/share/doc/vim-gui-common a directory instead of a
    symlink to /usr/share/doc/vim-common. (closes: #387794)
  * Add versioned Conflicts/Replaces against vim-doc for vim to allow proper
    upgrades from Sarge. (closes: #381526)
  * Update debian/copyright with the license information for the user and
    reference manuals.
  * Add patch zsh.vim-nested_quotes.diff, which fixes handling of single
    quotes nested inside double quotes. (closes: #390911)
  * Add a gnome-icon-theme Suggests for the packages which use a GTK/Gnome
    GUI.
  * Build vim-tiny with multibyte support. (closes: #361378)
  * Add patch gui_gtk.c-abs_path.diff, which ensures the GTK file selection
    dialog remembers the previously used directory. (closes: #368668)
  * Add mp.vim-cmd_check.diff, which fixes an incorrect boolean check.
    (closes: #384154)

  [ Stefano Zacchiroli ]
  * Added patches perl.vim-ftplugin_perldoc.diff,
    perl.vim-ftplugin_pydoc.diff, and ruby.vim-ftplugin_ri.diff, which trigger
    usage of perldoc/pydoc/ri for keyword lookup on perl/python/ruby files.
    (closes: #389332)

 -- James Vega <jamessan@debian.org>  Mon,  9 Oct 2006 19:37:58 -0400

vim (1:7.0-094+1) unstable; urgency=medium

  [ Debian Vim Maintainers ]
  * New upstream patches (036 - 094), see README.gz for details.
  * Urgency medium because of the fix to vim-lesstif's crash bug.

  [ James Vega ]
  * Add patches/de.po.diff, which differentiates between "Delete" and
    "Readonly" swap recovery messages for the German translation.
    (closes: #379507)
  * Update patches/scripts.vim.diff to add recognition of rst (including
    rest2web) files as the filetype 'rst'. (closes: #382541)
  * Update debian/rules to generate helptags for the plugins that are in
    /usr/share/vim/addons.
  * Add patches/gui_xmebw.c-lesstif_crash.diff, which fixes the crash bug when
    invoking gvim from the vim-lesstif variant. Thanks Ben Hutchings!
    (closes: #378721)

  [ Stefano Zacchiroli ]
  * Modified patches/debchangelog.vim.diff so that when opening a changelog
    the entry the cursor is on gets (recursively) unfolded.
  * Added patches/filetype.vim-better_tex_vs_plaintex.diff, implementing
    better recognition of tex vs plaintex filetype (namely it recognizes as
    latex files containing sectioning commands). (closes: #384479)
  * Added script upstream/patches/get_patches.py to automate downloading of
    latest upstream patches.
  * debian/control
    - bumped Standards-Version to 3.7.2 (no changes needed)
    - added X-Vcs-Svn field to source package

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 10 Sep 2006 11:59:14 +0200

vim (1:7.0-035+1) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (018 - 035), see README.gz for details.

  [ James Vega ]
  * debian/control: Make Vim binNMUable.
  * Rename the augroup in $VIMRUNTIME/debian.vim so it doesn't conflict with
    Vim's FileType autocmd event.
  * Update patches/debcontrol.vim.diff to fix the package name regexp.
    (closes: #375848)
  * Update patches/debcontrol.vim.diff to include XS-Python-Version and
    XB-Python-Version.  (closes: #373661)
  * Add patches/php.vim.diff, which removes the 'delete' keyword from PHP's
    syntax highlighting.  (closes: #368089)

  [ Stefano Zacchiroli ]
  * Removed patch edit.c.diff, no longer needed after upstream patch 023

 -- James Vega <jamessan@debian.org>  Mon,  3 Jul 2006 01:43:11 -0400

vim (1:7.0-017+8) unstable; urgency=medium

  * Rebuild with fixed libruby1.8.  Urgency medium since vim-full and vim-ruby
    can now be properly configured.
    (closes: #373696, #373762, #373890, #374060)

 -- James Vega <jamessan@debian.org>  Sat, 17 Jun 2006 22:18:20 -0400

vim (1:7.0-017+7) unstable; urgency=low

  * Update $VIMRUNTIME/debian.vim and /etc/vim/vimrc.tiny to properly set
    'compatible' when vim-tiny is invoked as vi.  (closes: #373680)

 -- James Vega <jamessan@debian.org>  Wed, 14 Jun 2006 23:18:11 -0400

vim (1:7.0-017+6) unstable; urgency=low

  [ Pierre Habouzit ]
  * Add a Replace: vim-runtime to vim-common because of the vimcurrent mess,
    that may prevent vim upgrade. (closes: #370012, #373117).

  [ James Vega ]
  * Add vim-variant.preinst to remove any cruft left behind in
    /usr/share/doc/vim{,-$variant}, which is now a symlink to
    /usr/share/vim/vim-common.  (closes: #369740)
  * Update the build process so only vim-tiny starts in 'compatible' mode when
    invoked as vi.
    + Move patches/virc.c.diff to debian/tiny/vimrc.tiny.diff and apply only
      when building vim-tiny.
    + Rename /etc/vim/virc to /etc/vim/vimrc.tiny and add
      vim-common.{post,pre}inst code to handle the conffile renaming.
  * Update README.Debian to specify which package contains the vim policy and
    the correct directory that holds vim policy.
  * Add debchangelog.vim.diff which fixes an inifinite loop bug in the
    debchangelog filetype plugin.  (closes: #367566)
  * Add scripts.vim.diff which adds recognition of ltrace output and sets the
    filetype to 'strace'.  (closes: #372926)

 -- James Vega <jamessan@debian.org>  Tue, 13 Jun 2006 11:06:59 -0400

vim (1:7.0-017+5) unstable; urgency=low

  [ James Vega ]
  * Added po.vim.diff which locally enables line continuations while sourcing
    the po.vim syntax file.  (closes: #368589)
  * Re-add /usr/share/vim/vimcurrent as a convenience symlink.
    (closes: #369124)
  * Add python.vim-ftplugin_include.diff which sets the 'include' option to a
    stricter value to reduce the chance of mis-highlights.  (closes: #367259)
  * Add mysql.vim-syntax_comment.diff which corrects a syntax pattern for
    MySQL comments.  (closes: #367777)

 -- James Vega <jamessan@debian.org>  Wed, 31 May 2006 12:39:44 -0400

vim (1:7.0-017+4) unstable; urgency=low

  [ James Vega ]
  * Added edit.c.diff which fixes a crash when exiting insert mode spell
    completion.
  * Revert changes to alternative handling in vim-variant.prerm.  They should
    only be removed during a remove, not an upgrade.  (closes: #368175)
  * Move the removal of stale alternatives to vim-variant.prerm where it
    should've been to begin with.  Also, tighten the matching done when
    deciding which alternatives are removed.  Only alternatives pointing to
    /usr/bin/vim should be removed since those are the known stale
    alternatives.
  * Remove support for building spellfiles as will be moved to another set of
    packages.
    + debian/control: Remove Build-Depends-Indep which was only used for
      spellfile building.
    + debian/rules: Remove build-spell* and build-locales* targets.
    + Remove debian/locale-gen
    + Remove bg_BG.diff.diff and spell-locales.diff.

 -- James Vega <jamessan@debian.org>  Sat, 20 May 2006 21:57:31 -0400

vim (1:7.0-017+3) unstable; urgency=low

  [ James Vega ]
  * Add support for building l10n spellfiles.
    + Added unzip, aap, and locales to Build-Depends-Indep.
    + Added debian/locale-gen to build the locale info.
    + Update debian/rules to build spellfiles (temporarly disabled).
      - Added a check for 'nospell' in DEB_BUILD_OPTIONS to prevent building
        the spellfiles.
    + Added spell-locales.diff patch which updates the aap recipes to set the
      LC_ALL environment variable instead of LANG.
    + Added bg_BG.diff.diff patch which fixes the line-endings in the
      bg_BG.diff patch, allowing it to apply cleanly.
  * Add /usr/share/vim/virc symlink, with this fix invoking vim as "vi" will
    actually enable vim to behave differently than when invoked as "vim".
    (closes: #367818)

 -- James Vega <jamessan@debian.org>  Thu, 18 May 2006 08:11:15 -0400

vim (1:7.0-017+2) unstable; urgency=low

  [ Debian Vim Maintainers ]
  * Upload to unstable

  [ James Vega ]
  * Update debian/vim-variant.prerm to remove alternative also during
    upgrades.
  * Add debian/vim-variant.preinst to cleanup alternatives left behind from
    previous vim-variant.prerm scripts.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 May 2006 22:10:49 -0500

vim (1:7.0-017+1) experimental; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream patches (011 - 017), see README.gz for details.

  [ Stefano Zacchiroli ]
  * Preliminary support for add-on infrastructure
    + added symlinks from /usr/share/vim/addons/ to $VIMRUNTIME for the
      matchit plugin, so that they are no longer version dependent
    + added dir /var/lib/vim/addons/, now in the runtimepath
    + added vim add-on registry entry for the matchit plugin
  * Differentiated behaviour of Vim when invoked as "vi"
    + added patch patches/virc.c.diff which source /etc/vim/virc when invoked
      as such
    + added debian/runtime/virc; it creates a vi-like environment setting
      'compatible' and nothing else
  * Raised the alternative priority of vim.basic from 20 to 30. Rationale: the
    relative order we want to achieve is vim.tiny < nvi < vim.basic
  * vim-tiny is ready to enter the base system
    + set vim-tiny priority to Important

  [ Norbert Tretkowski ]
  * Removed outdated runtime files from package.
  * Added s390x to debcontrolArchitecture in debcontrol.vim. (closes: #361281)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 13 May 2006 13:23:35 -0500

vim (1:7.0-010+1) experimental; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream release (7.0) and patches (001 - 010), see README.gz for
    details.  (closes: #366396)
    + CSS syntax highlighting properly handles non-UTF-8 aware environments.
      (closes: #358734)
    + crontab syntax highlighting recognizes % as starting stdin to the
      cronjob. (closes: #363558)
    + non-ASCII characters are properly handled when changing case in
      :substitute commands. (closes: #266256)

  [ James Vega ]
  * Massage the packaging back into "stable upstream releases" mode.
    + Remove debian/watch since it isn't useful with Vim's method of releasing
      stable updates.
    + Swap out the unzip Build-Depends for bzip2.
    + Update debian/rules to use the src/lang/extra tarballs instead of one
      zip file.

  [ Stefano Zacchiroli ]
  * handle debian/*.in files as autoconf files filling the @VIMCUR@
    placeholder with the appropriate vim<version> string
  * got rid of the /usr/share/vim/vimcurrent symlink, no longer needed now we
    source debian.vim (closes: #366504)
  * source vimrc.local/gvimrc.local from system-wide vimrc/gvimrc since a lot
    of users have it, added a comment about that file being deprecated
  * added a comment to system-wide gvimrc about how to obtain a reversed video
    vim gui

 -- James Vega <jamessan@debian.org>  Thu, 11 May 2006 08:54:38 -0400

vim (1:6.4+7.0g01-1) experimental; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream snapshot (7.0g01).
    + Remove 161_cmake-support.diff, merged upstream.
    + Recognize zsh-beta as a shell that supports '2>&1| tee' for the
      'shellpipe' option. (closes: #362999)
    + Assign filetype=php to any .php<digit> filename. (closes: #365055)
    + Recognition in debcontrol's syntax file of all architectures listed at
      http://www.debian.org/ports/ (closes: 364824)

  [ Stefano Zacchiroli ]
  * Screening of patches no longer needed with vim7 & pushing upstream
    of as many debian-specific patches as possible. Results:
    + removed patches: 102_pythoncomplete.vim.diff, 104_debchangelog.vim.diff,
      106_fstab.vim.diff, 108_automake.vim.diff, 109_xdefaults.vim.diff,
      111_fstab.vim.diff, 119_php.vim.diff, 130_fstab.vim.diff,
      133_resolv.vim.diff, 136_muttrc.vim.diff, 140_muttrc.vim.diff,
      148_debchangelog.vim.diff, 157_slrnrc.vim.diff, 201_fr.po.diff,
      203_zh_TW.UTF8.po.diff
    + The following runtime and translation files are now maintained upstream
      in a best effort fashion (i.e. they are looking for a new maintainer) by
      Debian VIM Maintainers: syntax/muttrc.vim, syntax/automake.vim,
      syntax/php.vim, syntax/slrnrc.vim, lang/po/zh_TW.UTF-8.po.
    + syntax/debchangelog.vim, syntax/debcontrol.vim, and syntax/tpp.vim are
      now officially co-maintained upstream by Debian Vim Maintainers
  * Improved comments and added more commented settings in /etc/vim/vimrc

  [ James Vega ]
  * Add Replaces against manpages-it and manpages-pl since upstream now
    provides i10n manpages. (closes: #364299)
  * Moved Debian specific settings out from /etc/vim/{,g}vimrc, so that the
    file can be (more) freely modified by sysadmins without risking merge
    problems with maintainer updates.

 -- James Vega <jamessan@debian.org>  Wed,  3 May 2006 12:34:14 -0400

vim (1:6.4+7.0d03-1) experimental; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream snapshot (7.0d03).
    + A lot of new features have been added, most notably: spell checking,
      omni completion, tabs, undo branches, internal grep, location lists,
      list/dictionary/funcref types for scripting.
      See ":help version7" for more information.
    + bugfixes affecting Debian's BTS:
      - new version of sh.vim syntax highlighting (closes: #355273, #361813)
      - respect LC_MESSAGES in menus (closes: #147757, #217217)
      - consistent behaviour of 'gq' when an external formatter is used
        (closes: #177735)
      - improved wildcard expansion of filename patterns
        (closes: #262645, #258150)
      - german tutorial now shows instruction on how to proceed in the first
        page (closes: #289115)
      - fixed encoding of slovak translation (closes: #257342)
      - proper escaping of characters in URLs (closes: #353076, #361317)
      - added g:is_posix flag to sh.vim to enable highlighting of POSIX shell
        scripts (closes: #361177)

  [ Stefano Zacchiroli ]
  * Screening of patches no longer needed with vim7 & pushing upstream
    of as many debian-specific patches as possible. Results:
    + removed patches: 101_make.vim.diff, 103_sh.vim.diff,
      117_fortram.vim.diff, 122_html_indent.vim.diff, 135_debsources.vim.diff,
      145_fortran.vim.diff, 155_rst.vim.diff
    + removed updates: debian/updates/debsources.vim

 -- James Vega <jamessan@debian.org>  Fri, 14 Apr 2006 13:29:49 -0400

vim (1:6.4+7.0c05-1) experimental; urgency=low

  [ Debian Vim Maintainers ]
  * New upstream snapshot (7.0c05).
    + Added support for bzr diffs in scripts.vim, thanks to Adeodato Simó.
      (closes: #355922)
    + Support python `as' keyword. (closes: #352885)

  [ James Vega ]
  * Sync with the work that's been done on the 6.4 vim package.
  * Add a missing quote in /etc/vim/vimrc's last-position-jump example.
    (closes: #347597)
  * Move vimtutor.1 to the same package (vim-runtime) as vimtutor.
    Fixes a lintian warning.
  * Add debian/watch.
  * Cleanup handling of manpages and alternatives. (closes: 361845)
  * debian/control:
    + Remove references to obsolete packages.
    + Move vim-doc to Section: doc.
    + Update vim-common to Recommend all the vim variants.
    + Add Build-Depends on libxpm-dev and unzip.
  * debian/rules:
    + Added support for running upstream's tests during the build process.
    + Automatically generate the necessary .install/.links/.postinst settings
      for installing the localized manpages.

  [ Pierre Habouzit ]
  * Add support for cmake (from cmake.org). (closes: #357705)
  * debcontrol.vim: add kfreebsd-amd64 to the ports list.

  [ Stefano Zacchiroli ]
  * Screening of patches no longer needed with vim7 & pushing upstream
    of as many debian-specific patches as possible. Results:
    + removed patches: 102_filetype.vim.diff, 107_vim.1.diff, 107_xxd.1.diff,
      105_recognize-gnumakefile-am.diff, 123_accents.diff,
      133_filetype.vim.diff, 142_filetype.vim.diff, 153_filetype.vim.diff,
      154_svn.vim.diff, 156_scripts.vim.diff, 158_python.vim.diff,
      301_xxd.c.diff, 303_option.c.diff, 305_term.c.diff
  * Added patch 102_pycomplete.vim: fixes a python omnicompletion bug when the
    cursor is on an empty line

  [ Matthijs Mohlmann ]
  * Updated debsources syntax file.
    + Use debsources instead of sources.
    + Make a regexpression of deb, deb-src, main, contrib and non-free.
    + Remove setlocal iskeyword.
    + Remove compatibility with vim 5.x.

 -- James Vega <jamessan@debian.org>  Fri, 31 Mar 2006 17:50:11 -0500

vim (1:6.4-007+1) unstable; urgency=low

  [ Debian VIM Maintainers ]
  * New upstream patch (007), see README.gz for details.

  [ Stefano Zacchiroli ]
  * Handle /usr/bin/gvim with alternatives, so that it can be configured
    to a vim executable with gui support when /usr/bin/vim is configured
    to one with no such support. (closes: #345765)

  [ Pierre Habouzit ]
  * vim's syntax coloring mode should consider .sce extension.
    (Closes: #338771)
  * subversion commit log syntax and l10n. (Closes: #341288)
  * dh_install bug #349070 triggerd our svn.vim problem.
    (rebuild Closes: #348955).
  * enhances syntax/rst.vim. (Closes: #323044)

  [ James Vega ]
  * Move alternatives handling out of vim-common so that we aren't modifying
    alternatives when the targets don't yet exist.  (closes: #348233)
  * Add 'armeb' to debcontrol syntax file. (closes: #350513)
  * debian/rules: Remove all binaries except xxd from vim-common. Handle the
    rest with alternatives in the variant packages.
  * debian/control: Changed vim-gui-common to Arch: all
  * Added patch 156_scripts.vim.diff which adds detection of svk diffs as diff
    filetype. (closes: #349764)
  * Added patch 157_slrnrc.vim.diff which adds a few more functions to the
    slrnrc syntax file. (closes: #347801)
  * Added commented out example autocmd for last-position-jump to
    /etc/vim/vimrc. (closes: #347597)
  * Lintian cleanup:
    + debian/control: Added a Depends line for vim-common.
    + debian/rules: Use proper permissions when installing the console font in
      vim-runtime
    + debian/rules: Create a symlink to /usr/share/doc/vim-gui-common for each
      GUI variant package.  This fixes a usr-doc-symlink-without-dependency
      warning.

 -- James Vega <jamessan@debian.org>  Wed,  8 Feb 2006 15:11:37 -0500

vim (1:6.4-006+2) unstable; urgency=low

  [ Norbert Tretkowski ]
  * debian/README.Debian: fixed typos (closes: #344608)
  * patches/148_debchangelog.vim.diff: added sarge-{backports|volatile} to
    debchangelog hilighting
  * debian/control: removed build-dependencies added for woody backport
  * debian/control: build-depend on make (>= 3.80+3.81.b4)

  [ Matthijs Mohlmann and Stefano Zacchiroli ]
  * debian/rules: moved "export DH_OPTIONS" back to the beginning of the
    file since old versions of make can't cope with it on
    target-specific variables. Fixes FTBFS on some archs.
    (closes: #344658)

  [ Stefano Zacchiroli ]
  * debian/rules: added 'export' target to generate source package
  * debian/rules: uses quilt to manage debian-specific patches, changed
    build-deps accordingly
  * Added patch 152_javascript.vim which fixes JavaScript syntax
    highlighting (closes: #343402)

  [ Pierre Habouzit ]
  * debian/control: fix vim-gui-common description. (closes: #347912)
  * 304_memline.c.diff causes FTBFS on Hurd, fix it. (closes: #348170)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 15 Jan 2006 19:41:58 +0100

vim (1:6.4-006+1) unstable; urgency=low

  [ Debian VIM Maintainers ]
  * New upstream patches (005 and 006), see README.gz for details.

  [ Stefano Zacchiroli ]
  * Epoched all 6.4 versioned relationships in debian/control, they were
    erroneously non-epoched. (closes: #344368, #344414)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 23 Dec 2005 00:30:20 +0100

vim (1:6.4-004+2) unstable; urgency=low

  [ Norbert Tretkowski ]
  * Applied patch from Adeodato Simó to fix broken syntax hilighting
    of urgency in debchangelog.vim. (closes: #338557, #343136, #344228)
  * No longer lists a mailinglist as uploader in changelog, until a consensus
    about policy items 4.4 and 5.6.4 is found. (closes: #343073)

  [ Stefano Zacchiroli ]
  * Fixed typo in vim-gui-common description. (closes: #343152)
  * Remove old /usr/share/doc/vim-common symlink during vim-doc and
    vim-common preinst phase. (closes: #343289)
  * debian/rules: finally found the karma of target-specific variables,
    hopefully the file is clearer now ... Fixes FTBFS on hppa.
    (closes: #344150)
  * Fixed dangling manpage symlinks in vim-gui-common.
    (closes: #344179, #343195, #343171)
  * Moved vimtutor from vim-common to vim-runtime
  * Added patch 151_sed.vim which improves sed's syntax highlighting.
    (closes: #336125)
  * Added patch 305_term.c which fixes 'pastetoggle' for working
    properly with F1-F4 keys on Debian xterm's. (closes: #342220)

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 21 Dec 2005 10:09:37 +0100

vim (1:6.4-004+1) unstable; urgency=low

  [ Debian VIM Maintainers ]
  * New upstream patches (002 to 004), see README.gz for details.

  [ Stefano Zacchiroli ]
  * Added back vim-tiny package. (closes: #222138)
  * Reshaped vim packaging as follows:
    - vim-common -> arch-dependent common files (variants w/o GUI)
    - vim-gui-common -> arch-dependent common files (variants w GUI)
      (closes: #338027)
    - vim-runtime -> vim runtime (arch-independent)
    - vim -> default variant
    - vim-* -> other variants
    - vim-tiny -> tiny variant, no vim-runtime dependency
    - the above changes additionally got rid of circular dependency
      vim -> vim-common -> vim (closes: #340037)
  * Added symlink /usr/share/vim/vimcurrent -> vim64, will be kept
    proper in future releases. /etc/vim/vimrc no longer version-aware.
  * Removed duplicate /usr/share/vim/vimfiles entry in vimrc.
    (closes: #337825)
  * (Re-)Fixed debian/runtime/vimrc, last version inhibit /usr/bin/ex.
  * au commands in vimrc executed only if has("autocmd").
  * No longer try to move configuration files from /etc to /etc/vim
    (ancient preinst, no longer needed to support upgrades from sarge).
  * Updated Description-s in debian/control.
  * Check for and removal of old vim.org diversion in postinst instead
    of postrm (closes: #341081)
  * Adds gvim, when compiled with gnome support, as an alternative for
    gnome-text-editor, with priority lower than gedit (closes: #287202)
  * Substituted @PKG@ in menu entry for package name (closes: #342074)

  [ James Vega ]
  * Added patch 148_debchangelog, update syntax/debchangelog.vim to
    recognize infrequently used but policy compliant syntax.
    (closes: #338557)
  * Fixed patch 304_memline.c.diff to avoid inifinte loops resolving
    symlinks. (closes: #336560)
  * Remove the 'p' vmap in /etc/vim/vimrc since it has various bad
    side-effects such as not being able to paste from a register while
    in visual mode.

  [ Matthijs Mohlmann ]
  * Updated syntax for sshd_config and ssh_config.
  * Updated syntax highlighting for asterisk.vim (Closes: #338256)

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Wed,  7 Dec 2005 22:02:34 +0100

vim (1:6.4-001+2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * Fixed debian/runtime/vimrc, last version broke some plugins behaviour
    (e.g. gzip, netrw) on files specified on cmdline.

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Sun, 23 Oct 2005 16:03:43 +0200

vim (1:6.4-001+1) unstable; urgency=low

  [ Debian VIM Maintainers ]
  * New upstream patch (001), see README.gz for details.

  [ Stefano Zacchiroli ]
  * Got rid of conflicts among vim-* packages (aka variants) using
    alternatives for /usr/bin/vim. (closes: #67823, #123959, #280934)
  * Got rid of removal of /usr/doc/* symlinks.
  * Added "sources" debian/rules target which downloads upstream tarballs.
  * Added patch 146_netrw.vim.diff, fixes some issues of netrw.vim with
    file://* URLs. (closes: #334868)
  * Added patch 303_option.c.diff, which fixes 'system()' behaviour when
    $SHELL is empty. (closes: #219386)
  * Added patch 304_memline.c.diff, which fixes swap file locking wrt
    symlinks. (closes: #329826)
  * Changed debian/runtime/vimrc so that /etc/papersize is read without using
    system(), fixes issues with exotic shells. (closes: #271338)

  [ James Vega ]
  * Added patch 147_perl.vim.diff, new upstream syntax file which supersedes
    120_perl.vim.diff.

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Sun, 23 Oct 2005 11:21:35 +0200

vim (1:6.4-000+1) unstable; urgency=low

  [ Debian VIM Maintainers ]
  * New major upstream release (6.4).
    + Fixed typo in /usr/share/vim/vim63/doc/usr_04.txt. (closes: #328664)

  [ Norbert Tretkowski ]
  * Removed patches merged upstream:
    + 118_ocaml.vim.diff

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Sat, 15 Oct 2005 18:40:22 +0200

vim (1:6.3+6.4b-003+1) experimental; urgency=low

  [ Debian VIM Maintainers ]
  * New upstream patch (003), see README.gz for details.

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Fri, 14 Oct 2005 18:09:56 +0200

vim (1:6.3+6.4b-002+2) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * Updated patches for new release:
    + 118_ocaml.vim.diff
    + 124_errorformat.vim.diff
    + 203_zh_TW.UTF8.po.diff

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Thu, 13 Oct 2005 13:09:25 +0200

vim (1:6.3+6.4b-002+1) experimental; urgency=low

  [ Debian VIM Maintainers ]
  * New upstream patch (002), see README.gz for details.

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Wed, 12 Oct 2005 21:11:22 +0200

vim (1:6.3+6.4b-001+1) experimental; urgency=low

  [ Debian VIM Maintainers ]
  * New major upstream beta release (6.4b).
  * New upstream patch (001), see README.gz for details.

  [ Norbert Tretkowski ]
  * Removed patches merged upstream:
    + 110_php.vim.diff
    + 112_prolog.vim.diff
    + 113_xml.vim.diff
    + 114_texinfo.vim.diff
    + 116_sh.vim.diff
    + 121_perl.vim.diff
    + 126_filetype.vim.diff
    + 128_vimdiff.1.diff
    + 132_bib.vim.diff
    + 139_perl.vim.diff
    + 143_eruby.vim.diff
    + 401_doc_exrc.diff
    + 403_usr_04.txt.diff

  [ James Vega ]
  * Updated patches for new release:
    + 102_filetype.vim.diff
    + 120_perl.vim.diff
    + 142_filetype.vim.diff

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Wed, 12 Oct 2005 09:41:28 +0200

vim (1:6.3-090+2) unstable; urgency=low

  * Stefano Zacchiroli <zack@debian.org>:
    + Fixed %ld typo in debian/patches/203_zh_TW.UTF8.po.diff
    + Added patch debian/patches/403_usr_04.txt.diff, which fixes a
      typo in usr_04.txt. (closes: #328664)

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Sat,  8 Oct 2005 16:09:41 +0200

vim (1:6.3-090+1) unstable; urgency=low

  * New upstream patches (087 to 090), see README.gz for details.

  * Norbert Tretkowski <nobse@debian.org>:
    + Updated Standards-Version to 3.6.2 (no changes needed).
    + Exec vim with -f parameter in .desktop file. (closes: #329292)

  * Stefano Zacchiroli <zack@debian.org>:
    + Set SHELL=/bin/bash in debian/rules since we use bashisms.
      (closes: #310974)
    + Added patch 140_muttrc.vim.diff, which improves muttrc
      highlighting. (closes: #327074)
    + Added patch 141_asterisk.vim.diff, which adds support for Asterisk
      configuration files sytnax highlighting. (closes: #322850)
    + Added patch 142_filetype.vim.diff, which extends dch highlighting
      to Debian NEWS files. (closes: #328081)
    + Added patch 143_eruby.vim.diff, which adds support for eruby
      highlighting. (closes: #315902)
    + Added patch 144_scripts.vim.diff, which adds support for
      highlighting tla diffs. (closes: #305677)
    + Added patch 145_fortran.vim.diff, which fixes a matchit bug with
      Fortran's "module procedure". (closes: #308865)
    + Added patch 203_zh_TW.UTF8.po.diff, which fixes a translation
      error in locale zh_TW.UTF-8. (closes: #319420)

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Fri, 30 Sep 2005 17:08:36 +0200

vim (1:6.3-086+1) unstable; urgency=low

  * New upstream patch (086), see README.gz for details.

  * Norbert Tretkowski <nobse@debian.org>:
    + Corrected wrong capitalization of menu entry. (closes: #320602)

  * Stefano Zacchiroli <zack@debian.org>:
    + Added patch 132_bib.vim.diff, which fixes highlighting of bibtex
      comments. (closes: #316184)
    + Added patch 133_filetype.vim.diff, which adds filetype recognition
      for several Zope related file kinds. (closes: #311007)

  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Added patch 133_resolv.vim.diff, which fixes highlighting of resolv.conf
      search entries. (closes: #321081)
    + Added patch 134_sshconfig.vim.diff, added HashKnownHosts to syn keyword
      sshconfigKeyword. (closes: #321119)
    + Added debsources.vim to debian/updates to add syntax highlighting for
      /etc/apt/sources.list and added this to filetype.vim. (closes: #308947)
    + Added patch 136_muttrc.vim.diff, added crypt_autosign, crypt_autoencrypt
      and xterm_set_titles to syn keyword. (closes: #323278)

  * Pierre Habouzit <madcoder@debian.org>:
    + Fix patch 105_xmodmap.vim.diff: wrt XF86_ClearGrab. (closes: #322355)
    + Fix typo in doc/editing.txt. (closes: #322254)

  * James Vega <jamessan@jamessan.com>:
    + Added patch 137_filetype.vim.diff, recognize mutt-ng rc/temp files as
      muttrc/mail filetypes. (closes: #307946)
    + Added patch 138_filetype.txt.diff, fix a typo in the changelog-plugin
      section of filetype.txt. (closes: #314595)
    + Added patch 139_perl.vim.diff, fix recognition of regular expression
      quantifiers.

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Thu,  1 Sep 2005 18:40:41 +0200

vim (1:6.3-085+1) unstable; urgency=high

  * New upstream patches (079 to 085), see README.gz for details.
    + 6.3.081, 6.3.082: Fix arbitrary shell commands execution by wrapping
      them in glob() or expand() function calls in modelines. (CAN-2005-2368)
      (closes: #320017)

  * James Vega <jamessan@jamessan.com>:
    + Added patch 129_filetype.vim.diff, which sets the filetype to perl for
      *.plx files. (closes: #314309)

  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Added patch 130_fstab.vim.diff, added bind as option. (closes: #308890)
    + Added patch 131_xxd.1.diff, fixes typo in xxd manpage. (closes: #311234)

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Thu, 28 Jul 2005 12:16:06 +0200

vim (1:6.3-078+1) unstable; urgency=low

  * New upstream patches (073 to 078), see README.gz for details.

  * James Vega <jamessan@jamessan.com>:
    + Added patch 128_vimdiff.1.diff, which fixes a typo in the vimdiff
      manpage. (closes: #310331)

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Tue, 14 Jun 2005 21:25:00 +0200

vim (1:6.3-072+1) unstable; urgency=high

  * New upstream patch (072), see README.gz for details.

  * James Vega <jamessan@jamessan.com>:
    + Updated patch 125_gzip.vim.diff to match upstream's vim7 patch.
      Removed compression detection for FileAppendPre since there's no good
      way to retrieve the necessary information.
    + Added patch 127_scripts.vim.diff, makes Vim automatically set the proper
      filetype when editing lua scripts. The patch also enables recognition
      of "#!/usr/bin/env xxx" hashbang lines. (closes: #309859)

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Fri, 20 May 2005 20:41:35 +0200

vim (1:6.3-071+2) unstable; urgency=low

  * Stefano Zacchiroli <zack@debian.org>:
    + Modifications on debian/rules:
      - Do not invoke dh_installdirs before creating .dirs file for current
        variant (fixes non-installation of gvim.desktop in all variants).
      - Optional cmdline parameter PATCH_NAME for make_patch target.
      - Invoke dh_desktop to register gvim.desktop on postinst.
    + Modifications on debian/vim-variant.desktop:
      - Internationalized comment (inspired from gedit's one).
      - Added MimeType entry.
      - Uses svg icon.
    + Added svg icon /usr/share/icons/vim.svg, thanks to
      Paul Ortman <ortm8574@uidaho.edu>. (closes: #258669)
    + Updated patch 118_ocaml.vim.diff (new upstream).
    + Added patch 124_errorformat.vim.diff, makes vim follow error directories
      on "make -C". (closes: #276005)
    + Added patch 126_filetype.vim.diff, set tex filetype on .cls TeX classes,
      distinguishing them from smalltalk sources. (closes: #169716)

  * Norbert Tretkowski <nobse@debian.org>:
    + Build-Depend on debhelper (>= 4.2.21), required for dh_desktop call.
    + Reverted value of backupcopy to default.

  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Added patch for german accents. (closes: #307807)

  * James Vega <jamessan@jamessan.com>:
    + Added patch 125_gzip.vim.diff, maintain "max speed" and "max compression"
      compression levels when editing gzip files. (closes: #280388)

 -- Debian VIM Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>  Sun, 15 May 2005 19:12:57 +0200

vim (1:6.3-071+1sarge1) stable; urgency=high

  * New upstream patches (081 and 082), see README.gz for details.
    + 6.3.081, 6.3.082: Fix arbitrary shell commands execution by wrapping
      them in glob() or expand() function calls in modelines. (CAN-2005-2368)
      (closes: #320017)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 30 Jul 2005 12:16:45 +0200

vim (1:6.3-071+1) unstable; urgency=medium

  * New upstream patches (069 to 071), see README.gz for details.

  * Norbert Tretkowski <nobse@debian.org>:
    + Re-add dh_installdirs to vim-variant part in debian/rules, so copying
      the desktop file no longer fails. (closes: #302830)
    + Enabled backupcopy in global vimrc. (closes: #158657)

  * Stefano Zacchiroli <zack@debian.org>:
    + Added vim-full variant with support for gnome and all interpreters.
      (closes: #149077)
    + Added /usr/share/common-licenses/ reference to debian/copyright.
    + Remove debian/helpztags.1 on debian/rules clean (generated file).
    + Updated patch 118_ocaml.vim.diff (new upstream).
    + Added patch 122_html_indent.vim.diff, remove <bs> from indentkeys for
      html. (closes: #280386)
    + Added patch 401_doc_exrc.diff, fixes starting doc about "_exrc".
      (closes: #279378)
    + Suggests vim-scripts in debian/control.

  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Fixes menu entry with icon (wrong syntax used in menu file), thanks to
      Alexis Sukrieh <sukria@sukria.net>.

  * James Vega <jamessan@jamessan.com>:
    + Added patch 120_perl.vim.diff, update $VIMRUNTIME/syntax/perl.vim from
      the author which fixes block indentation in packages. (closes: #220969)
    + Added patch 121_perl.vim.diff, which adds syntax recognition for
      CHECK/INIT blocks (similar to BEGIN/END).

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 24 Apr 2005 17:26:49 +0200

vim (1:6.3-068+4) unstable; urgency=medium

  * Norbert Tretkowski <nobse@debian.org>:
    + Removed all kvim related packages, the code is no longer maintained.
      Sorry. (closes: #234455, #237385, #283765, #293110, #194449, #205586,
      #266431, #272621, #294848, #245006, #194964)
    + Removed patch 401_gcc4.diff, it modified kvim code which is no longer
      available.
    + Added NEWS file, so people upgrading to this version getting informed
      about the kvim removal.

  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Fixed up a patch for xml.vim.

 -- Norbert Tretkowski <nobse@debian.org>  Sat,  2 Apr 2005 18:31:19 +0200

vim (1:6.3-068+3) unstable; urgency=medium

  * Norbert Tretkowski <nobse@debian.org>:
    + Add a replaces: vim (<= 1:6.3-068+1) to every (k)vim-* package, required
      for menu-icon-missing fix from 1:6.3-068+2. (closes: #301866)
    + Urgency medium because above modification fixes regular upgrade with
      apt-get.
    + Fixed broken rgvim manpage. (closes: #301881)

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 29 Mar 2005 01:00:23 +0200

vim (1:6.3-068+2) unstable; urgency=low

  * Pierre Habouzit <pierre.habouzit@m4x.org>:
    + Enhance the es.po. (closes: #206782)

  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Modified patch 113_xml.vim.diff that fixes #196001 has introduced
      another syntax error. (closes: #301736)
    + Fixed menu-icon-missing on vim-* packages.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 28 Mar 2005 19:26:35 +0200

vim (1:6.3-068+1) unstable; urgency=low

  * New upstream patch (068), see README.gz for details.
    + 6.3.068: When editing a compressed file xxx.gz which is a symbolic link
      to the actual file a ":write" no longer renames the link (patch by James
      Vega). (closes: #281630)

  * Norbert Tretkowski <nobse@debian.org>:
    + Added James Vega <jamessan@jamessan.com> to uploaders.
    + Fixed wrong executable registration in /usr/lib/mime/packages/kvim,
      thanks to Robin Verduijn for the patch. (closes: #295471)
    + Fixed synchronisation of syntax highlighting in fortran 90 programs.
      (closes: #301452)
    + Removed vim-doc's dependency on vim, so it's possible to install vim-doc
      without also installing vim.

  * Pierre Habouzit <pierre.habouzit@m4x.org>:
    + Fix php indent plugin, thanks to the ITLab at MUSC. (closes: #282135)
    + Fix prolog syntax file. (closes: #269692)
    + Fix xml syntax ('\' has no special meaning for xml). (closes: #196001)
    + Fix texinfo syntax file warning. (closes: #286763)

  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Fix lintian warning packages-installs-file-to-usr-x11r6:
      - Moving xpm files to /usr/share/pixmaps.
      - Edited the menu files.
    + Removed prerm-does-not-call-installdocs from lintian/vim.
    + Added patch 111_fstab.vim.diff to fix highlighting in fstab.
      (closes: #300108)
    + Removed Suggests: vim from vim-doc in debian/control.
    + Fixed binary-without-manpage for several packages.
    + Fixed pkg-not-in-package-test in kvim-tcl, kvim-ruby, kvim-python and
      kvim-perl.
    + Fixed the errors postinst-does-not-call-updatemenus and
      postrm-does-not-call-updatemenus.

  * James Vega <jamessan@jamessan.com>:
    + Fixed wrong highlighting of comments in syntax/sh.vim when comments
      occur between switches of case. (closes: #269325)

  * Stefano Zacchiroli <zack@debian.org>:
    + Added patch 302_message.c.diff to fix CTRL-C quit loops in range commands.
      (closes: #295639)
    + Added patch 118_ocaml.vim.diff to ship latest version of ocaml runtime
      support files: {syntax,ftplugin,ident}/ocaml.vim.
    + Modifications on debian/rules:
      - Uses debian/compat in place of debian/rules' DH_COMPAT.
      - Ignores diff error in "make_patch" target since diff usually returns 1.
      - Added support for command line VARIANT variable to override VARIANTS.

  * Pepijn de Langen <pepijn@ce.et.tudelft.nl>:
    + Added patch 119_php.vim.diff to php syntax highlighting backticks.
      (closes: #144754)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 26 Mar 2005 16:32:25 +0100

vim (1:6.3-067+2) unstable; urgency=medium

  * Norbert Tretkowski <nobse@debian.org>:
    + Disabled dh_installchangelogs and dh_installdocs for vim-doc.
    + Raised urgency to medium because of upstream patch 6.3.066.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 20 Mar 2005 22:05:36 +0100

vim (1:6.3-067+1) unstable; urgency=low

  * New upstream patches (065 to 067), see README.gz for details.
    + 6.3.065: Entering Euro char via digraph doesn't always work.
      (closes: #298162)

  * Norbert Tretkowski <nobse@debian.org>:
    + Added Pierre Habouzit, Torsten Landschoff, Matthijs Mohlmann, Stefano
      Zacchiroli, Alexis Sukrieh and Pepijn de Langen to uploaders.
      (closes: #299446)
    + Added a new patch from Christian Hammers which adds additional keywords
      to /etc/fstab syntax hilighting. (closes: #299704)
    + Modified --with-compiledby value to use $DEBFULLNAME and $DEBEMAIL.
    + Updated tpp syntax file, thanks to Gerfried Fuchs.
    + Changed priority of vim-common package from extra to optional.

  * Pierre Habouzit <pierre.habouzit@m4x.org>:
    + Documented the /etc/vim/{g,}vimrc.local files in README.Debian.
    + Fixed some debcontrol.vim issues:
      - Don't search emails in fields that have not one. (closes: #114508)
      - Fix debcontrolName according to Policy. (closes: #148144)
    + Fixed tutor.vim to use usual locale envvars semantics. (closes: #289113)
    + Added a 16px icon for menu entries too
      (taken from http://www.vim.org/images/vim16x16.xpm). (closes: #39250)
    + Fixed changelog.Debian.gz detection. (closes: #263740)
    + Manpages various fixes:
      - Escape some dashes in vim(1). (closes: #279606)
      - Various fixes for xxd(1). (closes: #281124)
    + Fixed french translation. (closes: #277502)

  * Matthijs Mohlmann <matthijs@cacholong.nl>:
    + Add syntax highlighting for xmodmap. (closes: #296759)
    + Fixed lintian warning unquoted-string-in-menu-item in kvim.menu.
    + Fixed lintian warning spelling-error-in-readme-debian (adviced should
      be advised).
    + Changed current maintainer in copyright file.
    + Fixed lintian warning package-relation-with-self in kvim.
    + Fixed lintian warning binary-has-unneeded-section in vim (added
      dh_strip).
    + Added depends on vim in vim-doc.

  * Alexis Sukrieh <sukria@sukria.net>:
    + Added a note about UTF-8 related issues in README.Debian.
    + Added debian/patches/108_automake.vim.diff (thanks to Alexander Kogan)
      which enables highlighting of _CPPFLAGS in automake files.
      (closes: #196212)
    + Added debian/patches/109_xdefaults.vim.diff (thanks to Peter De Wachter)
      which fixes bad highlighting when putting a FONT directive in xdefaults.
      (closes: #264284)

  * Stefano Zacchiroli <zack@debian.org>:
    + Added #DEBHELPER# tag to debian/vim-{doc,common}.preinst.
    + Minor cleanup of debian/rules so vim-{doc,common} uses dh_install
      instead of dh_movefiles ("binary" target could now be invoked twice
      after a single "install" invocation), let dh_compress compress README.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 20 Mar 2005 10:56:11 +0100

vim (1:6.3-064+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + New upstream patches (062 to 064), see README.gz for details.
    + Set maintainer address to project mailinglist on alioth and added myself to
      uploaders.
    + Added a new patch which sets automake syntax recognition for files named
      GNUmakefile.am. (closes: #277596)
    + Added a new patch which adds testing-proposed-updates to debchangelog
      syntax hilighting.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 14 Mar 2005 14:58:49 +0100

vim (1:6.3-061+1) unstable; urgency=high

  * New upstream patches (059 to 061), see README.gz for details.
  * Kudos to Javier Fernandez-Sanguino Pena, he discovered the usage of
    insecure $$ constructs in vimspell.sh and tcltags.sh which have been
    fixed with the last upload.
  * Removed vimspell.sh and tcltags.sh, these scripts are no longer supported
    upstream.
  * Removed patch which was added in 1:6.3-058+1, it's no longer required.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 01 Feb 2005 22:39:26 +0100

vim (1:6.3-058+1) unstable; urgency=high

  * New upstream patches (055 to 058), see README.gz for details.
  * Added a new patch (stolen from Ubuntu) which modifies vimspell.sh and
    tcltags.sh so they use mktemp instead of insecure $$ construction to
    create temporary files. (CAN-2005-0069) (closes: #289560)

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 18 Jan 2005 20:12:25 +0100

vim (1:6.3-054+1) unstable; urgency=low

  * New upstream patches (047 to 054), see README.gz for details.
  * Source /etc/vim/gvimrc.local if available. (closes: #272001)
  * Added a new patch which fixes ftbfs on amd64 with gcc-4.0, thanks to
    Andreas Jochens. (closes: #288731)

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 05 Jan 2005 20:51:36 +0100

vim (1:6.3-046+0sarge1) testing-proposed-updates; urgency=high

  * Built on testing for testing-proposed-updates because patch 045 fixes
    several vulnerabilities found by Ciaran McCreesh related to the use of
    options in modelines. (CAN-2004-1138)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 19 Dec 2004 20:06:53 +0100

vim (1:6.3-046+1) unstable; urgency=low

  * New upstream patches (032 to 046), see README.gz for details.
  * Added a desktop entry under /usr/share/applications/ for all variants.
    (closes: #285065)
  * Added farsi fonts to vim-common package. (closes: #258773)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 12 Dec 2004 02:36:11 +0100

vim (1:6.3-031+3) unstable; urgency=low

  * Really add Brandens patch which adds XXX and FIXME comment hilighting
    to sh.vim. (closes: #280471)
  * Updated debcontrol.vim syntax file, which adds debcontrolArchitecture
    for s390, thanks to Gerfried Fuchs. (closes: #281127)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 14 Nov 2004 01:14:35 +0100

vim (1:6.3-031+2) unstable; urgency=low

  * Fixed broken vim-doc.preinst. (closes: #280824, #280825)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 11 Nov 2004 23:56:12 +0100

vim (1:6.3-031+1) unstable; urgency=low

  * New upstream patches (026 to 031), see README.gz for details.
  * Add symlink replacing from vim-common also to vim-doc. (closes: #279058)
  * Added a new patch which adds XXX and FIXME comment hilighting to sh.vim,
    thanks to Branden Robinson. (closes: #280471)
  * Added a new patch which allows multiple spaces as arguments for xxd,
    thanks to Glyn Kennington. (closes: #279709)
  * Updated tpp and debcontrol syntax files, thanks to Gerfried Fuchs.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 09 Nov 2004 18:56:42 +0100

vim (1:6.3-025+1) unstable; urgency=low

  * New upstream patches (020 to 025), see README.gz for details.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 05 Sep 2004 21:13:04 +0200

vim (1:6.3-019+1) unstable; urgency=medium

  * New upstream patches (016 to 019), see README.gz for details.
  * Added a new patch which adds some more sections to debcontrol.vim,
    thanks to Branden Robinson. (closes: #258547)
  * Removed setting the guifont in gvimrc. (closes: #267399, #268253)
  * Compress README file. (closes: #267532)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 30 Aug 2004 21:06:01 +0200

vim (1:6.3-015+1) unstable; urgency=medium

  * New upstream patches (014 and 015), see README.gz for details.
  * Removed Luca from Uploaders, thanks for your work! (closes: #266476)
  * Added a workaround for setting papersize when running vim in restricted
    mode, thanks to Alexey Marinichev. (closes: #260452, #265227)
  * Added a new patch which fixes broken else syntax hilighting in make.vim,
    thanks to Steinar H. Gunderson. (closes: #260473, #259819)
  * Fixed spelling error in vim-common description. (closes: #264279)
  * Added a patch from 1:6.2-532+1 which got lost with the update to 6.3
    and fixes svn commit file highlighting.
  * Added a new patch which adds s390 and amd64 to debcontrol.vim.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 17 Aug 2004 19:34:13 +0200

vim (1:6.3-013+2) unstable; urgency=low

  * Empty vim-common directory before rmdir it. (closes: #258809)
  * Add symlink replacing from vim-common also to vim-variant.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 11 Jul 2004 18:11:45 +0200

vim (1:6.3-013+1) unstable; urgency=low

  * New upstream patches (012 and 013), see README.gz for details.
  * More modifications on /usr/share/doc/vim-common symlink detection.
    (closes: #257810)
  * Source /etc/vim/vimrc.local if available. (closes: #257779)
  * Added a virtual package gvim.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 09 Jul 2004 22:56:33 +0200

vim (1:6.3-011+2) unstable; urgency=low

  * Modify detection of /usr/share/doc/vim-common symlink. (closes: #257623)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 04 Jul 2004 19:35:16 +0200

vim (1:6.3-011+1) unstable; urgency=low

  * New upstream patch (011), see README.gz for details
  * Disabled libgpm-dev build-dependency for kfreebsd-i386 (closes: #257230)
  * Fixed vim-common's dependency on vim (closes: #257359, #257428, #257547)
  * No longer compress version6.txt in documentation. (closes: #257338, #257445)
  * Force replacing empty directories in /usr/share/doc with a symlink.
    (closes: #257449)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 04 Jul 2004 11:21:36 +0200

vim (1:6.3-010+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (005 to 010), see README.gz for details
    + temporary disabled vim-tiny package, will be re-added with the next
      upload

  * Mickael Marchand <marchand@kde.org>:
    + updated kvim patch to apply without conflicts to new vim upstream
      patches

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 30 Jun 2004 18:35:26 +0200

vim (1:6.3-004+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new major upstream release (6.3)
    + new upstream patches (001 to 004), see README.gz for details
    + merged changes from 1:6.2-532+6
    + fixed broken changelog symlink (closes: #253319)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 11 Jun 2004 21:31:25 +0200

vim (1:6.2+6.3b-016+1) experimental; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (008 to 016), see README.gz for details
    + made vim depend on vim-common in the same upstream version, so upgrading
      to experimental vim will also install new vim-common (closes: #251736)
    + merged changes from 1:6.2-532+5

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 30 May 2004 16:45:02 -0300

vim (1:6.2+6.3b-007+1) experimental; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (002 to 007), see README.gz for details
    + applied patch from Thomas de Grenier de Latour which fixes problems with
      non-builtin icons and gtk+ 2.4

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 26 May 2004 19:09:21 -0300

vim (1:6.2+6.3b-001+1) experimental; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new major upstream beta release (6.3b)
    + new upstream patch (001), see README.gz for details
    + modified runtime path in global vimrc
    + merged changes from 1:6.2-532+3 and 1:6.2-532+4

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 19 May 2004 19:19:26 +0200

vim (1:6.2+6.3a-018+1) experimental; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (007 to 018), see README.gz for details
    + merged changes from 1:6.2-532+2

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 12 May 2004 22:05:31 +0200

vim (1:6.2+6.3a-006+1) experimental; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new major upstream beta release (6.3a)
      - removed second -X option from vim(1) (closes: #231504)
      - added evim to executables in vim(1) (closes: #223866)
      - fixed typo in man.vim plugin (closes: #256951)
    + new upstream patches (001 to 006), see README.gz for details
    + removed most debian specific patches, because they got merged upstream
      now
    + modified runtime path in global vimrc
    + modified directories in vim.links and vim.install

  * Mickael Marchand <marchand@kde.org>:
    + updated kvim patch to apply without conflicts to new vim upstream
      beta release

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 08 May 2004 23:29:31 +0200

vim (1:6.2-532+6) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + applied a patch from Eduard Bloch which makes gvim load the UTF-8
      version of fixed font when the $LANG or $LC_CTYPE environment variables
      are set for the Unicode environment (closes: #177599)
    + added a patch which enhances detection of html files (closes: #211263)
    + removed c part from maze macro, looks like it doesn't work any longer
      (closes: #121837)
    + updated perl syntax file (closes: #232660)
    + suggest 'ssh' instead of 'rsh' in tagsrch.txt (closes: #229634)
    + capitalized 'unicode' string in description (closes: #172065)
    + fixed broken removal of vim-gnome diversion (closes: #252248)
    + fixed small typo in kvim mime files (closes: #250585)
    + fixed small mistake in global vimrc (closes: #165964)
    + added /usr/share/bug/vim/presubj file with some informations for
      submitters of bugs

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 05 Jun 2004 16:42:42 +0200

vim (1:6.2-532+5) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + re-added a vim-tiny package, looks like it got lost somewhere between
      potato and woody (closes: #222138)
    + added a patch which adds 'UsePAM' directive to sshdconfig.vim syntax file
      (closes: #250064)
    + added a patch from Doug Winter which add recognition of 'as' keyword in
      python syntax file (closes: #247326)
    + added a patch from Dirk Proesdorf which corrects new 'alternates' keyword
      behaviour in mutt syntax file (closes: #247098)
    + added a patch which adds syntax highlighting for whitespace files
      (closes: #226352)
    + added a patch from Brian M. Carlson which adds highlighting for 'lldiv_t'
      in c syntax file (closes: #202316)
    + added a patch which fixes a typo in map.txt (closes: #198667)
    + modified gvim and kvim menu entry, so they are started with -f now
      (closes: #153112)
    + added -f to mailcap view rules (closes: #101377)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 29 May 2004 22:43:11 -0300

vim (1:6.2-532+4) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + used --with-features=big also for vim-basic variant (closes: #228485)
    + binaries now including debugging information (closes: #249602)
    + added support for "nostrip" in $DEB_BUILD_OPTIONS
    + removed patch from Uli Martens introduced in 1:6.2-214+1 which modifies
      runtime path in macros/less.sh, it's no longer needed since 1:6.2-532+3
    + modified link to upstream changelog, it's no longer gzipped since
      1:6.2-532+1
    + added version (>= 2.2) to libgtk2.0-dev build-dependency
    + added priority to kvim package in control file

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 19 May 2004 16:30:25 +0200

vim (1:6.2-532+3) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + added a patch from Peter Jay Salzman which fixes a typo in
      hebrewp_utf-8.vim (closes: #197932)
    + added a syntax file from Luca De Vitis which adds support for debconf
      templates (closes: #168731)
    + moved macros and tools back into runtime directory (closes: #190181)
    + moved runtimepath above inclusion of filetype.vim in /etc/vim/vimrc
      (closes: #248402)
    + really added a patch from Jeff Layton with a syntax correction for
      quoted here-documents (closes: #248562)
    + less.sh is now executable (closes: #244599)
    + modified new versioned dependencies from 1:6.2-532+2 so the dependency
      is only on upstream release (closes: #248949)
    + corrected version number in kvim conflicts/replaces, the epoche was
      missing
    + made /usr/share/doc/vim-common a symlink to /usr/share/doc/vim
    + modified some overrides to shut up installer at ftp-master

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 15 May 2004 16:22:56 +0200

vim (1:6.2-532+2) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + changes in debian/control from Michaels patch for hurd-i386 build got
      lost (really closes: #244769)
    + reenabled python package build for hurd-i386 build
    + added versioned dependency on vim to vim-common and vice versa
      (closes: #248423, #248563)
    + build-conflict with libperl-dev (= 5.8.4-1) because it's broken
      (see #247291 for details)
    + added a patch from Jeff Layton with a syntax correction for quoted
      here-documents (closes: #248562)
    + updated netrw plugin (closes: #248623)
    + updated squid syntax file (closes: #247810)
    + added menu hints (closes: #82322)
    + added background for syntax highlighting in vimrc (closes: #99762)
    + disabled regenerating of tags file (closes: #244852)
    + case-insensitive field names in debcontrol.vim (closes: #102232)
    + added some notes about reporting bugs against this package to
      README.Debian
    + removed note about modelines from README.Debian

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 12 May 2004 20:42:56 +0200

vim (1:6.2-532+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (427 to 532), see README.gz for details
    + no longer compress helpfiles, it breaks :helpg (closes: #244114)
    + added a patch which fixes svn commit file highlighting
      (closes: #239320, #242286)
    + added a patch from Jan Minar which fixes a documentation error in
      cmdline.txt (closes: #241907)
    + added a patch from Roland Stigge which adds "Enhances" keyword to
      debcontrol syntax highlighting (closes: #235524)
    + added a patch from Domenico Andreoli which adds "reiserfs4" keyword to
      fstab syntax highlighting (closes: #236571)
    + applied a patch from Michael Bank which adds some exceptions for
      hurd-i386 build (closes: #244769)
    + added alternative for gnome-text-editor to vim-gnome (closes: #243443)
    + added alternative for gvim.1.gz to vim.1.gz (closes: #231503, #238181)
    + added vim-policy.txt to vim package (closes: #246174)
    + cleaned up debian/rules file and files in debian/patches a bit

  * Mickael Marchand <marchand@kde.org>:
    + updated kvim patch to apply without conflicts to new vim upstream
      patches

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 08 May 2004 22:42:16 +0200

vim (1:6.2-426+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (365 to 426), see README.gz for details
    + updated 01ruby_mkmf.diff to apply without conflicts to new vim upstream
      patches

  * Mickael Marchand <marchand@kde.org>:
    + updated kvim patch to apply without conflicts to new vim upstream
      patches

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 01 Apr 2004 17:14:13 +0200

vim (1:6.2-364+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (354 to 364), see README.gz for details
    + reenabled modelines in default vimrc (closes: #205501)

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 16 Mar 2004 19:09:35 +0100

vim (1:6.2-353+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (317 to 353), see README.gz for details
      (closes: #188640)
    + removed second /etc/vim from global runtime patch (closes: #237197)
    + added vimrc_example.vim to $VIMRUNTIME (closes: #127141)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 13 Mar 2004 16:25:06 +0100

vim (1:6.2-316+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (295 to 316), see README.gz for details

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 04 Mar 2004 22:27:35 +0100

vim (1:6.2-294+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (271 to 294), see README.gz for details
    + moved arch independant data in a separate vim-common package
      (closes: #233454)
    + added a patch to recognize new keywords for java 1.5 in java syntax
      file, thanks to Seneca Cunningham (closes: #231916)
    + added a provides: kvim to kvim-packages (closes: #234690)

  * Mickael Marchand <marchand@kde.org>:
      + updated kvim patch to apply without conflicts to new vim upstream
        patches

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 29 Feb 2004 14:48:45 +0100

vim (1:6.2-270+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new upstream patches (215 to 270), see README.gz for details
    + updated 01ruby_mkmf.diff and 11allow-threaded-perl.diff to apply without
      conflicts to new vim upstream patches

  * Mickael Marchand <marchand@kde.org>:
    + updated kvim patch to apply without conflicts to new vim upstream
      patches

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 18 Feb 2004 00:22:01 +0100

vim (1:6.2-214+2) unstable; urgency=low

  * Mickael Marchand <marchand@kde.org>:
    + add support for kvim-python, kvim-perl, kvim-tcl and kvim-ruby
      (closes: #228865)
    + add /etc/vim/gvimrc to kvim* packages

 -- Mickael Marchand <marchand@kde.org>  Fri, 30 Jan 2004 00:52:11 +0100

vim (1:6.2-214+1) unstable; urgency=low

  * Norbert Tretkowski <nobse@debian.org>:
    + new Co-Maintainer Mickael Marchand <marchand@kde.org>
    + new upstream patches (182 to 214), see README.gz for details
    + added a patch which adds sysfs to fstab keywords, thanks to Iain
      Broadfoot (closes: #228475)
    + added a patch which modifies runtime path in macros/less.sh, thanks
      to Uli Martens (closes: #228779)

  * Mickael Marchand <marchand@kde.org>:
    + updated kvim patch to apply without conflicts to new vim upstream
      patches

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 28 Jan 2004 20:18:52 +0100

vim (1:6.2-181+1) unstable; urgency=low

  * new upstream patches (174 to 181), see README.gz for details
  * added gvim to GNOME application menu, thanks to Lee Maguire
    (closes: #226848)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 16 Jan 2004 01:48:32 +0100

vim (1:6.2-173+1) unstable; urgency=low

  * new upstream patches (171 to 173), see README.gz for details
  * added some more replaces to vim and kvim to avoid problems when upgrading
    from older kvim (closes: #226735)
  * added a patch which adds usbdevfs to fstab keywords, thanks to Ludovit
    Hamaj (closes: #226714)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 08 Jan 2004 19:19:01 +0100

vim (1:6.2-170+1) unstable; urgency=low

  * new upstream patches (155 to 170), see README.gz for details
  * updated kvim patch to apply without conflicts to new vim upstream patches,
    thanks to Mickael Marchand
  * updated 01ruby_mkmf.diff and 11allow-threaded-perl.diff to apply without
    conflicts to new vim upstream patches
  * new Maintainer: Norbert Tretkowski <nobse@debian.org>
  * new Co-Maintainer: Luca Filipozzi <lfilipoz@debian.org>
  * added FAQ.gz to vim package (closes: #221909)
  * added additional php keywords to syntax file, thanks to Tobias Olsson and
    Jill Vogel (closes: #148757, #176448)
  * added german umlauts to keymap file, thanks to Marco Herrn
    (closes: #217633)
  * added filetypes for php4

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 30 Dec 2003 14:48:31 +0100

vim (1:6.2-154+1) unstable; urgency=low

  * new upstream patches (150 to 154), see README.gz for details
  * added new variant for a lesstif package, thanks to Bernd Westphal
  * added a patch to recognize reply-hook keyword in the muttrc syntax file,
    thanks to Marco Herrn (closes: #221350)

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 10 Dec 2003 00:18:35 +0100

vim (1:6.2-149+1) unstable; urgency=low

  * new upstream patches (146 to 149), see README.gz for details
  * added a patch to fix wrong highlighting in makefiles, thanks to Cyrille
    Dunant (closes: #133323)
  * added another patch to add '.' to debcontrolName highlighting, thanks to
    David Weinehall (closes: #117038)

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  9 Nov 2003 21:21:39 +0100

vim (1:6.2-145+1) unstable; urgency=low

  * new upstream patches (140 to 145), see README.gz for details
  * added arabic support, thanks to Mohammed Elzubeir and Anmar Oueja
    (closes: #216012)
  * updated kvim patch to apply without conflicts to new vim upstream patches,
    thanks to Mickael Marchand
  * updated 01ruby_mkmf.diff and 11allow-threaded-perl.diff to apply without
    conflicts to new vim upstream patches
  * renamed ruby1.8 build-dependency to ruby

 -- Norbert Tretkowski <nobse@debian.org>  Wed,  5 Nov 2003 22:51:15 +0100

vim (1:6.2-139+1) unstable; urgency=low

  * new upstream patches (128 to 139), see README.gz for details
  * merge with kvim source package, thanks to Mickael Marchand
    (closes: #214076)

 -- Norbert Tretkowski <nobse@debian.org>  Sun,  2 Nov 2003 19:51:14 +0100

vim (1:6.2-127+1) unstable; urgency=low

  * new upstream patches (107 to 127), see README.gz for details
  * used suggests instead of depends on vim for vim-doc

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 17 Oct 2003 12:45:15 +0200

vim (1:6.2-106+4) unstable; urgency=low

  * vim-gnome now conflict with vim-gtk, and vice versa (closes: #214580)
  * using pre-depends to fix #211710 and to handle overwriting of moved gvimrc
    was a really bad idea, used replaces instead (closes: #214759)
  * added a ttf-bitstream-vera suggests to gui packages because it seems to be
    the only font which works fine with gtk2 gui
  * added a note about gui support to perl, python, ruby and tcl package
    description
  * corrected short description in vim-gnome package

 -- Norbert Tretkowski <nobse@debian.org>  Wed,  8 Oct 2003 23:52:27 +0200

vim (1:6.2-106+3) unstable; urgency=low

  * moved vim-usermanual and vim-referencemanual to vim-doc package
    (closes: #214462, #214556)
  * removed perl, python, ruby, tcl support from vim-gtk and vim-gnome
    (closes: #214422)
  * gzipped /usr/share/vim/vim62/doc/help.txt (closes: #214115)

 -- Norbert Tretkowski <nobse@debian.org>  Tue,  7 Oct 2003 14:43:23 +0200

vim (1:6.2-106+2) unstable; urgency=low

  * really removed html documentation from vim package (closes: #211710)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 29 Sep 2003 19:09:11 +0200

vim (1:6.2-106+1) unstable; urgency=low

  * new upstream patches (99 to 106), see README.gz for details
  * added a note to README.Debian about new modeline behaviour
    (closes: #212696)
  * helpztags update, fixes production of tag files in improper format which
    vim can't understand (closes: #213032)
  * temporary disabled copying debian/vim-install into vim package, waiting
    for an update (see #213034 for details)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 27 Sep 2003 23:26:43 +0200

vim (1:6.2-098+5) unstable; urgency=low

  * added a several requested vim-gnome package (closes: #211820)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 26 Sep 2003 20:19:51 +0200

vim (1:6.2-098+4) unstable; urgency=low

  * the "Happy Birthday Norbert" release
  * corrected buggy Depends line in debian/control for packages depending on
    vim, which should fix build problems (closes: #212686)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 25 Sep 2003 12:36:47 +0200

vim (1:6.2-098+3) unstable; urgency=low

  * yet another helpztags update

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 24 Sep 2003 15:30:41 +0200

vim (1:6.2-098+2) unstable; urgency=low

  * added a pre-depends on vim to vim-doc (closes: #211710)
  * updated helpztags and modified debian/rules to create a manpage,
    thanks again to Artur R. Czechowski (closes: #211763)
  * compiled in runtime path extension and removed entry from vimrc
  * changed build-depends from tcl8.3 to tcl8.4

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 24 Sep 2003 12:19:26 +0200

vim (1:6.2-098+1) unstable; urgency=low

  * new major upstream release (6.2) (closes: #196411, #205204)
  * new upstream patches (1 to 98), see README.gz for details
  * new Co-Maintainer: Norbert Tretkowski <nobse@debian.org>
  * started putting upstream changes in a separate file
  * added a patch that adds s390 support for control file syntax
    highlighting (closes: #114750)
  * moved to ruby1.8 (closes: #211539)
  * enabled cscope functionality in vim package (closes: #159728)
  * reenabled perl support in vim-perl package (closes: #200410)
  * modified runtimepath in vimrc, added a README.Debian, helpztags and
    vim-install to vim package, thanks Artur R. Czechowski
  * added a Pre-Depends to packages depending on vim for a smooth upgrade
    from older releases
  * updated slrnrc syntax highlighting file, thanks to Sebastian Krause
  * modified Build-Depends for an easier build on woody
  * bumped up Standards-Version (no changes)
  * moved config file and symlinks for gui version from vim package to each
    of the additional packages (closes: #114944, #153068, #155711)
  * fixed debchangelog syntax match, thanks to Gerfried Fuchs and Uli
    Martens (closes: #153426)
  * moved html documentation to new vim-doc package (closes: #121075)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 14 Sep 2003 22:48:51 +0200

vim (1:6.1-474+2) unstable; urgency=low

  * debian/patches/07scripts.vim: fix typo that causes all files to be syntax
    highlighed as though they were cvs diff files (closes: #194583)

 -- Luca Filipozzi <lfilipoz@debian.org>  Mon, 26 May 2003 08:01:06 -0700

vim (1:6.1-474+1) unstable; urgency=low

  * debian/vim.postinst + debian/vim-variant.postinst: delete symlinks located
    in /usr/doc (closes: #189858, #190022)
  * debian/rules + debain/runtime/vimrc: applied a patch that causes build
    system to not compress the top level vim documenation file, help.txt; this
    is needed so that plugin documentation can be merged into the online help
    (closes: #186673) [thanks to: Recai Oktas]
  * debian/patches/02debcontrol.vim: applied a patch that prevents vim syntax
    erroneous highlighting of email addresses in Debian control files
    (closes: #186673) [thanks to: Dmitry Borodaenko]
  * debian/patches/03debcontrol.vim: applied a patch that makes the syntax
    highlighter recongize the new Debian sections: embedded, gnome, kde,
    libdevel, perl, python
    (closes: #193235) [thanks to: Branden Robinson]
  * debian/patches/04vim.1: applied a patch that documents -X flag
    (closes: #141804) [thanks to: Guido Guenther]
  * debian/patches/05muttrc.vim: applied a patch that adds several keywords
    starting with 'crypt-', reflecting recent changes in muttrc syntax
    (closes: #190864) [thanks to: Marco Herrn]
  * debian/patches/06tasm.vim: applied a patch that fixes minor typo
    (closes: #165819) [thanks to: David Weinehall]
  * debian/patches/07scripts.vim.diff: applied a patch that helps vim correctly
    highlight cvs diff output
    (closes: #152721) [thanks to: Guido Guenther]
  * debian/patches/08sh.vim.diff: applied a patch that increases the strictness
    of Bourne shell syntax highlighting with respect to "if [ ]" constructs
    (closes: #140203) [thanks to: Malcolm Parsons]
  * debian/patches/09c.vim.diff: applied a patch that adds additional signal
    names to the list of recognized signals for syntax highlighting
    (closes: #173797) [thanks to: Wolfram Quester]
  * debian/patches/10apache.vim.diff: applied a patch that adds SSLEnable
    to the list of recognized keyworkds (closes: #135243)
  * debian/runtime/vimrc: applied a patch that makes vim set printoptions
    paper to /etc/papersize as per Debian standards
    (closes: #127830) [thanks to: Ken Shan]
  * new upstream patches:
    + 6.1.321: When 'mouse' includes 'n' but not 'v', don't allow starting
      Visual mode with the mouse.
    + 6.1.322: Win32: The host name is always "PC " plus the real host
      name.
    + 6.1.323: ":registers" doesn't stop listing for a "q" at the more
      prompt.
    + 6.1.324: Crash when dragging a vertical separator when <LeftMouse>
      is remapped to jump to another window.
    + 6.1.325: Shift-Tab is not automatically recognized in an xterm.
    + 6.1.326: Using a search pattern may read from uninitialized data
      (Yasuhiro Matsumoto)
    + 6.1.327: When opening the "mbyte.txt" help file the utf-8 characters
      are unreadable, because the fileencoding is forced to be latin1.
    + 6.1.328: Prototype for enc_canon_search() is missing.
    + 6.1.329: When editing a file "a b c" replacing "%" in ":Cmd %" or
      ":next %" does not work properly.
    + 6.1.330: GTK, Motif and Athena: Keypad keys produce the same code
      as non-keypad keys, making it impossible to map them separately.
    + 6.1.331: When translating the help files, "LOCAL ADDITIONS" no
      longer marks the spot where help files from plugins are to be listed.
    + 6.1.332: Win32: Loading Perl dynamically doesn't work with Perl
      5.8. Perl 5.8 also does not work with Cygwin and Ming.
    + 6.1.333: Win32: Can't handle Unicode text on the clipboard. Can't
      pass NUL byte, it becomes a line break.
    + 6.1.334: Problem with drawing Hebrew characters.
    + 6.1.335: Failure of obtaining the cursor position and window size
      is ignored.
    + 6.1.336: Warning for use of function prototypes of smsg().
    + 6.1.337: When using "finish" in debug mode in function B() for
      ":call A(B())" does not stop after B() is finished.
    + 6.1.338: When using a menu that checks out the current file from
      Insert mode, there is no warning for the changed file until exiting
      Insert mode.
    + 6.1.339: Completion doesn't allow "g:" in ":let g:did_<Tab>". (Benji
      Fisher)
    + 6.1.340: Win32: Can't compile the Perl interface with nmake.
    + 6.1.341: In Insert mode with 'rightleft' set the cursor is drawn
      halfway a double-wide character. For CTRL-R and CTRL-K in Insert
      mode the " or ? is not displayed.
    + 6.1.342: With 'rightleft' set typing "c" on a double-wide character
      causes the cursor to be displayed one cell to the left.
    + 6.1.343: Cannot compile with the +multi_byte feature but without
      +rightleft. Cannot compile without the GUI.
    + 6.1.344: When using ":silent filetype" the output is still put in
      the message history.
    + 6.1.345: Win32: 'imdisable' doesn't work.
    + 6.1.346: The scroll wheel can only scroll the current window.
    + 6.1.347: When using cscope to list matching tags, the listed number
      is sometimes not equal to what cscope uses.
    + 6.1.348: Wildmode with wildmenu: ":set wildmode=list,full",
      ":colorscheme <tab>" results in "zellner" instead of the first
      entry. (Anand Hariharan)
    + 6.1.349: "vim --serverlist" when no server was ever started gives
      an error message without "\n". "vim --serverlist" doesn't exit when
      the X server can't be contacted, it starts Vim unexpectedly.
    + 6.1.350: When entering a buffer with ":bnext" for the first time,
      using an autocommand to restore the last used cursor position
      doesn't work.
    + 6.1.351: Crash when starting Vim the first time in an X server. (John
      McGowan)
    + 6.1.352: Win32: Crash when setting "imdisable" in _vimrc.
    + 6.1.353: Problem with drawing Arabic characters.
    + 6.1.354: MS-Windows 98: Notepad can't paste text copied from Vim when
      'encoding' is "utf-8".
    + 6.1.355: In a regexp '\n' will never match anything in a string.
    + 6.1.356: Compiler warnings for using convert_setup() and a few
      other things.
    + 6.1.357: CR in the quickfix window jumps to the error under the
      cursor, but this doesn't work in Insert mode.
    + 6.1.358: The tutor doesn't select another locale version properly.
    + 6.1.359: Mac Carbon: Vim doesn't get focus when started from the
      command line. Crash when using horizontal scroll bar.
    + 6.1.360: In Insert mode CTRL-K ESC messes up a multi-byte character.
    + 6.1.361: Cannot jump to a file mark with ":'M".
    + 6.1.362: tgetent() may return zero for success. tgetflag() may
      return -1 for an error.
    + 6.1.363: byte2line() can return one more than the number of lines.
    + 6.1.364: That the FileChangedShell autocommand event never nests
      makes it difficult to reload a file in a normal way.
    + 6.1.365: Setting a breakpoint in a sourced file with a relative
      path name doesn't work.
    + 6.1.366: Can't use Vim with Netbeans.
    + 6.1.367: Setting a breakpoint in a function doesn't work. For
      a sourced file it doesn't work when symbolic links are
      involved. (Servatius Brandt)
    + 6.1.368: Completion for ":map" does not include <silent> and
      <script>. ":mkexrc" do not save the <silent> attribute of mappings.
    + 6.1.369: VMS: Vim hangs when attempting to edit a read-only file
      in the terminal. Problem with VMS filenames for quickfix.
    + 6.1.370: #ifdef nesting is unclear.
    + 6.1.371: "%V" in 'statusline' doesn't show "0-1" in an empty line.
    + 6.1.372: With 16 bit ints there are compiler warnings.
    + 6.1.373: The default page header for printing is not translated.
    + 6.1.374: MS-Windows: Cannot build GvimExt with MingW or Cygwin.
    + 6.1.375: MS-Windows: ':!dir "%"' does not work for a file name
      with spaces.
    + 6.1.376: "vim --version" and "vim --help" have a non-zero exit
      code. That is unusual.
    + 6.1.377: Can't add words to 'lispwords' option.
    + 6.1.378: When two buffer-local user commands are ambiguous, a full
      match with a global user command isn't found.
    + 6.1.379: Linux with kernel 2.2 can't use the alternate stack in
      combination with threading, causes an infinite loop.
    + 6.1.380: When 'winminheight' is zero and the quickfix window is
      zero lines, entering the window doesn't make it highter. (Christian
      J. Robinson)
    + 6.1.381: When a BufWriteCmd is used and it leaves the buffer
      modified, the window may still be closed.
    + 6.1.382: Win32 GUI: When using two monitors, the code that
      checks/fixes the window size and position (e.g. when a font changes)
      doesn't work properly.
    + 6.1.383: The filling of the status line doesn't work properly for
      multi-byte characters. There is no check for going past the end of
      the buffer.
    + 6.1.384: It is not possible to find if a certain patch has been
      included.
    + 6.1.385: Can't compile without the multi-byte feature.
    + 6.1.386: Get duplicate tags when running ":helptags".
    + 6.1.387: Compiler warning for pointer cast.
    + 6.1.388: Compiler warning for pointer cast.
    + 6.1.389: Balloon evaluation doesn't work for GTK. has("balloon_eval")
      doesn't work.
    + 6.1.390: It's not possible to tell Vim to save and exit through the
      Netbeans interface. Would still try to send balloon eval text after
      the connection is closed. Can't use Unicode characters for sign text.
    + 6.1.391: ml_get
    + 6.1.392: Highlighting in the 'statusline' is in the wrong position
      when an item is tructated.
    + 6.1.393: When compiled with Python and threads, detaching the
      terminal may cause Vim to loop forever.
    + 6.1.394: The netbeans interface doesn't recognize multibyte glyph
      names.
    + 6.1.395: VMS: OLD_VMS is never defined. Missing function prototype.
    + 6.1.396: Compiler warnings for using enum.
    + 6.1.397: The install program may use a wrong path for the diff
      command if there is a space in the install directory path.
    + 6.1.398: Saving the typeahead for debug mode causes trouble for a
      test script.
    + 6.1.399: Warning for unused variable.
    + 6.1.400: When a BufWriteCmd wipes out the buffer it may still
      be accessed.
    + 6.1.401: Building the Win16 version with Borland 5.01 doesn't
      work. "make test" doesn't work with Make_dos.mak.
    + 6.1.402: When evaluating a function name with curly braces, an
      error is not handled consistently.
    + 6.1.403: MS-Windows 16 bit: compiler warnings.
    + 6.1.404: Various small problems.
    + 6.1.405: A few files are missing from the toplevel Makefile.
    + 6.1.406: When a statusline item doesn't fit arbitrary text appears.
    + 6.1.407: ":set scrollbind | help" scrollbinds the help
      window. (Andrew Pimlott)
    + 6.1.408: When 'rightleft' is set unprintable character 0x0c is
      displayed as ">c0<".
    + 6.1.409: Generating tags for the help doesn't work for some locales.
    + 6.1.410: Linking error when compiling with Netbeans but without
      sign icons.
    + 6.1.411: When 'virtualedit' is set, highlighting a Visual block
      beyond the end of a line may be wrong.
    + 6.1.412: When swapping terminal screens and using ":gui" to start
      the GUI, the shell prompt may be after a hit-enter prompt.
    + 6.1.413: When 'clipboard' contains "unnamed", "p" in Visual mode
      doesn't work correctly.
    + 6.1.414: VMS: Vim busy waits when waiting for input.
    + 6.1.415: When there is a vertical split and a quickfix window,
      reducing the size of the Vim window may result in a wrong window
      layout and a crash.
    + 6.1.416: When using the Netbeans interface, a line with a sign
      cannot be changed.
    + 6.1.417: Unprintable multi-byte characters are not handled
      correctly. Multi-byte characters above 0xffff are displayed as
      another character.
    + 6.1.418: The result of strftime() is in the current locals. Need
      to convert it to 'encoding'.
    + 6.1.419: Vim doesn't compile on AIX 5.1.
    + 6.1.420: convert_input() has an unnecessary STRLEN(). Conversion
      from UCS-2 to a codepage uses word count instead of byte count.
    + 6.1.421: MS-Windows 9x: When putting text on the clipboard it can
      be in the wrong encoding.
    + 6.1.422: Error in .vimrc doesn't cause hit-enter prompt when
      swapping screens.
    + 6.1.423: Can't find arbitrary text in help files.
    + 6.1.424: Win32: Gvim compiled with VC++ 7.0 run on Windows 95 does
      not show menu items.
    + 6.1.425: ":helptags $VIMRUNTIME/doc" does not add the "help-tags"
      tag.
    + 6.1.426: "--remote-wait +cmd file" waits forever.
    + 6.1.427: Several error messages for regexp patterns are not
      translated.
    + 6.1.428: FreeBSD: wait() may hang when compiled with Python support
      and doing a system() call in a startup script.
    + 6.1.429: Crash when using showmarks.vim plugin.
    + 6.1.430: In Lisp code backslashed parens should be ignored for "%".
    + 6.1.431: Debug commands end up in redirected text.
    + 6.1.432: MS-Windows: ":make %:p" inserts extra backslashes.
    + 6.1.433: ":popup" only works for Win32.
    + 6.1.434: Win32: When there are more than 32767 lines, the scrollbar
      has a roundoff error.
    + 6.1.435: ":winsize x" resizes the Vim window to the minimal
      size. (Andrew Pimlott)
    + 6.1.436: When a long UTF-8 file contains an illegal byte it's hard
      to find out where it is.
    + 6.1.437: Using multi-byte functions when they are not available.
    + 6.1.438: When Perl has thread support Vim cannot use the Perl
      interface.
    + 6.1.439: Netbeans: A "create" function doesn't actually create a
      buffer, following functions may fail.
    + 6.1.440: The "@*" command doesn't obtain the actual contents of
      the clipboard.
    + 6.1.441: "zj" and "zk" cannot be used as a motion command after
      an operator.
    + 6.1.442: Unicode 3.2 defines more space and punctuation characters.
    + 6.1.443: Win32: The gvimext.dll build with Borland 5.5 requires
      another DLL.
    + 6.1.444: Win32: Enabling a build with gettext support is not
      consistant.
    + 6.1.445: DJGPP: get warning for argument of putenv()
    + 6.1.446: Win32: The MingW makefile uses a different style of
      arguments than other makefiles. Dynamic IME is not supported
      for Cygwin.
    + 6.1.447: "make install" uses "make" directly for generating help
      tags.
    + 6.1.448: 'titlestring' has a default maximum width of 50 chars
      per item.
    + 6.1.449: When "1" and "a" are in 'formatoptions', auto-formatting
      always moves a newly added character to the next line.
    + 6.1.450: Termcap entry "kB" for back-tab is not recognized.
    + 6.1.451: GUI: When text in the find dialog contains a slash,
      a backslash is inserted the next time it is opened.
    + 6.1.452: Win32: IME support doesn't work for MSVC.
    + 6.1.453: When compiled without sign icons but with sign support,
      adding a sign may cause a crash.
    + 6.1.454: Win32: pasting Russian text in Vim with 'enc' set to cp1251
      results in utf-8 bytes. Conversion from DBCS to UCS2 does not work
      when 'encoding' is not the active codepage.
    + 6.1.455: Some Unicode characters can be one or two character
      cells wide.
    + 6.1.456: Win32: IME doesn't work.
    + 6.1.457: An empty register in viminfo causes conversion to fail.
    + 6.1.458: Compiler warning for pointer.
    + 6.1.459: Win32: libcall() may return an invalid pointer and cause
      Vim to crash.
    + 6.1.460: GTK: after scrolling the text one line with a key, clicking
      the arrow of the scrollbar does not always work.
    + 6.1.461: When a keymap is active, typing a character in Select mode
      does not use it.
    + 6.1.462: When autocommands wipe out a buffer, a crash may
      happen. (Hari Krishna Dara)
    + 6.1.463: When writing a compressed file, the file name that gzip
      stores in the file is the weird temporary file name.
    + 6.1.464: Crash when using C++ syntax highlighting.
    + 6.1.465: Compile error when using cygwin.
    + 6.1.466: The "-f" argument is a bit obscure.
    + 6.1.467: Setting the window title doesn't work for Chinese.
    + 6.1.468: ":mksession" also stores folds for buffers which will not
      be restored.
    + 6.1.469: 'listchars' cannot contain multi-byte characters.
    + 6.1.470: Polish messages don't show up correctly on MS-Windows.
    + 6.1.471: ":jumps" output continues after pressing "q" at the
      more-prompt.
    + 6.1.472: When there is an authentication error when connecting to
      the X server Vim exits.
    + 6.1.473: Referring to $curwin or $curbuf in Perl 5.6 causes a crash.
    + 6.1.474: When opening the command-line window in Ex mode it's
      impossible to go back.

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  6 Apr 2003 20:35:12 -0700

vim (1:6.1-320+1) unstable; urgency=low

  * new upstream patches:
    + 6.1.291: Win32: CTRL-@ doesn't work. Don't even get a message for it.
    + 6.1.292: Win32: Can't compile with new MingW compiler. Borland 5
      makefile doesn't generate pathdef.c.
    + 6.1.293: byte2line() returns a wrong result for some values.
    + 6.1.294: Can't include a multi-byte character in a string by its
      hex value.
    + 6.1.295: Processing the cs.po file generates an error.
    + 6.1.296: Win32: When cancelling the font dialog 'guifont' remains
      set to "*".
    + 6.1.297: "make test" fails in test6 in an UTF-8 environment.
    + 6.1.298: When using signs and the first line of a closed fold has
      a sign it can be redrawn as if the fold was open.
    + 6.1.299: ":edit +set\ ro file" doesn't work.
    + 6.1.300: Handling of ETO_IGNORELANGUAGE is confusing.
    + 6.1.301: French translation of file-save dialog doesn't show
      file name.
    + 6.1.302: Counting lines of the Visual area is incorrect for closed
      folds.
    + 6.1.303: The Top/Bottom/All text does not always fit in the ruler
      when translated to Japanese. Problem with a character being wider
      when in a bold font.
    + 6.1.304: Win32: Postscript is always enabled in the
      MingW Makefile. Pathdef.c isn't generated properly with
      Make_bc5.mak. (Yasuhiro Matsumoto)
    + 6.1.305: When 'verbose' is 14 or higher, a function call may cause
      reading uninitialized data.
    + 6.1.306: The AIX VisualAge cc compiler doesn't define __STDC__.
    + 6.1.307: When a double-byte character has an illegal tail byte the
      display is messed up.
    + 6.1.308: Can't reset the Visual mode returned by visualmode().
    + 6.1.309: The tutor doesn't select German if the locale name is
      "German_Germany.1252".
    + 6.1.310: All double-byte characters are displayed as "XX".
    + 6.1.311: VMS: path in window title doesn't include necessary
      separator. file version doesn't always work properly with
      Unix. Crashes because of memory overwrite in GUI. Didn't always
      handle files with lowercase and correct path.
    + 6.1.312: When using ":silent" debugging is also done silently.
    + 6.1.313: When a ":drop fname" command is used and "fname" is open
      in another window, it is also opened in the current window.
    + 6.1.314: Missing backslash in "Generic Config file" syntax menu.
    + 6.1.315: A very long hostname may lead to an unterminated
      string. Failing to obtain a hostname may result in garbage.
    + 6.1.316: When exiting with "wq" and there is a hidden buffer, after
      the "file changed" dialog there is a warning for a changed buffer.
    + 6.1.317: Closing a window may cause some of the remaining windows
      to be positioned wrong if there is a mix of horizontal and vertial
      splits.
    + 6.1.318: auto/pathdef.c can include wrong quotes when a compiler
      flag includes quotes.
    + 6.1.319: Using "--remote +cmd file" does not execute "cmd".
    + 6.1.320: When a ":drop one\ file" command is used the file "one\
      file" is opened, the backslash is not removed.
  * debian/patches/01ruby_mkmf: fixes an FTBFS that impacts ia64 but should
    probably have affected all archs (closes: Bug#174375)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat,  8 Feb 2003 12:28:24 -0800

vim (1:6.1-290+1) unstable; urgency=low

  * new upstream patches:
    + 6.1.267: Using "p" to paste into a Visual selected area may cause
      a crash.
    + 6.1.268: When triggering an abbreviation with a multi-byte character,
      this character is not correctly inserted after expanding the
      abbreviation.
    + 6.1.269: After using input() text written with ":redir" gets
      extra indent.
    + 6.1.270: GCC 3.2.1 still seems to have an optimizer problem.
    + 6.1.271: When compiling without the +syntax feature there are errors.
    + 6.1.272: After using ":set define<" a crash may happen.
    + 6.1.273: When the cursor doesn't blink, redrawing an exposed area
      may hide the cursor.
    + 6.1.274: Resetting the iconv() state after each error is wrong for
      an incomplete sequence.
    + 6.1.275: When using "v" in a startup script, get warning message
      that terminal cannot highlight.
    + 6.1.276: "gvim --remote file" doesn't prompt for an encryption key.
    + 6.1.277: Compilation error when building without GUI.
    + 6.1.278: When using signs the line number of a closed fold doesn't
      line up with the other line numbers.
    + 6.1.279: The prototype for smsg() and smsg_attr() do not match the
      function definition. This may cause trouble for some compilers.
    + 6.1.280: It's possible to use an argument "firstline" or "lastline"
      for a function but using "a:firstline" or "a:lastline" in the
      function won't work.
    + 6.1.281: In Insert mode CTRL-X CTRL-G leaves the cursor after
      the ruler.
    + 6.1.282: Elvis uses "se" in a modeline, Vim doesn't recognize this.
    + 6.1.283: For ":sign" the icon file name cannot contain a space.
    + 6.1.284: On Solaris there is a warning for "struct utimbuf".
    + 6.1.285: Can't wipe out a buffer with 'bufhidden' option.
    + 6.1.286: 'showbreak' cannot contain multi-byte characters.
    + 6.1.287: Effect of "delete" and "wipe" in 'bufhide' were mixed up.
    + 6.1.288: ":silent function F" hangs.
    + 6.1.289: Compiler warning for pointer.
    + 6.1.290: Truncating long text for message box may break multi-byte
      character.

 -- Luca Filipozzi <lfilipoz@debian.org>  Thu, 16 Jan 2003 21:37:13 -0800

vim (1:6.1-266+1) unstable; urgency=low

  * new epoch: change package version numbering so that new upstream patches
    don't generate new source packages
  * new upstream patches:
    + 6.1.264: exists() does not work for built-in functions
    + 6.1.265: libcall() can be used in 'foldexpr' to call any system
      function. rename(), delete() and remote_send() can also be used in
      'foldexpr'. These are security problems.
    + 6.1.266: Win32: compile error in eval.c.

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue, 24 Dec 2002 14:06:30 -0800

vim (6.1.263-2) unstable; urgency=low

  * debian/control: fix Build-Depends to include bzip2 (closes: Bug#171078)
  * debian/patches: 00os_unix.h - set default runtime path to include /etc/vim

 -- Luca Filipozzi <lfilipoz@debian.org>  Thu, 28 Nov 2002 09:15:32 -0800

vim (6.1.263-1) unstable; urgency=low

  * New maintainer
  * New debian build scripts
  * debian/runtime/vimrc: added 'set nomodeline' to address potential
    security issue wherein malicious persons author files with hazardous
    modelines, users unwittingly open said files and vim evaluates the
    dangerous modelines
  * Apply upstream patches:
    + 6.1.207: Indenting a Java file hangs below a line with a comment
      after a command.
    + 6.1.208: Can't use the buffer number from the Python interface.
    + 6.1.209: Printing doesn't work on Mac OS classic.
    + 6.1.210: When there is an iconv() conversion error when reading a
      file there can be an error the next time iconv() is used.
    + 6.1.211: The message "use ! to override" is confusing.
    + 6.1.212: When Vim was started with "-R" ":new" creates a buffer
      'noreadonly' while ":enew" has 'readonly' set.
    + 6.1.213: Using CTRL-W H may cause a big gap to appear below the
      last window.
    + 6.1.214: When installing Vim and the runtime files were checked
      out from CVS the CVS directories will also be installed.
    + 6.1.215: Win32: ":pwd" uses backslashes even when 'shellslash'
      is set.
    + 6.1.216: When dynamically loading the iconv library, the error
      codes may be confused.
    + 6.1.217: When sourcing the same Vim script using a different name
      (symbolic link or MS-Windows 8.3 name) it is listed twice with
      ":scriptnames". (Tony Mechelynck)
    + 6.1.218: No error message for using the function argument
      "5+". (Servatius Brandt)
    + 6.1.219: When using ":amenu :b 1<CR>" with a Visual selection and
      'insertmode' is set, Vim does not return to Insert mode. (Mickael
      Marchand)
    + 6.1.220: When using a BufReadPost autocommand that changes the line
      count, e.g., "$-1join", reloading a file that was changed outside
      Vim does not work properly.
    + 6.1.221: Changing case may not work properly, depending on the
      current locale.
    + 6.1.222: Patch 6.1.219 was incomplete.
    + 6.1.223: Win32: When IME is activated 'iminsert' is set, but it
      might never be reset when IME is disabled. All systems: 'iminsert' is
      set to 2 when leaving Insert mode, even when langmap is being used.
    + 6.1.224: "expand('$VAR')" returns an empty string when the expanded
      $VAR is not an existing file.
    + 6.1.225: Using <C-O><C-^> in Insert mode has a delay when starting
      "vim -u NONE" and ":set nocp hidden". (Emmanuel) do_ecmd() uses
      fileinfo(), the redraw is done after a delay to give the user time
      to read the message.
    + 6.1.226: Using ":debug" with a ":normal" command may cause a
      hang. (Colin Keith)
    + 6.1.227: It is possible to use a variable name "asdf:asdf" and
      ":let j:asdf = 5" does not give an error message.
    + 6.1.228: Win32: The special output function for Hangul is used
      too often, causing special handling for other situations
      to be skipped. bInComposition is always FALSE, causing
      ImeGetTempComposition() always to return NULL.
    + 6.1.229: Win32: Conversion to/from often used codepages requires
      the iconv library, which is not always available.
    + 6.1.230: Win16: building doesn't work.
    + 6.1.231: Double clicking with the mouse to select a word does not
      work for multi-byte characters.
    + 6.1.232: Using ex_normal_busy while it might not be available. (Axel
      Kielhorn)
    + 6.1.233: ":help expr-||" does not work.
    + 6.1.234: Get a warning for using a negative value for st_dev.
    + 6.1.235: 'iminsert' is changed from 1 to 2 when leaving Insert
      mode. (Peter Valach)
    + 6.1.236: Memory leaks when appending lines for ":diffget" or
      ":diffput" and when reloading a changec buffer.
    + 6.1.237: Putting in Visual block mode does not work correctly when
      "$" was used or when the first line is short.
    + 6.1.238: Win32: The "icon=" argument for the ":menu" command does
      not search for the bitmap file.
    + 6.1.239: Giving an error for missing :endif or :endwhile when
      being interrupted.
    + 6.1.240: Win32 with BCC 5: CPU may be defined in the environment,
      which causes a wrong argument for the compiler.
    + 6.1.241: Something goes wrong when drawing or undrawing the cursor.
    + 6.1.242: When pasting a large number of lines on the command line
      it is not possible to interrupt.
    + 6.1.243: Win32: When the OLE version is started and wasn't
      registered, a message pops up to suggest registering, even when
      this isn't possible (when the registry is not writable).
    + 6.1.244: Patch 6.1.237 was missing the diff for vim.h.
    + 6.1.245: Comparing with ignored case does not work properly for
      Unicode with a locale where case folding an ASCII character results
      in a multi-byte character.
    + 6.1.246: ":blast" goes to the first buffer if the last one is
      unlisted.
    + 6.1.247: ACL support doesn't always work properly.
    + 6.1.248: Typing 'q' at the more-prompt for ":let" does not quit
      the listing.
    + 6.1.249: Can't expand a path on the command line if it includes a
      "|" as a trail byte of a multi-byte character.
    + 6.1.250: When changing the value of 'lines' inside the expression
      set with 'diffexpr' Vim might crash.
    + 6.1.251: Can't use completion for ":lcd" and ":lchdir" like ":cd".
    + 6.1.252: "vi}" does not include a line break when the "}" is at
      the start of a following line.
    + 6.1.253: Win32 with Cygwin: Changes the path of arguments in a
      wrong way.
    + 6.1.254: exists("foo{bar}") does not work. ':unlet v{"a"}r' does
      not work. ":let v{a}r1 v{a}r2" does not work. ":func F{(1)}" does
      not work. ":delfunc F{" does not give an error message. ':delfunc
      F{"F"}' does not work.
    + 6.1.255: Crash when loading menu.vim a second time. ":unlet garbage
      foo" tries unletting "foo" after an error message. Very long function
      arguments cause very long messages when 'verbose' is 14 or higher.
    + 6.1.256: Defining a function after ":if 0" could still cause an
      error message for an existing function. Leaking memory when there
      are trailing characters for ":delfunc".
    + 6.1.257: ":cwindow" always sets the previous window to the last
      but one window.
    + 6.1.258: Buffers menu doesn't work properly for multibyte buffer
      names.
    + 6.1.259: Mac: with 'patchmode' is used filenames are truncated.
    + 6.1.260: GCC 3.2 still seems to have an optimizer problem.
    + 6.1.261: When deleting a line in a buffer which is not the current
      buffer, using the Perl interface Delete(), the cursor in the current
      window may move.
    + 6.1.262: When jumping over folds with "z[", "zj" and "zk" the
      previous position is not remembered.
    + 6.1.263: When typing a multi-byte character that triggers an
      abbreviation it is not inserted properly.

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue, 26 Nov 2002 09:46:26 -0800

vim (6.1.206-1) unstable; urgency=low

  * Change priority of vim package back to optional
  * Switch to tcl8.4-dev
  * Apply upstream patches:
    + 6.1.166: When 'autoindent' is set and mswin.vim has been sourced,
      pasting with CTRL-V just after auto-indenting removes the
      indent.
    + 6.1.167: When giving a negative argument to ":retab" strange things
      start happening.
    + 6.1.168: Pressing CTRL-C at the hit-enter prompt doesn't end
      the prompt.
    + 6.1.169: bufexists() finds a buffer by using the name of a symbolic
      link to it, but bufnr
    + 6.1.170: Using ":mksession" uses the default session file name,
      but "vim -S" doesn't.
    + 6.1.171: When opening a line just above a closed fold with "O"
      and the comment leader is automatically inserted, the cursor is
      displayed in the first column.
    + 6.1.172: Command line completion of ":tag /pat" does not show the
      same results as the tags the command actually finds.
    + 6.1.173: When using remote control to edit a position in a file
      and this file is the current buffer and it's modified, the window
      is split and the ":drop" command fails.
    + 6.1.174: It is difficult to know in a script whether an option not
      only exists but really works.
    + 6.1.175: When reading commands from a pipe and a CTRL-C is pressed,
      Vim will hang.
    + 6.1.176: When the stack limit is very big a false out-of-stack
      error may be detected.
    + 6.1.177: ":wincmd" does not allow a following command.
    + 6.1.178: When 'expandtab' is set "r<C-V><Tab>" still expands the Tab.
    + 6.1.179: When using X11R5 XIMPreserveState is undefined.
    + 6.1.180: Use of the GUI code for forking is inconsistent.
    + 6.1.181: If the terminal doesn't wrap from the last char in a line
      to the next line, the last column is blanked out.
    + 6.1.182: It is not possible to auto-format comments only.
    + 6.1.183: When 'fencs' is empty and 'enc' is utf-8, reading a file
      with illegal bytes gives "CONVERSION ERROR" even though no conversion
      is done. 'readonly' is set, even though writing the file results
      in an unmodified file.
    + 6.1.184: The extra mouse buttons found on some mice don't work.
    + 6.1.185: Can't compile without +comments feature.
    + 6.1.186: ":wincmd" does not allow a following comment.
    + 6.1.187: Using ":doarg" with 'hidden' set and the current file is
      the only argument and was modified gives an error message.
    + 6.1.188: Unused variable in the small version.
    + 6.1.189: inputdialog() doesn't work when 'c' is in 'guioptions'.
    + 6.1.190: VMS: doesn't build with GTK GUI. Various other problems.
    + 6.1.191: When using "vim -s script" and redirecting the output,
      the delay for the "Output is not to a terminal" warning slows Vim
      down too much.
    + 6.1.192: ":diffsplit" doesn't add "hor" to 'scrollopt'.
    + 6.1.193: Crash in in_id_list() for an item with a "containedin" list.
    + 6.1.194: When "t_ti" is set but it doesn't cause swapping terminal
      pages, "ZZ" may cause the shell prompt to appear on top of the
      file-write message.
    + 6.1.195: The quickfix and preview windows always keep their height,
      while other windows can't fix their height.
    + 6.1.196: On Mac OS X 10.2 generating osdef.h fails.
    + 6.1.197: ":help <C-V><C-\><C-V><C-N>" (resulting in <1c><0e>)
      gives an error message.
    + 6.1.198: Mac OS X: Dialogues don't work.
    + 6.1.199: 'guifontwide' doesn't work on Win32.
    + 6.1.200: ":syn sync fromstart" is not skipped after ":if 0". This
      can make syntax highlighting very slow.
    + 6.1.201: Warning for illegal pointer combination.
    + 6.1.202: Win32: filewritable() doesn't work properly on directories.
    + 6.1.203: ":%s/~//" causes a crash after ":%s/x//".
    + 6.1.204: Warning for an illegal pointer on Solaris.
    + 6.1.205: The gzip plugin changes the alternate file when editing
      a compressed file.
    + 6.1.206: The script generated with ":mksession" doesn't work properly
      when some commands are mapped.

 -- Wichert Akkerman <wakkerma@debian.org>  Tue,  1 Oct 2002 23:20:57 +0200

vim (6.1.165-1) unstable; urgency=low

  * Change priority to extra
  * Build-Depend on libperl-dev >= 5.8.0-7 in order to force perl transition
  * Apply upstream patches:
    + 6.1.152: When $LANG is iso8859-1 translated menus are not used.
    + 6.1.153: Searching in included files may search recursively when
      the path starts with "../".
    + 6.1.154: DJGPP: "vim -h" leaves the cursor in a wrong position.
    + 6.1.155: Win32: Cursor may sometimes disappear in Insert mode.
    + 6.1.156: Conversion between DBCS and UCS-2 isn't implemented cleanly.
    + 6.1.157: 'hlsearch' highlights only the second comma in ",,,,,"
      with "/,\@<=[^,]*".
    + 6.1.158: "zs" and "ze" don't work correctly with ":set nowrap
      siso=1".
    + 6.1.159: When expanding an abbreviation that includes a multi-byte
      character too many characters are deleted.
    + 6.1.160: ":$read file.gz" doesn't work.
    + 6.1.161: Warning for signed/unsigned compare. Can set 'siso' to a
      negative value.
    + 6.1.162: Python interface: Didn't initialize threads properly.
    + 6.1.163: Win32: Can't compile with Python after 6.1.162.
    + 6.1.164: If 'modifiable' is off, converting to xxd fails and
      'filetype' is changed to "xxd" anyway.
    + 6.1.165: Making changes in several lines and then a change in one
      of these lines that splits it in two or more lines, undo information
      was corrupted. May cause a crash.

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 27 Aug 2002 17:10:44 +0000

vim (6.1.152-1) unstable; urgency=low

  * Apply upstream patches:
    + 6.1.049: On a 32 bit display a valid color may cause an error
      message, because its pixel value is negative.
    + 6.1.050: After patch 6.1.049 the non-GUI version doesn't compile.
    + 6.1.051: Doesn't compile with GUI and small features.
    + 6.1.052: Unix: The executable() function doesn't work when the
      "which" command isn't available.
    + 6.1.053: When 'sessionoptions' contains "globals", or "localoptions"
      and an option value contains a line break, the resulting script
      is wrong.
    + 6.1.054: GUI: A mouse click is not recognized at the more prompt,
      even when 'mouse' includes 'r'.
    + 6.1.055: When editing a compressed file, Vim will inspect the
      contents to guess the filetype.
    + 6.1.056: Loading the Syntax menu can take quite a bit of time.
    + 6.1.057: An ESC inside a mapping doesn't work as documented when
      'insertmode' is set, it does go from Visual or Normal mode to
      Insert mode.
    + 6.1.058: When there is a closed fold just above the first line in
      the window, using CTRL-X CTRL-Y in Insert mode will show only one
      line of the fold.
    + 6.1.059: ":redir > ~/file" doesn't work.
    + 6.1.060: When 'virtualedit' is set and 'selection' is "exclusive",
      deleting a character just before a tab changes the tab into
      spaces. Undo doesn't restore the tab.
    + 6.1.061: When 'virtualedit' is set and 'selection' is "exclusive",
      a Visual selection that ends just after a tab doesn't include that
      tab in the highlighting.
    + 6.1.062: The "man" filetype plugin doesn't work properly on
      Solaris 5.
    + 6.1.063: Java indenting doesn't work properly.
    + 6.1.064: The URLs that the netrw plugin recognized for ftp and rcp
      did not conform to the standard method://[user@]host[:port]/path.
    + 6.1.065: VMS: The colorscheme, keymap and compiler menus are not
      filled in.
    + 6.1.066: When calling system() in a plugin reading stdin hangs.
    + 6.1.067: ":set viminfo+=f0" is not working.
    + 6.1.068: When a file is reloaded after it was changed outside of Vim,
      diff mode isn't updated.
    + 6.1.069: When 'showmatch' is set and "$" is in 'cpoptions', using
      "C}<Esc>" may forget to remove the "$".
    + 6.1.070: Compiler warning for signed/unsigned mismatch.
    + 6.1.071: When 'selection' is exclusive, g CTRL-G in Visual mode
      counts one character too much.
    + 6.1.072: When a file name in a tags file starts with http://
      or something else for which there is a BufReadCmd autocommand,
      the file isn't opened anyway.
    + 6.1.073: BC5: Can't easily specify a tiny, small, normal, big or
      huge version.
    + 6.1.074: When 'cdpath' includes "../..", changing to a directory
      in which we currently already are doesn't work. ff_check_visited()
      adds the directory both when using it as the root for searching
      and for the actual matches.
    + 6.1.075: Can't compile fileio.c on MS-Windows.
    + 6.1.076: Macintosh: explorer plugin doesn't work on Mac Classic. IME
      doesn't work. Dialog boxes don't work on Mac OS X
    + 6.1.077: On a Debian system wht ACL linking fails.
    + 6.1.078: When using 'foldmethod' "marker" and the end marker appears
      before the start marker in the file, no fold is found.
    + 6.1.079: When using "s" in Visual block mode with 'virtualedit'
      set, when the selected block is after the end of some lines the
      wrong text is inserted and some lines are skipped.
    + 6.1.080: When using gcc with /usr/local already in the search path,
      adding it again causes problems.
    + 6.1.081: ":help CTRL-\_CTRL-N" doesn't work.
    + 6.1.082: On MS-Windows the vimrc_example.vim script is sourced
      and then mswin.vim. This enables using select mode, but since "p"
      is mapped it doesn't replace the selection.
    + 6.1.083: When $LANG is "sk" or "sk_sk", the Slovak menu file
      isn't found.
    + 6.1.084: "include" and "lib" are mixed up when checking the
      directories gcc already searches.
    + 6.1.085: When using CTRL-O CTRL-\ CTRL-N from Insert mode, the
      displayed mode "
    + 6.1.086: The guifg color for CursorIM doesn't take effect.
    + 6.1.087: A thesaurus with Japanese characters has problems with
      characters in different word classes.
    + 6.1.088: Win32: no debugging info is generated. Tags file excludes
      .cpp files.
    + 6.1.089: On BSDI systems there is no ss_sp field in stack_t.
    + 6.1.090: CTRL-F gets stuck when 'scrolloff' is non-zero and there
      is a mix of long wrapping lines and a non-wrapping line.
    + 6.1.091: GTK: Can't change preeditstate without setting
      'imactivatekey'.
    + 6.1.092: ":mapclear <buffer>" doesn't work.
    + 6.1.093: Mac and MS-Windows GUI: when scrolling while ":s" is
      working the results can be messed up, because the cursor is moved.
    + 6.1.094: Cygwin: Passing a file name that has backslashes isn't
      handled very well.
    + 6.1.095: When using signs can free an item on the stack. Overruling
      sign colors doesn't work.
    + 6.1.096: When erasing the right halve of a double-byte character,
      it may cause further characters to be erased.
    + 6.1.097: When 'scrolloff' is set to a huge value, CTRL-F at the
      end of the file scrolls one line.
    + 6.1.098: MS-Windows: When the xxd program is under "c:\program files"
      the "Convert to Hex" menu doesn't work.
    + 6.1.099: Memory corrupted when closing a fold with more than
      99999 lines.
    + 6.1.100: Win32: VC5 and earlier don't support the /mapinfo option.
    + 6.1.101: After using ":options" the tabstop of a new window is
      15. Entry in ":options" window for 'autowriteall' is wrong. (Antoine
      J Mechelynck) Can't insert a space in an option value.
    + 6.1.102: Unprintable and multi-byte characters in a statusline item
      are not truncated correctly.
    + 6.1.103: A function returning from a while loop, with 'verbose'
      set to 12 or higher, doesn't mention the return value. A function
      with the 'abort' attribute may return -1 while the verbose message
      says something else.
    + 6.1.104: GCC 3.1 appears to have an optimizer problem that makes
      test 3 crash.
    + 6.1.105: Win32: The default for 'shellpipe' doesn't redirect
      stderr. (Dion Nicolaas)
    + 6.1.106: The maze program crashes.
    + 6.1.107: When 'list' is set the current line in the error window
      may be displayed wrong.
    + 6.1.108: When interrupting a filter command such as "!!sleep 20"
      the file becomes read-only.
    + 6.1.109: When 'eadirection' is "hor", using CTRL-W = doesn't equalize
      the window heights.
    + 6.1.110: When using ":badd file" when "file" is already present
      but not listed, it stays unlisted.
    + 6.1.111: It's not possible to detect using the Unix sources on
      Win32 or Mac.
    + 6.1.112: When using ":argdo", ":bufdo" or ":windo", CTRL-O doesn't
      go to the cursor position from before this command but every position
      where the argument was executed.
    + 6.1.113: ":bufdo bwipe" only wipes out half the buffers.
    + 6.1.114: ":python import vim", ":python vim.current.buffer[0:0] =
      []" gives a lalloc
    + 6.1.115: "das" on the white space at the end of a paragraph does
      not delete the "." the sentence ends with.
    + 6.1.116: When 'endofline' is changed while 'binary' is set a file
      should be considered modified.
    + 6.1.117: Small problem with editing a file over ftp: and with Cygwin.
    + 6.1.118: When a file in diff mode is reloaded because it changed
      outside of Vim, other windows in diff mode are not always updated.
    + 6.1.119: With the Sniff interface, using Sniff 4.0.X on HP-UX,
      there may be a crash when connecting to Sniff.
    + 6.1.120: When 'scrolloff' is non-zero and there are folds, CTRL-F
      at the end of the file scrolls part of a closed fold.
    + 6.1.121: When starting Select mode from Insert mode, then using
      the Paste menu entry, the cursor is left before the laste pasted
      character.
    + 6.1.122: ":file name" creates a new buffer to hold the old buffer
      name, which becomes the alternate file. This buffer is unexpectedly
      listed.
    + 6.1.123: A ":match" command with more than one argument doesn't
      report an error.
    + 6.1.124: When trying to exit and there is a hidden buffer that had
      'eol' off and 'bin' set exiting isn't possible.
    + 6.1.125: Explorer plugin asks for saving a modified buffer even
      when it's open in another window as well.
    + 6.1.126: Adding the choices in the syntax menu is consuming much
      of the startup time of the GUI while it's not often used.
    + 6.1.127: When using "--remote file" and the server has 'insertmode'
      set, commands are inserted instead of being executed.
    + 6.1.128: The expression "input('very long prompt')" puts the cursor
      in the wrong line (column is OK).
    + 6.1.129: On Solaris editing "file/" and then "file" results in
      using the same buffer.
    + 6.1.130: The documentation for some of the 'errorformat' items
      is unclear.
    + 6.1.131: X11 GUI: when expanding a CSI byte in the input stream to
      K_CSI, the CSI byte itself isn't copied.
    + 6.1.132: Executing a register in Ex mode may cause commands to
      be skipped.
    + 6.1.133: When drawing double-wide characters in the statusline,
      may clear half of a character.
    + 6.1.134: An error for a trailing argument of ":match" should not
      be given after ":if 0".
    + 6.1.135: Passing a command to the shell that includes a newline
      always has a backslash before the newline.
    + 6.1.136: When $TERM is "linux" the default for 'background' is
      "dark", even though the GUI uses a light background.
    + 6.1.137: Converting to HTML has a clumsy way of dealing with tabs
      which may change the highlighting.
    + 6.1.138: Adding extra items to the Syntax menu can't be done when
      the "Show individual choices" menu is used.
    + 6.1.139: Cygwin: PATH_MAX is not defined.
    + 6.1.140: Cygwin: ":args `ls *.c`" does not work if the shell command
      produces CR NL line separators.
    + 6.1.141: ":wincmd gx" may cause problems when mixed with other
      commands. ":wincmd c" doesn't close the window immediately.
    + 6.1.142: Defining paragraphs without a separating blank line isn't
      possible. Paragraphs can't be formatted automatically.
    + 6.1.143: Auto formatting near the end of the file moves the cursor
      to a wrong position. In Insert mode some lines are made one char
      too narrow. When deleting a line undo might not always work properly.
    + 6.1.144: Obtaining the size of a line in screen characters can be
      wrong. A pointer may wrap around zero.
    + 6.1.145: GTK: Drag&drop with more than 3 files may cause a
      crash. (Mickael Marchand)
    + 6.1.146: MS-Windows: When $HOME is constructed from $HOMEDRIVE and
      $HOMEPATH, it is not used for storing the _viminfo file. (Normal
      Diamond)
    + 6.1.147: MS-Windows: When a dialog has no default button, pressing
      Enter ends it anyway and all buttons are selected.
    + 6.1.148: MS-Windows: ACL is not properly supported.
    + 6.1.149: MS-Windows: Can't use diff mode from the file explorer.
    + 6.1.150: OS/2, MS-Windows and MS-DOS: When 'shellslash' is set
      getcwd() still uses backslash.
    + 6.1.151: Win32: The NTFS substream isn't copied.
    + 6.1.152: When $LANG is iso8859-1 translated menus are not used.

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 13 Aug 2002 10:54:13 +0200

vim (6.1.048-1) unstable; urgency=low

  * Bump Standards-Version. Closes: Bug#145062
  * Sync cscope support and dependencies. Closes: Bug#143205
  * Apply upstream patches:
    + 6.1.019: Win32: File name is messed up when editing just a drive
      name.
    + 6.1.020: col("'>") returns a huge number after using Visual line
      mode.
    + 6.1.021: Vim crashes when using a huge number for the minwid value
      in a statusline.
    + 6.1.022: Grabbing the status line above the command-line window
      works like the bottom status line was grabbed.
    + 6.1.023: VMS: running tests doesn't work properly.
    + 6.1.024: When header files use a new syntax for declaring functions,
      Vim can't figure out missing prototypes properly.
    + 6.1.025: Five messages for "vim --help" don't start with a
      capital.
    + 6.1.026: *.patch files are not recognized as diff files. In a script
      a "VAR=val" argument after "env" isn't ignored. PHP scripts are
      not recognized.
    + 6.1.027: When 'foldcolumn' is non-zero, a special character
      that wraps to the next line disturbs the foldcolumn
      highlighting.
    + 6.1.028: Client-server: When a --remote-expr fails, Vim still exits
      with status zero.
    + 6.1.029: When 'encoding' is an 8-bit encoding other than "latin1",
      editing a utf-8 or other Unicode file uses the wrong conversion. (Jan
      Fedak)
    + 6.1.030: When CTRL-N is mapped in Insert mode, it is also mapped
      after CTRL-X CTRL-N, while it is not mapped after CTRL-X CTRL-F.
    + 6.1.031: Cygwin: Xxd could read a file in text mode intead of
      binary mode.
    + 6.1.032: Can't specify a quickfix file without jumping to the
      first error.
    + 6.1.033: GUI: When the selection is lost and the Visual highlighting
      is changed to underlining, the cursor is left in a different
      position.
    + 6.1.034: A CVS diff file isn't recognized as diff filetype.
    + 6.1.035: Win32: Outputting Hebrew or Arabic text might have a
      problem with reversing on MS-Windows 95/98/ME.
    + 6.1.036: This command may cause a crash: ":v/./,//-j".
    + 6.1.037: When 'lazyredraw' is set, pressing "q" at the hit-enter
      prompt causes an incomplete redraw and the cursor isn't positioned.
    + 6.1.038: Multi-byte: When a ":s" command contains a multi-byte
      character where the trail byte is '~' the text is messed up.
    + 6.1.039: When folds are defined and the file is changed outside
      of Vim, reloading the file doesn't update the folds. (Anders
      Schack-Nielsen)
    + 6.1.040: When changing directory for expanding a file name fails
      there is no error message.
    + 6.1.041: ":mkvimrc" doesn't handle a mapping that has a leading
      space in the rhs.
    + 6.1.042: "vim -r" doesn't show all matches when 'wildignore'
      removes swap files.
    + 6.1.043: After patch 6.1.040 a few warnings are produced.
    + 6.1.044: GUI: When using the find/replace dialog with text that
      contains a slash, an invalid substitute command is generated. On
      Win32 a find doesn't work when 'insertmode' is set.
    + 6.1.045: In Visual mode, with lots of folds and 'scrolloff' set
      to 999, moving the cursor down near the end of the file causes the
      text to jump up and down.
    + 6.1.046: X11 GUI: ":set lsp=2 gcr=n-v-i:hor1-blinkon0" draws a
      black rectangle. ":set lsp=2 gcr=n-v-i:hor10-blinkon0" makes the
      cursor disappear.
    + 6.1.047: When skipping commands after an error was encountered,
      expressions for ":if", ";elseif" and ":while" are still evaluated.
    + 6.1.048: Unicode 3.2 changes were missing a few Hangul Jamo
      characters.

 -- Wichert Akkerman <wakkerma@debian.org>  Sat,  4 May 2002 17:57:01 +0200

vim (6.1.018-1) unstable; urgency=low

  * Apply upstream patches:
    + 6.1.012: A system() call might fail if fread() does CR-LF to LF
      translation.
    + 6.1.013: Win32: The default for 'printexpr' doesn't work when there
      are special characters in 'printdevice'.
    + 6.1.014: An operator like "r" used in Visual block mode doesn't use
      'virtualedit' when it's set to "block".
    + 6.1.015: After patch 6.1.014 can't compile with tiny
      features.
    + 6.1.016: Win32: Outputting Hebrew or Arabic text might have a
      problem with reversing.
    + 6.1.017: Cygwin: After patch 6.1.012 Still doesn't do binary
      file I/O.
    + 6.1.018: Error message when using cterm highlighting. Closes: Bug#142663

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Apr 2002 20:38:53 +0200

vim (6.1.011-1) unstable; urgency=low

  * Enable langmap and keymap in all builds. Closes: Bug#141127
  * Apply upstream patches:
    + 6.1.001: When formatting UTF-8 text it might be wrapped at a space
      that is followed by a composing character. Also correct a display
      error for removing a composing char on top of a space.
    + 6.1.002: Win32: after a ":popup" command the mouse pointer stays
      hidden.
    + 6.1.003: When 'laststatus' is zero and there is a vertical split, the
      vertical separator is drawn in the command line.
    + 6.1.004: Unicode 3.2 changes width and composing of a few characters.
    + 6.1.005: When using more than 50 items in 'statusline' Vim might
      crash.
    + 6.1.006: When using "P" in Visual mode to put linewise selected text,
      the wrong text is deleted.
    + 6.1.007: Using ":filetype plugin off" when filetype plugins were
      never enabled causes an error message.
    + 6.1.008: The "%" command doesn't ignore \" inside a string, it's
      seen as the end of the string.
    + 6.1.009: Vim crashes when using a huge number for the maxwid value
      in a statusline.
    + 6.1.010: Searching backwards for a question mark with "?\?" doesn't
      work. Same problem in ":s?\??" and ":g?\??".
    + 6.1.011: XIM: doesn't work correctly when 'number' is set. Also,
      a focus problem when selecting candidates.

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  4 Apr 2002 14:49:27 +0200

vim (6.1.000-2) unstable; urgency=low

  * Fix version number
  * Update copyright the uganda.txt version. Closes: Bug#139780

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 25 Mar 2002 13:42:03 +0100

vim (6.1.-1) unstable; urgency=low

  * Small fixes to default vimrc
  * New upstream version.
    + includes 6.1b.033: When using a count after a ":s" command may get
      ml_get errors. Closes: Bug#139403

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 24 Mar 2002 18:24:35 +0100

vim (6.0.270-1) unstable; urgency=low

  * Switch to copyright from vim 6.1BETA which is fully GPL compatible
  * More upstream patches:
    + 6.0.227: The RISC OS port has several problems.
    + 6.0.228: After putting text in Visual mode the '] mark is not at
      the end of the put text. Undo doesn't work properly when putting
      a word into a Visual selection that spans more than one line.
    + 6.0.229: Multi-byte: With 'm' in 'formatoptions', formatting
      doesn't break at a multi-byte char followed by an ASCII char,
      and the other way around. When joining lines a space is inserted
      between multi-byte characters, which is not always wanted.
    + 6.0.230: The ":" used as a motion after an operator is exclusive,
      but sometimes it should be inclusive.
    + 6.0.231: "gd" and "gD" don't work when the variable matches in a
      comment just above the match to be found.
    + 6.0.232: "vim --version" prints on stderr while "vim --help" prints
      on stdout.
    + 6.0.233: "\1\{,8}" in a regexp is not allowed, but it should work,
      because there is an upper limit.
    + 6.0.234: It's not easy to set the cursor position without modifying
      marks.
    + 6.0.235: When writing a file and renaming the original file to make
      the backup, permissions could change when setting the owner.
    + 6.0.236: ":edit" without argument should move cursor to line 1 in
      Vi compatible mode.
    + 6.0.237: In a C file, using the filetype plugin, re-indenting a
      comment with two spaces after the middle "*" doesn't align properly.
    + 6.0.238: Using a ":subsitute" command with a substitute() call in
      the substitution expression causes errors.
    + 6.0.239: Using "A" to append after a Visually selected block which
      is after the end of the line, spaces are inserted in the wrong line
      and other unexpected effects.
    + 6.0.240: Win32: building with Python 2.2 doesn't work.
    + 6.0.241: Win32: Expanding the old value of an option that is a path
      that starts with a backslash, an extra backslash is inserted.
    + 6.0.242: GUI: On a system with an Exceed X server sometimes get a
      "Bad Window" error.
    + 6.0.243: Unix: "vim --version" outputs a NL before the last line
      instead of after it.
    + 6.0.244: Multi-byte: Problems with (illegal) UTF-8 characters in
      menu and file name (e.g., icon text, status line).
    + 6.0.245: After using a color scheme, setting the 'background'
      option might not work.
    + 6.0.246: ":echomsg" didn't use the highlighting set by
      ":echohl". (Gary Holloway)
    + 6.0.247: GTK GUI: Can't use gvim in a kpart widget.
    + 6.0.248: When using compressed help files and 'encoding' isn't
      "latin1", Vim converts the help file before decompressing.
    + 6.0.249: "vim -t edit -c 'sta ex_help'" doesn't move cursor to
      edit().
    + 6.0.250: Macintosh: Various problems when compiling.
    + 6.0.251: Macintosh: menu shortcuts are not very clear.
    + 6.0.252: When a user function was defined with "abort", an error that
      is not inside if/endif or while/endwhile doesn't abort the function.
    + 6.0.253: When 'insertmode' is set, after "<C-O>:edit file" the next
      <C-O> doesn't work. (Benji Fisher) <C-L> has the same problem.
    + 6.0.254: Borland C++ 5.5: Checking for stack overflow doesn't work
      correctly. Matters when using a complicated regexp.
    + 6.0.255: Win32: ACL support doesn't work well on Samba drives.
    + 6.0.256: Win32: ":highlight Comment guifg=asdf" does not give an
      error message. (Randall W. Morris) Also for other systems.
    + 6.0.257: Win32: When 'mousefocus' is set and there is a BufRead
      autocommand, after the dialog for permissions changed outside of Vim:
      'mousefocus' stops working.
    + 6.0.258: When 'scrolloff' is 999 and there are folds, the text
      can jump up and down when moving the cursor down near the end of
      the file.
    + 6.0.259: MS-DOS: after editing the command line the cursor shape
      may remain like in Insert mode.
    + 6.0.260: GUI: May crash while starting up when giving an error
      message for missing color.
    + 6.0.261: nr2char() and char2nr() don't work with multi-byte
      characters.
    + 6.0.262: Win32: IME doesn't work properly. OnImeComposition()
      isn't used at all.
    + 6.0.263: GTK: When a dialog is closed by the window manager,
      Vim hangs.
    + 6.0.264: The amount of virtual memory is used to initialize
      'maxmemtot', which may be much more than the amount of physical
      memory, resulting in a lot of swapping.
    + 6.0.265: Win32: Using backspace while 'fkmap' is set causes a crash.
    + 6.0.266: The rename() function deletes the file if the old and the
      new name are the same.
    + 6.0.267: UTF-8: Although 'isprint' says a character is printable,
      utf_char2cells() still considers it unprintable.
    + 6.0.268: Win32: ACL check crashes when using forward slash in
      file name.
    + 6.0.269: Unprintable characters in a file name may cause problems
      when using the 'statusline' option or when 'buftype' is "nofile".
    + 6.0.270: A tab causes UTF-8 text to be displayed in the wrong
      position.

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 24 Feb 2002 23:16:17 +0100

vim (6.0.226-1) unstable; urgency=medium

  * Don't abort if update-alternatives reports an error
  * More upstream patches:
    + 6.0.223: When splitting a window that contains the explorer, hitting CR
      on a file name gives error messages.
    + 6.0.224: When 'sidescroll' and 'sidescrolloff' are set in a narrow
      window the text may jump left-right and the cursor is displayed in the
      wrong position.
    + 6.0.225: In Visual mode "gk" gets stuck in a closed fold. /
    + 6.0.226: When doing ":recover file" get the ATTENTION prompt. After
      recovering the same file five times get a read error or a crash.

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 17 Feb 2002 15:08:03 +0100

vim (6.0.222-1) unstable; urgency=low

  * Do not Build-Depend on libgpmg1-dev for hurd-i386. Closes: Bug#117313
  * chown a file before we chmod it so we don't lose s[ug]id bits
  * Set compiled-by flag in configure
  * More upstream patches:
    + 6.0.202: The "icon=" argument for the menu command to define a toolbar
      icon with a file didn't work for GTK. For Motif and Athena a full path
      was required.
    + 6.0.203: Can change 'fileformat' even though 'modifiable is off.
    + 6.0.204: ":unlet" doesn't work for variables with curly braces.
    + 6.0.205: "gvim -f" still forks when using the batch script to start Vim.
    + 6.0.206: Unix: if expanding a wildcard in a file name results in a
      wildcard character and there are more parts in the path with a wildcard,
      it is expanded again. Windows: ":edit \[abc]" could never edit the file
      "[abc]".
    + 6.0.207: Win32: The shortcuts and start menu entries let Vim startup in
      the desktop directory, which is not very useful.
    + 6.0.208: GUI: When using a keymap and the cursor is not blinking, CTRL-^
      in Insert mode doesn't directly change the cursor color.
    + 6.0.209: GUI GTK: After selecting a 'guifont' with the font dialog there
      are redraw problems for multi-byte characters.
    + 6.0.210: After patch 6.0.167 it's no longer possible to edit a help file
      in another encoding than latin1.
    + 6.0.211: When reading a file fails, the buffer is empty, but it might
      still be possible to write it with ":w" later. The original file is lost
      then.
    + 6.0.212: GUI GTK: confirm("foo", "") causes a crash.
    + 6.0.213: When a file name contains unprintable characters, CTRL-G and
      other commands don't work well.
    + 6.0.214: When there is a buffer without a name, empty entries appear in
      the jumplist saved in the viminfo file.
    + 6.0.215: After using "/" from Visual mode the Paste menu and Toolbar
      entries don't work. Pasting with the middle mouse doesn't work and
      modeless selection doesn't work.
    + 6.0.216: After reloading a file, displayed in another window than the
      current one, which was changed outside of Vim the part of the file around
      the cursor set by autocommands may be displayed, but jumping back to the
      original cursor position when entering the window again.
    + 6.0.217: When getting help from a help file that was used before, an
      empty unlisted buffer remains in the buffer list.
    + 6.0.218: With explorer plugin: "vim -o filename dirname" doesn't load the
      explorer window until entering the window.
    + 6.0.219: ":setlocal" and ":setglobal", without arguments, display
      terminal options.
    + 6.0.220: After patch 6.0.218 get a beep on startup.
    + 6.0.221: When using ":bdel" and all other buffers are unloaded the lowest
      numbered buffer is jumped to instead of the most recent one.
    + 6.0.222: When 'virtualedit' is set and using autoindent, pressing Esc
      after starting a new line leaves behind part of the autoindent.

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 16 Feb 2002 00:15:24 +0100

vim (6.0.201-1) unstable; urgency=low

  * More upstream patches:
    + 6.0.157: When defining a user command with "-complete=dir" files will
      also be expanded. Also, "-complete=mapping" doesn't appear to work.
    + 6.0.158: When getting the warning for a file being changed outside of Vim
      and reloading the file, the 'readonly' option is reset, even when the
      permissions didn't change.
    + 6.0.159: Wildcard expansion for ":emenu" also shows separators.
    + 6.0.160: When compiling with GCC 3.0.2 and using the "-O2" argument, the
      optimizer causes a problem that makes Vim crash.
    + 6.0.161: Win32: Bitmaps don't work with signs.
    + 6.0.162: Client-server: An error message for a wrong expression appears
      in the server instead of the cient.
    + 6.0.163: When using a GUI dialog, a file name is sometimes used like it
      was a directory.
    + 6.0.164: After patch 6.0.135 the menu entries for pasting don't work in
      Insert and Visual mode.
    + 6.0.165: Using --remote and executing locally gives unavoidable error
      messages.
    + 6.0.166: GUI: There is no way to avoid dialogs to pop up.
    + 6.0.167: When 'fileencodings' is "latin2" some characters in the help
      files are displayed wrong.
    + 6.0.168: ":%s/\n/#/" doesn't replace at an empty line.
    + 6.0.169: When run as evim and the GUI can't be started we get stuck in a
      terminal without menus in Insert mode.
    + 6.0.170: When printing double-width characters the size of tabs after
      them is wrong.
    + 6.0.171: With 'keymodel' including "startsel", in Insert mode after the
      end of a line, shift-Left does not move the cursor.
    + 6.0.172: CTRL-Q doesn't replace CTRL-V after CTRL-X in Insert mode while
      it does in most other situations.
    + 6.0.173: When using "P" to insert a line break the cursor remains past
      the end of the line.
    + 6.0.174: After using "gd" or "gD" the search direction for "n" may still
      be backwards.
    + 6.0.175: ":help /\z(\)" doesn't work
    + 6.0.176: When killed by a signal autocommands are still triggered as if
      nothing happened.
    + 6.0.177: When 'commentstring' is empty and 'foldmethod' is "marker", "zf"
      doesn't work.
    + 6.0.178: Uninitialized memory read from xp_backslash field.
    + 6.0.179: Win32: When displaying UTF-8 characters may read uninitialized
      memory.
    + 6.0.180: Expanding environment variables in a string that ends in a
      backslash could go past the end of the string.
    + 6.0.181: When using ":cd dir" memory was leaked.
    + 6.0.182: When using a regexp on multi-byte characters, could try to read
      a character before the start of the line.
    + 6.0.183: Leaking memory when ":func!" redefines a function.
    + 6.0.184: Leaking memory when expanding option values.
    + 6.0.185: Crash in Vim when pasting a selection in another application, on
      a 64 bit machine.
    + 6.0.186: X11: Three warnings when compiling the client-server code.
    + 6.0.187: "I" in Visual mode and then "u" reports too many changes. "I" in
      Visual linewise mode adjusts the indent for no apparent reason.
    + 6.0.188: After patch 6.0.161 signs defined in the vimrc file don't work.
    + 6.0.189: The size of the Visual area isn't always displayed when
      scrolling ('ruler' off, 'showcmd' on). Also not when using a search
      command.
    + 6.0.190: GUI: when 'mouse' is empty a click with the middle button still
      moves the cursor.
    + 6.0.191: When no servers are available serverlist() gives an error
      instead of returning an empty string.
    + 6.0.192: When 'virtualedit' is set, "ylj" goes to the wrong column.
    + 6.0.193: When 'virtualedit' is set, col(".") after the end of the line
      should return one extra.
    + 6.0.194: "--remote-silent" tries to send a reply to the client, like it
      was "--remote-wait".
    + 6.0.195: When 'virtualedit' is set and a search starts in virtual space
      ":call search
    + 6.0.196: When 'virtualedit' is set, 'selection' is "exclusive" and
      visually selecting part of a tab at the start of a line, "x" joins it
      with the previous line. Also, when the selection spans more than one line
      the whole tab is deleted.
    + 6.0.197: When 'virtualedit' is set and 'selection' is "exclusive", "v$x"
      doesn't delete the last character in the line.
    + 6.0.198: When 'virtualedit' is set and 'showbreak' is not empty, moving
      the cursor over the line break doesn't work properly.
    + 6.0.199: Multi-byte: could use iconv() after calling iconv_end().
    + 6.0.200: A script that starts with "#!perl" isn't recognized as a Perl
      filetype.
    + 6.0.201: When scrollbinding and doing a long jump, switching windows
      jumps to another position in the file.  Scrolling a few lines at a time
      is OK.

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  7 Feb 2002 22:14:09 +0100

vim (6.0.156-1) unstable; urgency=low

  * Fix typo in comment in vimrc. Closes: Bug#129815
  * More upstream patches:
    + 6.0.119: VMS: filewritable() doesn't work properly.
    + 6.0.120: The conversion to html isn't compatible with XHTML.
    + 6.0.121: Win32: After patch 6.0.116 Vim doesn't compile with mingw32.
    + 6.0.122: Win16: Same resize problems as patch 6.0.117 fixed for
      Win32. And dialog textfield problem from patch 6.0.115.
    + 6.0.123: Win16: Compilation problems.
    + 6.0.124: When using a ":substitute" command that starts with "\="
      (evaluated as an expression), "~" was still replaced with the
      previous substitute string.
    + 6.0.125: Win32: When using the multi_byte_ime feature pressing the
      shift key would be handled as if a character was entered, thus
      mappings with a shifted key didn't work.
    + 6.0.126: The python library was always statically linked.
    + 6.0.127: When using a terminal that swaps screens and the Normal
      background color has a different background, using an external
      command may cause the color of the wrong screen to be changed.
    + 6.0.128: When moving a vertically split window to the far left or
      right, the scrollbars are not adjusted. (Scott E Lee) When
      'mousefocus' is set the mouse pointer wasn't adjusted.
    + 6.0.129: When using a very long file name, ":ls" (repeated a few
      times) causes a crash. Test with "vim `perl -e 'print "A"x1000'`".
    + 6.0.130: When using ":cprev" while the error window is open, and the
      new line at the top wraps, the window isn't correctly drawn.
    + 6.0.131: When using bufname() and there are two matches for listed
      buffers and one match for an unlisted buffer, the unlisted buffer is
      used.
    + 6.0.132: When setting 'iminsert' in the vimrc and using an xterm with
      two screens the ruler is drawn in the wrong screen.
    + 6.0.133: When opening another buffer while 'keymap' is set and
      'iminsert' is zero, 'iminsert' is set to one unexpectedly.
    + 6.0.134: When completing ":set tags=" a path with an embedded space
      causes the completion to stop.
    + 6.0.135: Menus that are not supposed to do anything used "<Nul>",
      which still produced an error beep. When CTRL-O is mapped for Insert
      mode, ":amenu" commands didn't work in Insert mode. Menu language
      falls back to English when $LANG ends in "@euro".
    + 6.0.136: When completing in Insert mode, a mapping could be
      unexpectedly applied.
    + 6.0.137: GUI: When using the find or find/replace dialog from Insert
      mode, the input mode is stopped.
    + 6.0.138: GUI: When using the find or find/replace dialog from Insert
      mode, the text is inserted when CTRL-O is mapped. When opening the
      dialog again, a whole word search isn't recognized. When doing
      "replace all" a whole word search was never done.
    + 6.0.139: When stopping 'wildmenu' completion, the statusline of the
      bottom-left vertically split window isn't redrawn.
    + 6.0.140: Memory allocated for local mappings and abbreviations is
      leaked when the buffer is wiped out.
    + 6.0.141: When using ":enew" in an empty buffer, some buffer-local
      things are not cleared. b:keymap_name is not set.
    + 6.0.142: When Python is linked statically, loading dynamic extensions
      might fail.
    + 6.0.143: When a syntax item includes a line break in a pattern, the
      syntax may not be updated properly when making a change.
    + 6.0.144: After patch 6.0.088 redoing "veU" doesn't work.
    + 6.0.145: When Vim can't read any input it might get stuck. When
      redirecting stdin and stderr Vim would not read commands from a file.
    + 6.0.146: When 'statusline' contains "%{'-'}" this results in a zero.
    + 6.0.147: It's not easy to mark a Vim version as being modified. The
      new license requires this.
    + 6.0.148: After "p" in an empty line, `[ goes to the second character.
    + 6.0.149: The pattern "\(.\{-}\)*" causes a hang. When using a search
      pattern that causes a stack overflow to be detected Vim could still
      hang.
    + 6.0.150: When using a multi-byte encoding, patch 6.0.148 causes "p"
      to work like "P".
    + 6.0.151: Redrawing the status line and ruler can be wrong when it
      contains multi-byte characters.
    + 6.0.152: strtrans() could hang on an illegal UTF-8 byte sequence.
    + 6.0.153: When using (illegal) double-byte characters and Vim syntax
      highlighting Vim can crash.
    + 6.0.154: MS-DOS and MS-Windows: The menu entries for xxd don't work
      when there is no xxd in the path. When converting back from Hex the
      filetype may remain "xxd" if it is not detected.
    + 6.0.155: Mac: compilation problems in ui.c after patch 6.0.145.
    + 6.0.156: Starting Vim with the -b argument and two files, ":next"
      doesn't set 'binary' in the second file, like Vim 5.7.

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 30 Jan 2002 15:26:04 +0100

vim (6.0.118-1) unstable; urgency=low

  * Re-bump alternative priority, change got lost in the move to vim6
  * Update comment in vimrc about filetype indents
  * Update autocommand for reportbug. Closes: Bug#127838
  * More upstream patches:
    + 6.0.094: Athena: When clicking in the horizontal scrollbar Vim crashes.
    + 6.0.095: Perl: Deleting lines may leave the cursor beyond the
      end of the file.
    + 6.0.096: When ":saveas fname" fails because the file already
      exists, the file name is changed anyway and a following ":w"
      will overwrite the file.
    + 6.0.097: Re-indenting in Insert mode with CTRL-F may cause a
      crash with a multi-byte encoding.
    + 6.0.098: GTK: When using Gnome the "Search" and "Search and
      Replace" dialog boxes are not translated.
    + 6.0.099: Cygwin: When running Vi compatible MS-DOS line endings
      cause trouble.
    + 6.0.100: ":badd +0 test%file" causes a crash.
    + 6.0.101: ":mksession" doesn't restore editing a file that has a
      '#' or '%' in its name.
    + 6.0.102: When changing folds the cursor may appear halfway a
      closed fold.
    + 6.0.103: When using 'scrollbind' a large value of 'scrolloff'
      will make the scroll binding stop near the end of the file.
    + 6.0.104: Multi-byte: When '$' is in 'cpoptions', typing a
      double-wide character that overwrites the left halve of an old
      double-wide character causes a redraw problem and the cursor stops
      blinking.
    + 6.0.105: Multi-byte: In a window of one column wide, with syntax
      highlighting enabled a crash might happen.
    + 6.0.106: Win32: When the printer font is wrong, there is no
      error message.
    + 6.0.107: VisVim: When editing another file, a modified file may
      be written unexpectedly and without warning.
    + 6.0.108: When using folding could try displaying line zero,
      resulting in an error for a NULL pointer.
    + 6.0.109: XIM: When the input method is enabled, repeating an
      insertion with "." disables it.
    + 6.0.110: Using undo after executing "OxjAxkdd" from a
      register in an empty buffer gives an error message.
    + 6.0.111: The virtcol() function doesn't take care of 'virtualedit'.
    + 6.0.112: The explorer plugin doesn't sort directories with a
      space or special character after a directory with a shorter name.
    + 6.0.113: ":edit ~/fname" doesn't work if $HOME includes a space.
      Also, expanding wildcards with the shell may fail.
    + 6.0.114: Using ":p" with fnamemodify() didn't expand "~/" or
      "~user/" to a full path. For Win32 the current directory was
      prepended.
    + 6.0.115: Win32: When using a dialog with a textfield it cannot
      scroll the text.
    + 6.0.116: MS-Windows NT/2000/XP: filewritable() doesn't work
      correctly for filesystems that use ACLs.
    + 6.0.117: Win32: when disabling the menu, "set lines=999" doesn't
      use all the available screen space.
    + 6.0.118: When $TMPDIR is a relative path, the temp directory is
      missing a trailing slash and isn't deleted when Vim exits.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  7 Jan 2002 00:03:23 +0100

vim (6.0.093-2) unstable; urgency=low

  * Remove stray comments from default vimrc
  * No longer enable filetype indenting by default on popular request

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  6 Dec 2001 14:28:24 +0100

vim (6.0.093-1) unstable; urgency=low

  * More upstream patches:
    + 6.0.062: Crash when 'verbose' is > 3 and using ":shell".
    + 6.0.063: When 'cpoptions' includes "$", using "cw" to type a ')'
      on top of the + "$" doesn't update syntax highlighting after it.
    + 6.0.064: The NSIS install script doesn't work with newer
      versions of NSIS. The diff feature doesn't work when there isn't
      a good diff.exe on the system.
    + 6.0.065: When using ":normal" in 'indentexpr' it may use redo
      characters before its argument.
    + 6.0.066: Sometimes undo for one command is split into two undo actions.
    + 6.0.067: if_xcmdsrv.c doesn't compile on systems where fd_set
      isn't defined in the usual header file
    + 6.0.068: When formatting a Visually selected area with "gq" and
      the number of lines increases the last line may not be redrawn
      correctly.
    + 6.0.069: Using "K" on a word that includes a "!" causes a
      "No previous command" error, because the "!" is expanded.
    + 6.0.070: Win32: The error message for a failed dynamic
      linking of a Perl, Ruby, Tcl and Python library is unclear
      about what went wrong.
    + 6.0.071: The "iris-ansi" builtin termcap isn't very good.
    + 6.0.072: When 'lazyredraw' is set, a mapping that stops
      Visual mode, moves the cursor and starts Visual mode again
      causes a redraw problem.
    + 6.0.073: DJGPP: When using CTRL-Z to start a shell, the
      prompt is halfway the text.
    + 6.0.074: When using "&" in a substitute string a multi-byte
      character with a trailbyte 0x5c is not handled correctly.
    + 6.0.075: When closing a horizontally split window while
      'eadirection' is "hor" another horizontally split window is
      still resized.
    + 6.0.076: Warning for wrong pointer type when compiling.
    + 6.0.077: Patch 6.0.075 was incomplete.
    + 6.0.078: Using "daw" at the end of a line on a single-character
      word didn't include the white space before it. At the end of the
      file it didn't work at all.
    + 6.0.079: When "W" is in 'cpoptions' and 'backupcopy' is "no" or
      "auto", can still overwrite a read-only file, because it's
      renamed.
    + 6.0.080: When using a session file that has the same file in two
      windows, the fileinfo() call in do_ecmd() causes a scroll and a
      hit-enter prompt.
    + 6.0.081: After using ":saveas" the new buffer name is added to
      the Buffers menu with a wrong number.
    + 6.0.082: When swapping screens in an xterm and there is an
      (error) message from the vimrc script, the shell prompt is after
      the message.
    + 6.0.083: GTK: When compiled without menu support the buttons in
      a dialog don't have any text.
    + 6.0.084: UTF-8: a "r" command with an argument that is a keymap
      for a character with a composing character can't be repeated
      with ".".
    + 6.0.085: When 'mousefocus' is set, using "s" to go to Insert
      mode and then moving the mouse pointer to another window stops
      Insert mode, while this doesn't happen with "a" or "i".
    + 6.0.086: When using "gu" the message says "~ed".
    + 6.0.087: Message translations are incorrect, which may cause a
      crash. The Turkish translations needed more work and the
      maintainer didn't have time.
    + 6.0.088: "." doesn't work after using "rx" in Visual mode.
    + 6.0.089: In a C file, using "==" to align a line starting with
      "* " after a line with "* -" indents one space too few.
    + 6.0.090: When a wrapping line does not fit in a window and
      'scrolloff' is bigger than half the window height, moving the
      cursor left or right causes the screen to flash badly.
    + 6.0.091: Using CTRL-O in Insert mode, while 'virtualedit' is
      "all" and the cursor is after the end-of-line, moves the cursor
      left.
    + 6.0.092: The explorer plugin doesn't ignore case of 'suffixes'
      on MS-Windows.
    + 6.0.093: When the Tcl library couldn't be loaded dynamically,
      get an error message when closing a buffer or window.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 12 Nov 2001 14:35:08 +0100

vim (6.0.061-1) unstable; urgency=low

  * Add build to binary-arch dependencies. Closes: Bug#117619
  * More upstream patches:
    + 6.0.037: When the user has set "did_install_syntax_menu" to avoid
      the default Syntax menu it still appears.
    + 6.0.038: When 'selection' is "exclusive", deleting a block of text
      at the end of a line can leave the cursor beyond the end of the line.
    + 6.0.039: "gP" leaves the cursor in the wrong position when
      'virtualedit' is used. Using "c" in blockwise Visual mode leaves the
      cursor in a strange position.
    + 6.0.040: When 'fileencoding' is invalid and writing fails because of
      this, the original file is gone.
    + 6.0.041: Using ":language messages en" when LC_MESSAGES is undefined
      results in setting LC_CTYPE.
    + 6.0.042: ":mksession" can't handle file names with a space.
    + 6.0.043: Patch 6.0.041 was wrong.
    + 6.0.044: Using a "containedin" list for a syntax item doesn't work
      for an item that doesn't have a "contains" argument. Also,
      "containedin" doesn't ignore a transparent item.
    + 6.0.045: After creating a fold with a Visual selection, another
      window with the same buffer still has inverted text.
    + 6.0.046: When getrlimit() returns an 8 byte number the check for
      running out of stack may fail.
    + 6.0.047: Using a regexp with "\(\)" inside a "\%[]" item causes a
      crash.
    + 6.0.048: Win32: In the console the mouse doesn't always work
      correctly. Sometimes after getting focus a mouse movement is
      interpreted like a button click.
    + 6.0.049: When using evim the intro screen is misleading.
    + 6.0.050: UTF-8: "viw" doesn't include non-ASCII characters before
      the cursor.
    + 6.0.051: UTF-8: Using CTRL-R on the command line doesn't insert
      composing characters.
    + 6.0.052: The check for rlim_t in patch 6.0.046 does not work on some
      systems.
    + 6.0.053: Various problems with QNX.
    + 6.0.054: When using mswin.vim, CTRL-V pastes a block of text like it
      is normal text. Using CTRL-V in blockwise Visual mode leaves "x"
      characters behind.
    + 6.0.055: GTK: The selection isn't copied the first time.
    + 6.0.056: Using "CTRL-O cw" in Insert mode results in a nested Insert
      mode. <Esc> doesn't leave Insert mode then.
    + 6.0.057: Using ":wincmd g}" in a function doesn't work.
    + 6.0.058: When a Cursorhold autocommand moved the cursor, the ruler
      wasn't updated.
    + 6.0.059: Highlighting for 'hlsearch' isn't visible in lines that are
      highlighted for diff highlighting.
    + 6.0.060: Motif: When the tooltip is to be popped up, Vim crashes.
    + 6.0.061: The toolbar buttons to load and save a session do not
      correctly use v:this_session.

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  1 Nov 2001 17:16:37 +0100

vim (6.0.036-1) unstable; urgency=low

  * More upstream patches:
    + 6.0.028: Can't compile without +virtualedit and with +visualextra.
    + 6.0.029: When making a change in line 1, then in line 2 and then
               deleting line 1, undo info could be wrong. Only when the
               changes are undone at once.
    + 6.0.030: Using ":source! file" doesn't work inside a loop or after
               ":argdo".
    + 6.0.031: Nextstep doesn't have setenv() or putenv().
    + 6.0.032: When changing a setting that affects all folds, they are not
               displayed immediately.
    + 6.0.033: Using 'wildmenu' on MS-Windows, file names that include a
               space are only displayed starting with that space.
    + 6.0.034: Calling searchpair() with three arguments could result in a
               crash or strange error message.
    + 6.0.035: The menu item Edit/Global_Settings/Toggle_Toolbar doesn't
               work when 'ignorecase' is set.
    + 6.0.036: OS/2, MS-DOS and MS-Windows: Using a path that starts with a
               slash in 'tags' doesn't work as expected.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 29 Oct 2001 20:09:06 +0100

vim (6.0.027-1) unstable; urgency=low

  * More upstream patches:
    + 6.0.012: Polish translations contains printf format errors, this can
               result in a crash when using one of them.
    + 6.0.013: Using ":silent! cmd" still gives some error messages, like
               for an invalid range.
    + 6.0.014: When 'modifiable' is off and 'virtualedit' is "all", "rx"
               on a TAB still changes the buffer.
    + 6.0.015: When 'cpoptions' includes "S" and "filetype plugin on" has
               been used, can get an error for deleting the b:did_ftplugin
               variable.
    + 6.0.016: bufnr(), bufname() and bufwinnr() don't find unlisted
               buffers when the argument is a string.  Also for
               setbufvar() and getbufvar().
    + 6.0.017: When 'ttybuiltin' is set and a builtin termcap entry defines
               t_Co and the external one doesn't, it gets reset to empty.
    + 6.0.018: Initializing 'encoding' may cause a crash when setlocale()
               is not used.
    + 6.0.019: Converting a string with multi-byte characters to a
               printable string, e.g., with strtrans(), may cause a crash.
    + 6.0.020: When obtaining the value of a global variable internally,
               could get the function-local value instead.  Applies to
               using <Leader> and <LocalLeader> and resetting highlighting
               in a function.
    + 6.0.021: The 'cscopepathcomp' option didn't work.
    + 6.0.022: When using the 'langmap' option, the second character of a
               command starting with "g" isn't adjusted.
    + 6.0.023: Loading the lhaskell syntax doesn't work.
    + 6.0.024: Using "CTRL-V u 9900" in Insert mode may cause a crash.
    + 6.0.025: The pattern "\vx(.|$)" doesn't match "x" at the end of a
               line.
    + 6.0.026: GTK: When using arrow keys to navigate through the menus,
               the separators are selected.
    + 6.0.027: VMS: Printing doesn't work, the file is deleted too
               quickly.  No longer need the VMS specific printing menu.
               gethostname() is not available with VAXC.  The makefile was
               lacking selection of the tiny-huge feature set.
  * Add a new icon based on vim32x32.xpm with colours remapped to the
    menu packages' cmap.xpm.
  * Move gvim MIME entries to vim-variant packages only
  * Fix packagename in vim menu entry (vim-rt no longer exists)
  * Move gvim menu entry to vim-variant packages only
  * Properly install menu and mime entries for all packages and make sure
    failure cases are handled correctly.
  * Add lintian overrides to make it stop complaining about perfectly
    correct things.
  * Fix debcontrol.vim: allow variable substitution in multiline fields
    as well. Closes: Bug#116741
  * Fix inconsistent printf format strings in translations

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 28 Oct 2001 13:44:50 +0900

vim (6.0.011-3) unstable; urgency=low

  *  Always enable multibyte support

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  3 Oct 2001 17:01:46 +0200

vim (6.0.011-2) unstable; urgency=low

  *  Create a new vim-ruby package. Closes: Bug#114053

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  1 Oct 2001 17:25:06 +0200

vim (6.0.011-1) unstable; urgency=low

  * Add Build-Depends for libperl-dev. Closes: Bug#114011
  * More upstream patches:
    + 6.0.009: Nextstep doesn't have S_ISBLK.
    + 6.0.010: Using "gf" on a file name starting with "./" or "../" in
               a buffer without a name causes a crash.
    + 6.0.011: Python: After replacing or deleting lines get an ml_get error.

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  1 Oct 2001 00:35:55 +0200

vim (6.0.008-1) unstable; urgency=low

  * More upstream patches:
    + 6.004: The find/replace dialog doesn't reuse a previous argument properly.
    + 6.005: Insert mode, "CTRL-O :ls" has a delay before redrawing.
    + 6.006: With a vertical split, 'number' set and 'scrolloff' non-zero,
             making the window width very small causes a crash.
    + 6.007: When setting 'filetype' while there is no FileType autocommand, a
             following ":setfiletype" would set 'filetype' again.
    + 6.008: 'imdisable' is missing from the options window.
  * Fix typo in debian/rules which accidentily disabled perl interpreter
    support in vim-perl

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 29 Sep 2001 17:03:42 +0200

vim (6.0.003-1) unstable; urgency=low

  * Merge three upstream patches:
    + 6.001: Loading the sh.vim syntax file causes error messages
    + 6.002: The configure check for ACLs on AIX doesn't work
    + 6.003: Using a '@' item in 'viminfo' doesn't work

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 27 Sep 2001 22:37:45 +0200

vim (6.0-1) unstable; urgency=low

  * Merge changelog entries from 5.* packages
  * Rework debian/rules further
  * Add Build-Depends on dpkg >> 1.7.0 since we use dpkg:Version in
    debian/control

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 26 Sep 2001 20:40:15 +0200

vim (6.0-0.99-1) unstable; urgency=low

  * New upstream version
  * Restore vim-{gtk,perl,python,tcl} packages

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 26 Sep 2001 20:40:15 +0200

vim (6.0-0.60aw.006-1) unstable; urgency=low

  * Add 6 upstream bugfixes
  * Add doc symlinks

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 16 Sep 2001 23:14:43 +0200

vim (6.0-0.60aw-1) unstable; urgency=low

  * Seventh and hopefully last beta release
  * Enable signs feature

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 16 Sep 2001 23:14:43 +0200

vim (6.0-0.60av-1) unstable; urgency=low

  * Sixth beta release

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 10 Sep 2001 03:19:54 +0200

vim (6.0-0.60au-1) unstable; urgency=low

  * Fifth `golden' beta release

 -- Wichert Akkerman <wakkerma@debian.org>  Tue,  4 Sep 2001 11:32:35 +0200

vim (6.0-0.60at-1) unstable; urgency=low

  * Fourth beta release

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 27 Aug 2001 15:43:24 -0700

vim (6.0-0.60ar-1) unstable; urgency=low

  * Third beta release

 -- Wichert Akkerman <wakkerma@debian.org>  Mon, 13 Aug 2001 14:05:23 +0200

vim (6.0-0.60aq-1) unstable; urgency=low

  * Second beta release

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  5 Aug 2001 23:25:28 +0200

